-------------------------------------------------------------------------------
-- Copyright 2018-2025,2026 Thomas E. Dickey                                 --
-- Copyright 1998-2017,2018 Free Software Foundation, Inc.                   --
--                                                                           --
-- Permission is hereby granted, free of charge, to any person obtaining a   --
-- copy of this software and associated documentation files (the             --
-- "Software"), to deal in the Software without restriction, including       --
-- without limitation the rights to use, copy, modify, merge, publish,       --
-- distribute, distribute with modifications, sublicense, and/or sell copies --
-- of the Software, and to permit persons to whom the Software is furnished  --
-- to do so, subject to the following conditions:                            --
--                                                                           --
-- The above copyright notice and this permission notice shall be included   --
-- in all copies or substantial portions of the Software.                    --
--                                                                           --
-- THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS   --
-- OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF                --
-- MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN --
-- NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,       --
-- DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR     --
-- OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE --
-- USE OR OTHER DEALINGS IN THE SOFTWARE.                                    --
--                                                                           --
-- Except as contained in this notice, the name(s) of the above copyright    --
-- holders shall not be used in advertising or otherwise to promote the      --
-- sale, use or other dealings in this Software without prior written        --
-- authorization.                                                            --
-------------------------------------------------------------------------------
-- $Id: NEWS,v 1.4414 2026/01/25 01:28:03 tom Exp $
-------------------------------------------------------------------------------

This is a log of changes that ncurses has gone through since Zeyd started
working with Pavel Curtis' original work, pcurses, in 1992.

Changes through 1.9.9e are recorded by Zeyd M Ben-Halim.
Changes since 1.9.9e are recorded by Thomas E Dickey.

Contributors include those who have provided patches (even small ones), as well
as those who provide useful information (bug reports, analyses).  Changes with
no cited author are the work of Thomas E Dickey (TD).

A few contributors may be cited in this file by their initials.
Each accounts for half of one percent or more of the changes since 1.9.9e.
See the AUTHORS file for the corresponding full names.

Changes through 1.9.9e did not credit all contributions;
it is not possible to add this information.

20260124
	+ add xterm+indirect16, vt100+keypad+emul, putty-direct,
	  putty-direct16, wezterm-direct, wezterm-direct16
	  (patch by Jakub Horky)
	+ add Smol/Rmol to ms-terminal, konsole, iTerm2 (report by Jared
	  Finder)
	+ add ecma+overline -TD
	+ update configure macros

20260117
	+ add "alt_" to special key-prefix check for "djgpp" terminfo
	+ provide a generated list of user-defined special keys (adapted from
	  patch by Jakub Horky) -TD
	+ rename vt100+keypad, etc., to vt100+keypad+sco, etc., to keep
	  historical blocks while providing for renaming of vt220+keypad as
	  vt100+keypad (prompted by patch by Jakub Horky) -TD
	+ use vt100+keypad instead of vt220+keypad (patch by Jakub Horky)
	+ use vt100+keypad in putty+keypad, replacing kpXX extension -TD
	+ remove vt100+fnkeys-sco from putty -TD 
	+ fix link_test.c for configuration without extended colors by
	  adjusting ifdefs and improving MKlib_gen.sh by checking for #if
	  statements with only a 0 or 1 parameter.
	+ fixes for "make check" (report by Brian Inglis):
	  + adjust definition of USE_TRACEF
	  + modify ncurses/wcwidth.h
	  + modify makefile to add dependencies needed in shared library
	  + modify makefile to work with libtool
	  + separate ncurses/tty/lib_mvcur.c test-driver from routine checks
	+ add a paragraph to user_caps.5 to mention extended capabilities which
	  are not documented as part of ncurses.
	+ use symbol DEFAULT_TERM_VAR for several cases where getenv("TERM")
	  returns null pointer.
	+ modify test/demo_new_pair.c to fix build with SmartOS (report by
	  Thomas Klausner).

20260103
	+ cancel ncv in putty (patch by Jakub Horky)
	+ add NQ to list of user-definable capabilities in user_caps(5) (patch
	  by Jakub Horky)
	+ update ncurses/wcwidth.c, for MinGW ports, from xterm.

20251231
	+ amend fix for Windows-style pathnames to eliminate "./" in comment
	  generated by infocmp where not needed (report by Sven Joachim).
	+ fix a few gcc 15.2 warnings for C23
	+ actually generate doc/html/announce.html (report by Branden Robinson)

20251230 6.6 release for upload to ftp.gnu.org
	+ update announcement
	+ corrected an ifdef needed for mouse support in MinGW/Windows
	+ eliminate remaining duplicate code between MinGW/Windows drivers

20251227
	+ make win32_curses.h obsolete in favor of nc_win32.h
	+ modify MinGW32 configuration to account for its use of Windows-style
	  pathnames in filesystem checks.
	+ replace --enable-exp-win32 option with --enable-named-pipes

20251220
	> in-progress work to merge MinGW/Windows port.
	  + eliminate EXP_WIN32_DRIVER with USE_NAMED_PIPES
	  + change MS_TERMINAL to DEFAULT_TERM_VAR

20251213
	+ in-progress work to merge MinGW/Windows port.
	+ add a null-pointer check in tic -c option.
	+ add a limit-check in infocmp -i option (report/example by Yixuan Cao).

20251206
	+ in-progress work to merge MinGW/Windows port.

20251129
	+ in-progress work to merge MinGW/Windows port.

20251123
	+ revert change using NCURSES_SBOOL in tic.h which interfered with
	  sign-extension in tigetflag (Debian #1121191, cf:  20251101).

20251122
	+ in-progress work to merge MinGW/Windows port.
	+ correct expression for TINFO_LIB variable in misc/ncurses-config.in
	  (Debian #1121208, cf: 20251004).

20251115
	+ check for special case of wcrtomb() converting a single byte code to
	  a different single byte code, which glibc does for code 160 in the
	  KOI8-R encoding (report by Yury V Zaytsev).
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ amend recent changes to mouse handling to avoid a case which caused
	  a loop in wgetch until additional input is provided (htop #1769,
	  cf: 20250913).

20251101
	+ adjust generated terminfo.5 to omit tbl "x" column modifier if that
	  is unsupported, i.e., with old nroff/tbl (adapted from patch by
	  Branden Robinson).
	+ in-progress work to merge MinGW/Windows port.

20251025
	+ amend locale-portability fix in tty_update.c (MidnightCommander #4799,
	  cf: 20240203).
	+ add testing utility report_ctype
	+ update configure macros, improving check for $host_os
	+ correct a recent change to curs_termino.3x, along with formatting
	  fixes for manpages.
	+ corrected note about box() in curs_border.3x (patch by Jakub Horky,
	  cf: 20250201).

20251018
	+ add check for build-time utilities, in case cross-compiling is setup
	  with an invalid $BUILD_CC (prompted by discussion with Stas Sergeev).
	+ modify configure-script and makefiles to make it easier to override
	  the "--with-install-prefix" default with environment variable
	  (report by Stas Sergeev).

20251010
	+ fix stray "\" in curs_extend.3x, regen html manpages.
	+ regen html manpages with man2html 1.42, fixing a few cases where
	  headers were not linked (report by Branden Robinson).

20251004
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ in-progress work to merge MinGW/Windows port.
	+ improve configure check for "install".

20250927
	+ in-progress work to merge MinGW/Windows port.

20250920
	+ in-progress work to merge MinGW/Windows port.
	+ add configure check for <sys/fsuid.h>, build-fix for flatpacks
	  (report by Stas Sergeev).
	+ update config.guess, config.sub

20250913
	+ update ncurses-howto.
	+ modify MKfallback.sh to eliminate TERMINFO environment variable.
	+ improve checks in run_tic.sh script, change some variable names to
	  reduce packager confusion (report by Stas Sergeev).
	+ disallow configure options which apply only to multiuser systems, to
	  improve ports to single-user systems such as Haiku (report by Stas
	  Sergeev).
	+ update ncurses/wcwidth.c, for MinGW ports, from xterm.
	+ correct _nc_to_char() for the case when wctob() is not found by
	  configure script (report/patch by Benno Schulenberg).
	> patches by Robin Haberkorn
	  + modify handle_wheel case 2 to ignore the event as in case 1 for
	    mouse version 1, since that corresponds to a button 6 or 7 event
	    which is not supported with ABI 6.
	  + use separate read/write pointers in the mouse event queue to work
	    with too-close events for the click-detection to work reliably,
	    and further improve that in case mouseinterval(0) is used to
	    suppress click-detection.

20250830
	+ in-progress work to merge MinGW/Windows port.
	+ build-fix for experimental Windows configuration (report by Kirill
	  Makurin).
	+ improve pattern used for configure --with-xterm-kbs option.

20250823
	+ improve style of MKterminfo.sh script (patches by Branden Robinson).
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ remove redundant definition of ConsoleInfo.
	+ change scope of TTY, GET_TTY and SET_TTY to ncurses-internals

20250816
	+ remove redundant reference to compiler in libtool configuration of
	  mk-1st.awk (report by Lorinczy Zsigmond).
	+ build-fixes for --enable-exp-win32 configuration
	+ improve formatting/style of manpages (patches by Branden Robinson).

20250809
	+ add configure check for Win32 named pipes feature, using that to make
	  nc_mingw.h obsolete in favor of nc_win32.h
	+ amend limit used in alloc_pair, by applying an adjustment for default
	  colors only when the maximum number of color pairs is greater than
	  the maximum number of colors (report by "Ingvix").

20250802
	+ fixes for reading Unicode characters in MinGW/Windows port (report by
	  Axel Reinhold).

20250726
	+ modify configure script cases for $host_os, to accommodate 64-bit
	  big-endian POWER linux with glibc (patch by Cosima Neidahl).
	+ add warning to configure script to address conflict between the
	  --enable-lp64 option and the options for overriding the types used
	  for chtype and mmask_t.

20250720
	+ further improve readability of header-files
	+ add a consistency-check for termio(s)/tty headers, to help with
	  cross-compiles (report by Stas Sergeev).
	+ remove some unused configure-macros
	+ add xterm+keypad to pccon+base -TD
	+ trim trailing blanks from a few files (report by Stas Sergeev).

20250712
	+ improve readability of term.h
	+ modify recursive make rules to avoid interference with GNU make's
	  "-j" option (report by Stas Sergeev).

20250705
	+ when installing the terminfo database, check if symbolic links are
	  supported before attemping to link lib/terminfo from share/terminfo
	  (report by Kirill Makurin).
	+ modify configure check for MAKEFLAGS/MFLAGS to ignore existing value
	  of these environment variables (report by Stas Sergeev).
	+ reserve -c/-l options in test/*.c for command/logging like vttest.
	+ add options to test/worm.c for benchmarking (Nibby Nebbulous)
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ improve readability of header-files (patches by Branden Robinson).

20250628
	+ fix a few compiler-warnings.
	+ simplify include for wchar.h in Windows port by removing the platform
	  ifdef's (report by Kirill Makurin).
	+ regen Ada95/configure (report by Sven Joachim).

20250621
	+ revise loop in wins_nwstr, to ensure that non-spacing characters are
	  combined with the base spacing character (report by Karl Knechtel).
	+ fixes for port using clang-cl or cl MSVC (report by Kirill Makurin).
	+ improve test-packages:
	  + convert debian*/copyright to DEP-5 format.
	  + modify ".spec" test-files to work around timestamp-clamping in
	    recent Fedora releases.

20250614
	+ reduce lintian warnings for test-packages.
	+ clean up some shellcheck warnings
	+ improve test/configure checks for X libraries, reducing duplicates
	+ fix some typos/errata in license text, to help with scripted checks

20250531
	+ improve logic in misc/run_tic.in for constructing symbolic link
	  when $DESTDIR is set.

20250524
	+ correct option-name used in configure script, which resulted in size
	  change for cchar_t (cf: 20250517).

20250517
	+ initial changes for some ABI 7 features:
	  + disable wgetch-events
	  + add feature for extending mouse-buttons
	  + add feature for extending direct-color support
	+ use bracketed+paste in nsterm, rlogin-color, screen, terminology -TD

20250510
	+ add rv/xr codes for domterm, mintty, mlterm -TD
	+ add xr code for putty -TD
	+ update teraterm to 5.0 -TD
	+ add rlogin-color -TD

20250503
	+ update/correct some of the rv/xr strings, checked with tack -TD
	+ use ansi+rca in sclp -TD
	+ use vt220+pcedit in sclp (Werner Fink)
	+ move some building blocks from illumos to sun-color, based on
	  illumos source-history -TD
	+ improve use-clauses: ansi+cup, ansi+idl1, ansi+rca, ansi+rca2,
	  ansi+sgrso, ansi+sgrul -TD
	+ add ecma+standout, ecma+underline -TD
	+ add rv code for alacritty -TD
	+ add rv/xr codes for contour, ghostty, iterm2, kitty, konsole,
	  vscode, vte, wezterm -TD

20250426
	+ expand note on extensions in curs_addch.3x
	+ add illumos, sun-16color, sun-256color, sun-direct -TD
	+ add wyse+cvis -TD

20250419
	+ add note on scrolling and lower-right corner to waddch and wadd_wch
	  manual pages.

20250412
	+ add pangoterm -TD
	+ add kf1 to kf5 to sclp (report by Werner Fink)
	+ add vt100+pf1-pf4 -TD

20250405
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ improve infocmp -E/-e fallback feature (report by Ville Rissanen):
	  + prefix names with "ti_" if they begin with a digit, e.g., 9term
	  + escape backslashes and double-quotes in description fields
	+ modify infocmp -E/-e fallback feature to reduce stricter compiler
	  warnings for the extended capability data.
	+ add sclp -TD
	+ add op to vt525 -TD
	+ update contour -TD

20250329
	+ add XM/xm to ms-terminal, to enable mouse with experimental Windows
	  driver -TD
	+ add -x option to infocmp in MKfallback.sh
	+ improve experimental Windows driver by restoring the scroll buffer
	  and console mode, e.g., when reset_prog_mode or endwin is called
	  (patch by Daniel Starke).
	+ add a buffer-limit check in postprocess_termcap (report/testcase by
	  Yifan Zhang).

20250322
	+ add a null pointer check in mouse-initialization, for the
	  experimental Windows driver (patch by Daniel Starke).
	+ improve makefile dependency in Ada95/src
	+ add note in user_caps.5 addressing a quibble about dates.

20250315
	+ improve formatting/style of manpages (patches by Branden Robinson).

20250308
	+ remove test in wgetch which applied notimeout to the initial read
	  of a character (patch by Branden Robinson).
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ fix a few compiler-warnings in MinGW port.

20250301
	+ add color to vt525 (Branden Robinson)
	+ add vt520-w and vt525-w (Branden Robinson)
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ improve configurability of alloca() as used in Windows ports.
	+ fix some typos in manpages.
	+ modify configure script checks for stdbool.h to fix build with older
	  gcc version.

20250222
	+ modify treatment of "n" parameter for waddnstr, waddnwstr, and
	  wins_nwstr to return OK when "n" is zero, for consistency with other
	  implementations (report by Benjamin Barenblat, cf: 20231118).
	+ formatting improvements for terminfo.5 (Debian #1096164).

20250216
	+ add limit-checks in alloc_entry.c and alloc_ttype.c to avoid indexing
	  errors when using infocmp to compare all capabilities when processing
	  a malformed terminfo binary which has a valid header (testcase by
	  "Ekkosun").

20250215
	+ add gzip option for suppressing filename/timestamp information to an
	  overlooked case (cf: 20240330).
	+ correct spelling errors found with codespell.
	+ fix some typos in manpages (report by Sven Joachim)
	+ amend change to lib_set_term.c to work with thread configuration
	  (report by Rajeev Pillai, cf: 20250208).

20250208
	+ change etip.h.in to include either/both of <new> and <exception>,
	  needed for another old BSD.
	+ update st (report by Alexander Kashpir) -TD
	+ add note for ghostty 1.1.0 -TD
	+ fix a few issues found with coverity.

20250201
	+ add <new> to the possible headers declaring the C++ std::bad_alloc
	  (report by Carl Hansen).
	+ modify check for stdbool.h to be more conservative in case the
	  headers are used with a compiler other than that which was used to
	  configure (Redhat #2342514).
	+ improve MKlib_gen.sh handling of "bool" type, for building link_test
	+ improve formatting/style of manpages (patches by Branden Robinson).

20250125
	+ improve error-handling in c++ binding (report by Mingjie Shen).
	+ strict compiler-warning fixes for upcoming gcc15

20250118
	+ improve pattern used for configure --with-xterm-kbs option (report by
	  Mingyu Wang)
	+ update configure macros, from work on cdk and dialog.
	+ change a parameter name in curs_sp_funcs.3x, for consistency (patch
	  by "WHR").
	> patches by Branden Robinson:
	+ improve formatting/style of manpages
	+ change winwstr() to a generated function, using the macro definition,
	  moving its handling of negative length parameter into winnwstr().
	+ correct actual-function name in a few trace calls.

20250111
	+ add check for infinite loop in tic's use-resolution.
	+ increase limit on use-clauses from 32 to 40, warn but allow entries
	  which exceed the old limit.
	+ add some null-pointer checks after mallocs in test-programs.

20250104
	+ modify tput to warn about capabilities which expect parameters where
	  none are given; also repair the feature where multiple capabilities
	  can be handled on a single line.
	+ cleanup use-clauses -TD
	+ add linux+lockeys, xterm+r5+lockeys, xterm+r5+fkeys -TD
	+ add vt220+ufkeys, vt220+sfkeys
	+ revert man/manlinks.sed change, which loses aliases (cf: 20241228).
	+ modify MKlib_gen.c to allow for Solaris's definition of NULL as 0L

20241228
	+ correct conditional-compile for a case when the C compiler does not
	  have a bool type.
	+ add ghostty -TD
	> patches by Branden Robinson:
	+ add comments to generated term.h to hint the configure options used
	+ use same subdir-convention for term.h, in configure script
	+ improve formatting/style of manpages

20241221
	+ modify ncurses/tinfo/MKfallback.sh to work with MacOS sed, which
	  lacks BSD-style \< and \>
	+ trim padding from sgr expression used in trim_sgr0, to avoid copying
	  the padding into the resulting sgr0 (report by Rajeev Pillai).
	+ strict compiler-warning fixes for upcoming gcc15

20241214
	+ avoid redefining bool in curses.h if the platform already supports
	  that type (cf: 20241123).
	+ move include <curses.h> from etip.h.in to cursesw.h, to work around
	  breakage in Apple's port of ncurses.
	+ strict compiler-warning fixes for upcoming gcc15

20241207
	+ strict compiler-warning fixes for upcoming gcc15

20241130
	+ improve configure check for lint program.
	+ adjust options in test-programs to allow for consistent use of -c/-l
	  for command/logging.
	+ modify win_driver.c for MinGW to handle shift-tab and control-tab as
	  back-tab (report by Axel Reinhold)

20241123
	+ remove dependency on stdbool.h from configure script check for type
	  of bool when C++ binding is omitted (report by Sam James).
	+ compiler-warning fixes

20241109
	+ work around musl header ifdef's (report by Urs Jansen, cf: Gentoo
	  #920266).
	+ improve error-reporting in write_entry.c (report by Changqing Li).
	+ remove unused #include from DJGPP configuration (report by Stas
	  Sergeev).
	+ workaround/fix issues from clang-analyze

20241102
	+ remove djgpp-specific initialization to binary mode (report/patch by
	  Stas Sergeev).
	+ add extended-keys for djgpp 2.05 -TD

20241026
	+ update ms-terminal -TD
	+ add ms-terminal-direct -TD
	+ correct dimensions in test/popup_msg.c, fixing an overrun (patch by
	  Stas Sergeev, cf: 20211219).

20241019
	+ fixes for compiler warnings/cppcheck.
	+ build-fixes for DJGPP configuration (patches by Stas Sergeev)

20241006
	+ fixes for compiler warnings/cppcheck.
	+ use xterm+alt+title in wezterm -TD

20240928
	+ improve error-message from infocmp when a terminal entry cannot be
	  opened (patch by Branden Robinson).
	+ improve filtering of -L options in misc/gen-pkgconfig.in and in
	  misc/ncurses-config.in
	+ add check in wresize() for out-of-range dimensions (report by Peter
	  Bierma).

20240922
	+ add a few null-pointer checks in ncurses
	+ improve test-driver in ncurses/link_test.c
	+ restore background character in manpages as described in X/Open
	  Curses section 3.3.6, and add option "-c" to test programs to
	  illustrate a non-blank character in the window background property.
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ modify ncurses*-config to add -I option in --cflag where needed for
	  --disable-overwrite to match ".pc" files.
	+ disallow directories and block/character devices in safe-open.
	+ amend scr_restore() and scr_init() to remove the target window only
	  after validating the source window which will replace the target
	  (report by Zixi Liu).

20240914
	+ modify _nc_flush() to also flush stderr to help the flash capability
	  to work in bash (patch by Harm te Hennepe, cf: 20201128)
	+ omit -g and -fXXX flags from CFLAGS in misc/ncurses-config.in
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ improve examples in NCURSES-Programming-HOWTO.html
	+ update comments in terminfo.src -TD

20240831
	+ build-fix for a case in msys2 where gettimeofday() was available but
	  the fallback was partly configured.
	> patch by Rafael Kitover:
	+ separate the _NC_WINDOWS platform macro into _NC_WINDOWS_NATIVE,
	  for MinGW and other native Win32 support, and _NC_WINDOWS, to make
	  some Win32 features available under the Cygwin runtime, in this case
	  the term-driver.
	+ make some minor adjustments to allow
	      ./configure --enable-term-driver
	  to also work on Cygwin platforms such as Cygwin and MSYS2.

20240824
	+ modify infocmp and tabs to use actual name in usage and header.
	+ modify test/demo_keyok.c to accept ^Q for quit, for consistency.

20240817
	+ review/update foot for 1.18.1 -TD
	+ add a note about DomTerm 3.2.0 -TD
	+ add new glob-expressions variables to list in config.status script
	  (patch by Werner Fink).
	+ add --enable-install-prefix to modify behavior of $DESTDIR to merge
	  or replace the value set by --prefix (adapted from suggestion by
	  Eli Zaretskii).

20240810
	+ modify misc/Makefile.in and misc/run_tic.in so that $DESTDIR is set
	  and used only in the makefile.
	+ modify CF_WITH_PKG_CONFIG_LIBDIR to allow for pkg-config using
	  DOS/Windows pathname syntax (report by Eli Zaretskii).
	+ improve glob-expressions in configure script
	+ remove unused Get_Menu_Screen() macro from menu.priv.h
	+ update config.guess, config.sub

20240727
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ fixes for compiler warnings/cppcheck.
	+ modify wattron/wattroff calls in form/m_post.c to call wattr_on and
	  wattr_off to omit cast used in the former for X/Open compatibility
	  (patch by Bill Gray).
	+ modify wezterm, omitting its broken left/right margin feature (report
	  by Thayne McCombs) -TD

20240720
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ modify configure script and misc/Makefile to accept glob expressions
	  that include Windows/DOS drive-letters (report by Eli Zaretskii).
	+ fix misspelled ifdef and correct return-value of _nc_mingw_tcflush in
	  win_driver.c (report/patch by Eli Zaretskii).

20240713
	+ modify misc/ncurses-config.in, improved match with pkg-config output.

20240706
	+ update configure script to use macro changes from dialog.
	+ modify CF_NCURSES_PTHREADS to avoid equating package and library
	  names.

20240629
	+ build-fix for ncurses-examples with newer PDCurses, which no longer
	  has stubs for unimplemented features.
	+ add help-popup for test_instr.c, test_inwstr.c
	+ modify checks in delwin to avoid checking if the window is a pad
	  until first checking if it is still on the active window-list
	  (cf: 20211115).
	+ improve -t option of test/gdc.c, allowing hours only, or hours and
	  minutes only.

20240622
	+ improve test/gdc.c (patch by Branden Robinson).
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ adjust naming of mingw *-config scripts to match the pkg-config names
	+ widen pattern in pc/*-config scripts to disallow more linker options
	+ add --cflags-only-I and --cflags-only-other options to
	  misc/ncurses-config.in
	+ revert change to CF_BUILD_CC macro (report by Vassili Courzakis,
	  cf: 20240518).

20240615
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ review/update modules files.
	+ improve install-rules in Ada95 makefiles (report by Branden Robinson).
	+ improve formatting/style of manpages in test-directory.

20240608
	+ change winwstr to return wide character count instead of OK (patch
	  by Branden Robinson).
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ rename testing dpkg's for ncurses6 to resolve a naming conflict with
	  Debian's ncurses packages.

20240601
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ change Ada95/configure to use --with-screen option rather than
	  --enable-widec, to provide more choices of underlying curses library

20240525
	+ build-fix for configure option --disable-ext-funcs
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ review/update iTerm2 for 3.5.0 -TD

20240519
	+ update Ada95/configure to match change for -DTRACE
	+ revert change to include/ncurses_defs, which caused build failure if
	  tracing was not enabled (report by Branden Robinson).

20240518
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ move makefile's -DTRACE into include/ncurses_cfg.h, to simplify use
	  of CFLAGS/CPPFLAGS.
	+ improve check for clock_gettime(), from xterm.
	+ modify configure script to work around broken gnatgcc script found in
	  gcc-13 builds.

20240511
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ limit value from ESCDELAY environment variable to 30 seconds, like
	  other delay limits.
	+ limit values from LINES and COLUMNS environment variables to 512
	  (report by Miroslav Lichvar).

20240504
	+ update ncurses/wcwidth.c, for MinGW ports, from xterm.
	+ trim obsolete comment about tack from INSTALL.

20240427 6.5 release for upload to ftp.gnu.org
	+ update announcement
	+ fixes/corrections for manpages (patches by Branden Robinson).
	+ fix redefinition of CASTxPTR, for legacy Unix.

20240420
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ compiler warning/portability fixes.

20240414
	+ build/bug-fix for check-size feature (reports by Sam James, Gabriele
	  Balducci).

20240413
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ provide for padding in check-size feature, using new_prescr() to
	  pass interim SCREEN pointer.
	+ complete change for opaque options (Gentoo #928973, cf: 20231021).
	+ update package /debian/rules and related lintian overrides
	+ revise progs.priv.h to provide for NC_ISATTY reuse

20240330
	+ remove masking of ISIG in cbreak() (report by Benno Schulenberg).
	+ modify test/test_mouse.c to use curses api for raw/noraw.
	> improved configure macros from other program development:
	  + build-fix for clang on Solaris
	  + suppress filename/timestamp in gzip'd manpages (suggested for
	    byacc by Andrin Geiger)

20240323
	+ modify tput/tset reset feature to avoid 1-second sleep if running in
	  a pseudo-terminal.
	+ modify check-size feature to avoid using it in a pseudoterminal
	  (cf: 20231016)
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ trim a space after some "-R" options, fixing builds for applications
	  built using clang and ncurses on Solaris.

20240309
	+ modify xgterm to work around line-drawing bug -TD
	+ use CSI 3J in vte-2017 (report by Sven Joachim)

20240302
	+ add configure check for MB_LEN_MAX, to provide warning as needed.
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ fix regression in tput which disallowed hex/octal parameters (report
	  by Werner Fink, cf:  20230408)
	+ update config.guess, config.sub

20240224
	+ improve man/curs_mouse.3x style (Branden Robinson, Sven Joachim).
	+ provide for CCHARW_MAX greater than 1
	+ eliminate use of PATH_MAX in lib_trace.c
	+ work around misconfiguration of MacPorts gcc13, which exposes invalid
	  definition of MB_LEN_MAX in gcc's fallback copy of limits.h (MacPorts
	  #69374).

20240217
	+ add vt100+noapp, vt100+noapp+pc, xterm+app+pc, xterm+decedit from
	  xterm #389 -TD
	+ fix inconsistent description of wmouse_trafo() (Debian #1059778).
	+ modify wenclose() to handle pads (Debian #1059783).
	+ improve manpage discussion of mouseinterval() (Debian #1058560).

20240210
	+ compiler-warning fixes, while investigating an optimizer bug in
	  "gcc (MacPorts gcc13 13.2.0_4+stdlib_flag) 13.2.0"
	  which results in only the first byte of a multibyte character being
	  printed to the screen.

20240203
	+ minor changes to tracing and locale-checks.

20240127
	+ amend change to z39-a (report by Sven Joachim).
	+ use xterm+nopcfkeys, vt52-basic, dec+pp, dec+sl, vt52+arrows,
	  hp+pfk+cr, klone+acs, klone+color, klone+sgr, ncr160wy50+pp
	  to trim -TD
	+ NetBSD-related fixes for x68k and wsvt25 (patch by Thomas Klausner)

20240120
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ amend discussion of aliases in tput.1
	+ use ansi+sgrbold, ansi+sgrdim, ansi+sgrso, ansi+sgrul, ansi+tabs
	  ecma+color, ecma+sgr, vt100+4bsd, vt100+pfkeys, vt220+pcedit
	  xterm+256color, xterm+acs, xterm+nopcfkeys, xterm+pcf2 to trim -TD
	+ modify configure scripts/makefiles to omit KEY_RESIZE if the
	  corresponding SIGWINCH feature is disabled.

20240113
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ modify dist.mk to avoid passing developer's comments in manpages into
	  the generated html documentation.
	+ use ansi+local, ansi+local1, ansi+pp, ansi+rca, ansi+rca2, ansi+sgr
	  to trim -TD
	+ restore padding for wy520* and vt320-k311 (report by Sven Joachim).

20240106
	+ use ansi+arrows, ansi+apparrows, ansi+csr, ansi+erase, ansi+idc,
	  ansi+idc1, ansi+idl, ansi+idl1, ansi+inittabs to trim -TD
	+ minor manpage formatting changes for consistency.
	+ modify doc-html test package's install-directory, per lintian.
	+ add attr_get.3x to man_db.renames.in (patch by Sven Joachim).

20231230
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ add ms-vt100-16color, winconsole -TD
	+ add rio, rio-direct -TD
	+ add mostlike -TD
	+ add wezterm, contour -TD

20231223
	+ improve formatting/style of manpages (patches by Branden Robinson).

20231217
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ correct an assignment in infocmp "-u" for detecting if a boolean
	  is unset in a base entry and set in a use'd chunk, i.e., if it was
	  cancelled.
	+ modify infocmp "-u" option to not report cancels for strings which
	  were already cancelled in a use'd chunk.
	+ join two lines in infotocap.3x to eliminate a spurious "description"
	  link in installed manpages (report by Sven Joachim).
	+ fix typo in NEWS (report by Sven Joachim).

20231209
	+ modify infocmp "-u" option to not report cancels in use'd chunks
	  which are not mentioned in the top-level terminal description.
	+ remove xterm+sm+1006 from tmux (Debian #1057688).
	+ used "infocmp -u" to help trim redundant capabilities -TD
	+ updated man/edit_man.sh to allow for "\%" markers embedded after
	  bold font escapes in manpage cross-references (Debian #1057651).
	+ reduce compiler-warnings in configure checks

20231202
	+ correct initial alignment of extended capabilities in infocmp, so
	  that the "-u" option can be used for more than two terminal types.
	+ improve formatting/style of manpages, changing environment variables
	  to italics (patches by Branden Robinson).

20231125
	+ add information about "ttycap", termcap's forerunner, to tset.1
	  (patch by Branden Robinson).
	+ improve formatting/style of manpages, including section reordering
	  (patches by Branden Robinson).
	+ modify usage messages in configure script, bracketing optional values
	  (report by Branden Robinson).

20231121
	+ amend fix for Debian #1055882, correcting nul terminator check in
	  waddnstr (Debian #1056340).

20231118
	+ improve description of length-parameter and error-returns in several
	  manpages:  curs_addchstr.3x, curs_addstr.3x, curs_addwstr.3x,
	  curs_in_wch.3x, curs_in_wchstr.3x, curs_inchstr.3x, curs_ins_wstr.3x,
	  curs_insstr.3x, curs_instr.3x, curs_inwstr.3x
	+ amend parameter check for entire string versus specific length in
	  winsnstr() and wins_nwstr() to match Solaris.
	+ make similar correction to wins_nwstr().
	+ correct loop termination condition in waddnstr() and waddnwstr()
	  (Debian #1055882, cf: 20201205).

20231111
	+ used "infocmp -u" to help trim redundant capabilities -TD
	+ add limit checks in infocmp needed when processing extended
	  capabilities with the "-u" option.
	+ fix inconsistent sort-order in see-also sections of manpages.
	+ fix a few compiler warnings for Solaris 10.
	+ modify endwin() to return an error if it is called again without an
	  intervening screen update (report by Rajeev Pillai, NetBSD #57592).

20231104
	+ modify reset command to avoid altering clocal if the terminal uses a
	  modem (prompted by discussion with Werner Fink, Michal Suchanek,
	  OpenSUSE #1201384, Debian #60377).
	+ build-fixes for --with-caps variations.
	+ correct a couple of section references in INSTALL.

20231028
	+ move xterm focus mode 1004 from xterm+sm+1006 into xterm+focus as
	  fe/fd capabilities, like vim (vim-pr #13440).
	+ modify --with-pkg-config-libdir option to make "libdir" the default,
	  as documented, rather than "auto" (report by Branden Robinson).
	+ improve messages from configure script (patches by Branden Robinson).

20231021
	+ use oldxterm+sm+1006 in vte-2014 (report by Benno Schulenberg) -TD
	+ add ansi+apparrows -TD
	+ change defaults for configure opaque and widec options (prompted by
	  discussion with Branden Robinson).
	+ minor cleanup of compiler- and manpage-warnings.

20231016
	+ make the recent change to setupterm optional "--enable-check-size"
	  (Debian #1054022).

20231014
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ updated configure script macro CF_XOPEN_SOURCE, for uClibc-ng
	+ update config.guess, config.sub

20231007
	+ improve loop-limit for get_position().
	+ improve manual description of immedok (Debian #1053603).
	+ fix a few formatting issues with manpages (Debian #1053123).
	+ improve formatting/style of manpages (patches by Branden Robinson).

20231001
	+ modify setupterm to provide for using ANSI cursor-position report (in
	  user6/user7 terminfo capabilities) to obtain screensize if neither
	  environment variables or ioctl is used.  The ncurses test-program
	  with options "-E -T" demonstrates this feature.
	+ improve error messages in tic (patch by Branden Robinson).
	+ improve formatting/style of manpages (patches by Branden Robinson).
	+ modify test/clip_printw.c to optionally test non-wrapped updates.
	+ fix reallocation loop for vsnprintf() in _nc_sprintf_string() by
	  copying the va_list variable (patch by Ian Abbott).

20230923
	+ improve formatting of manpages (patches by Branden Robinson).
	+ amend change to delscreen() to limit the windows which it creates to
	  just those associated with the screen (report by Frederic Boiteux,
	  cf: 20220813).

20230918
	+ new tarball/errata (report by Sven Joachim).

20230917
	+ improve formatting of manpages (integrated patches by Branden
	  Robinson).
	+ correct limit for name-length in write_entry.c (report/testcase by
	  Luna Saphie Mittelbach).
	+ limit delays to 30 seconds, i.e., padding delays in terminfo, as well
	  as napms() and delay_output() functions.
	+ improve a few pointer-checks.
	+ improve parsing in _nc_msec_cost, allowing a single decimal point.

20230909
	+ improve formatting of manpages (patches by Branden Robinson), for
	  captoinfo.1m and terminfo.5
	> patches by Nicholas Marriott:
	  + use string-hacks in alloc_entry.c, alloc_type.c and hardscroll.c,
	    overlooked due to compiler changes in recent OpenBSD releases.
	  + add "-6" option to ncu2openbsd script.

20230902
	+ improve description of search rules for terminal descriptions in
	  terminfo manpage (report by Sven Joachim).

20230826
	+ fixes for compiler-warnings.
	+ update config.guess, config.sub

20230819
	+ various manpage-formatting fixes.
	+ correct formatting of table header in curs_inopts.3x (Branden
	  Robinson).
	+ correct manpage description of panel_hidden (report by Benjamin
	  Mordaunt).

20230812
	+ add/use putty+cursor to reflect amending of modified cursor-keys in
	  2021 -TD
	+ add ecma+strikeout to putty -TD
	+ add functions to query tty-flags in SCREEN (request by Bill Gray).

20230805
	+ fix a few manpages needing tbl marker, seen by lintian warning.
	+ fixes for compiler-warnings.
	+ minor grammatical fix for manpages (Branden Robinson).

20230729
	+ improve manpages for wgetnstr() and wget_nwstr().
	+ modify MinGW configuration to provide for running in MSYS/MSYS2
	  shells, assuming ConPTY support (patch by Pavel Fedin).
	+ add assignment in CF_MAN_PAGES to fill in value for TERMINFO_DIRS in
	  ncurses, terminfo and tic manpages (patch by Sven Joachim).

20230722
	+ add "auto" default for --with-xterm-kbs configure option.

20230715
	+ correct wadd_wch_literal() when adding a non-spacing character to a
	  double-width character.
	+ improve manual page for curs_util.
	+ improve manual page for wadd_wch().

20230708
	+ add linux+kbs for terminals which imitate xterm's behavior with
	  Linux -TD
	+ modify MinGW driver to return KEY_BACKSPACE when an unmodified
	  VK_BACK virtual key is entered (prompted by patch by Pavel Fedin,
	  Savannah #64292).
	+ disallow using $TERMINFO or $HOME/.terminfo when tic "-o" option is
	  used (report by Sven Joachim, Debian #1040048).

20230701
	+ fix mandoc warnings about unnecessary markup.
	+ improve parameter check in tparm_setup()

20230625
	+ adjust man/make_sed.sh to work with dates as the third field of TH.
	+ fixes for out-of-memory condition (report by "eaglegai").

20230624
	+ fixes for out-of-memory condition (report by "eaglegai").

20230617
	+ markup manpages with revision information (prompted by discussion
	  with Bjarni Ingi Gislason).

20230615
	+ modify _nc_read_file_entry() to show relevant filename in warnings.
	+ improve checks in convert_string() for corrupt terminfo entry (report
	  and test-case by Gregory James Duck).

20230610
	+ improve manpages discussing file descriptors in low-level functions.
	+ modify flushinp to use file descriptors in SCREEN, rather than from
	  TERMINAL, and check if they are for a terminal, like SVr4.
	+ modify mcprint to use file descriptor in SCREEN, for consistency.
	+ add xterm+focus to foot+base (patch by Daniel Ekloef).
	+ correct definition of Charable() for non-wide ncurses library (report
	  and test-case by Zbigniew Baniewski).

20230603
	+ add configure option --with-strip-program, to override program
	  chosen by the install program for stripping executables (prompted
	  by discussion with Aapo Rantalainen).
	+ fix typo in INSTALL (report/patch by Aapo Rantalainen).
	+ improve error-checks for isEILSEQ()
	+ increase MB_CUR_MAX to 16, matching glibc's MB_LEN_MAX.
	+ corrected mouse mask in test/testcurs.c
	+ improve thread lock in lib_trace.c

20230527
	+ fixes for compiler warnings/cppcheck.

20230520
	+ fixes for compiler warnings in MinGW environments.

20230514
	+ modify test-package "ncurses6-doc" to use manpage-aliases, which in
	  turn required a change to the configure script to factor in the
	  extra-suffix option when deriving alias names.
	+ add mode 1004 to xterm+sm+1006 from xterm #380 -TD

20230506
	> build-fixes related to configure-options and/or platform:
	  + fix for --enable-fvisibility
	  + fix for unusual values of --with-rel-version
	  + fix for unusual values of --with-abi-version
	  + fix for --disable-tcap-names
	  + fix for termcap in nc_access.h (report by Werner Fink).

20230429
	+ revise recent change to _nc_write_entry to isolate it to a Cygwin bug
	  (cf: 20230311)
	+ amend fix for wgetnstr, wgetn_wstr to use cbreak mode unless raw
	  mode was set (cf: 20210522).
	+ fix a few warnings from cppcheck, etc.
	+ correct copy/paste error in nc_access.h (report by Werner Fink).

20230424
	+ check return value of _nc_save_str(), in special case for tic where
	  extended capabilities are processed but the terminal description was
	  not initialized (report by Ziqiao Kong).
	+ regenerate llib-* files.

20230423
	+ add tiscan_s() to help applications check formatting capabilities
	  that would be passed to tiparm_s, etc.
	+ add tiparm_s() to provide applications a way to tell ncurses what
	  the expected parameters are for a capability (tmux #3531).
	+ improve check in lib_tparm.c, ensuring that a char* fits into a
	  TPARM_ARG.
	+ add --disable-setuid-environ configure option (request by Sven
	  Joachim).
	+ drop compatibility with obsolete versions of tack, e.g., pre-1.08
	  (Debian #1034549, cf: 20170722).

20230418
	+ improve checks for limits on privileged execution:
	  + modify _nc_syserr_abort() to use _nc_env_access(), rather than
	    only checking root uid.
	  + use getauxval() when available, to improve setuid/setgid checks.
	  + modify test packages to disable root access/environ options.
	+ modify tgoto() to accept no-parameter capabilities, for joe editor
	  (OpenSUSE #1210485, Gentoo #904263).

20230415
	+ configure script fixes:
	  + fix copy/paste error in configure option --disable-root-access
	    (report/patch by Sven Joachim).
	  + modify CF_XOPEN_SOURCE macro's amend default case to avoid
	    undefining _XOPEN_SOURCE if _POSIX_C_SOURCE is defined.
	+ modify test_tparm to account for extended capabilities.
	+ add checks in tparm() and tiparm() for misuse of numeric parameters,
	  overlooked in 20230408.
	+ fix errata in clear.1 and curs_terminfo.3x

20230408
	+ document limitations of tparm, and error-returns in curs_terminfo.3x
	+ document limitations of tgoto, and error-returns in curs_termcap.3x
	+ add xterm+focus to alacritty+common (patch by Christian Duerr).
	+ add "-v" option to tput, to show warnings.
	> improve checks for malformed terminfo data (report/analysis by
	  Jonathan Bar Or, Michael Pearse, Emanuele Cozzi).
	  + make the parameter type/count checks in _nc_tiparm() more stringent
	  + update tgoto() to account for _nc_tiparm() changes
	  + add checks in tparm() and tiparm() for misuse of string parameters
	  + add special cases in tput to handle extensions Cs/Ms parameters
	  + ignore compiled-terminfo where the array sizes exceed the standard

20230401
	+ modify experimental Windows driver to work with xterm mouse protocol.
	+ remove DECCOLM+DECSCLM from foot (patch by Daniel Ekloef).

20230311
	+ improve manpage description for addch versus unctrl format used for
	  non-printable characters.
	+ modify version-check for gcc/g++, now works for msys2.
	+ modify check in _nc_write_entry() for multiply defined aliases to
	  report problems within the current runtime of tic rather than for
	  conflicts with pre-existing terminal descriptions.
	+ allow for MinGW32-/64-bit configurations to use _DEFAULT_SOURCE
	+ clarify interaction of -R option versus -C, -I and -r in infocmp
	  manpage.
	+ build-fix in lib_win32con.c (cf: 20230211).

20230225
	+ build-fixes for rpm test-packages.
	+ add/use configure check for clock_gettime(), to supersede
	  gettimeofday().

20230218
	+ configure-script improvements:
	  + recent msys2 headers work with _DEFAULT_SOURCE; amend check
	  + use $ac_includes_default in most cases where stdlib.h should work
	  + use #error consistently vs "make an error"
	  + add configure macro for gettimeofday vs inline check

20230211
	+ set dwShareMode in calls to CreateConsoleScreenBuffer() (patch by
	  Hannes Domani).
	+ use CreateFile with "CONIN$", "CONOUT$" rather than GetStdHandle to
	  obtain a handle on the actual console, avoiding redirection in the
	  MinGW/Win32 configurations (adapted from patch by LIU Hao).

20230128
	+ document XF, kxIN and kxOUT -TD
	+ add note on sun/wscons/cmdtool/shelltool -TD
	+ modify configure script check for pkg-config library directory to
	  take into account an older version 0.15.0 which used PKG_CONFIG_PATH
	  but not PKG_CONFIG_LIBDIR

20230121
	+ correct limit-check when dumping tc/use clause via tic -I (report by
	  Gabriel Ravier).
	+ correct a check for manpage-alias in edit_man.sh, to work with out of
	  tree builds (report by Sven Joachim).

20230114
	+ change RV to XR/xr, to avoid conflict with pre-existing usage in vim,
	  to use RV/rv to denote DA2 and its response (discussion with Bram
	  Moolenaar) -TD
	+ add XF flag to xterm+focus so that termcap applications can be aware
	  of terminals which may support focus in/out -TD
	+ use xterm+focus in xterm-p370 and tmux -TD
	+ improve configure-script macros vs compiler warnings.

20230107
	+ add --with-abi-altered configure option (prompted by discussion with
	  Brian Inglis).
	+ add BSD erase2 to characters handled by tset/reset.
	+ improve configure-script macros vs compiler warnings.
	+ regenerate configure scripts with autoconf 2.52.20221202
	+ add RV report+version (suggested by Bram Moolenaar).
	+ add comment to bracketed+paste explaining that vim patch 9.0.1117 is
	  needed for use with the updated xterm descriptions (suggested by Bram
	  Moolenaar).

20221231 6.4 release for upload to ftp.gnu.org
	+ update release notes
	+ regenerate llib-* files.
	+ correct PS vs PE names in bracketed+paste (report by Bram Moolenaar)
	  -TD

20221224
	+ add mutex lock/unlock in a few places reported by thread-sanitizer
	+ add/use bracketed+paste to help identify terminals supporting this
	  xterm feature (prompted by discussion with Bram Moolenaar) -TD

20221217
	+ install Ada95 sample programs in libexecdir, adding a wrapper
	  script to invoke those.

20221210
	+ add minimal -h/-V getopt logic to the remaining test-programs.
	+ free new_pair() data in delscreen (report by "magiblot").
	+ add clarification of the scope of dynamic variables in terminfo(5).
	+ remove a stray '/' from description of %g in terminfo(5).

20221203
	+ add -h usage and -V version options to the test-programs which use
	  getopt.
	+ use "command -v" rather than "type" in Ada95/gen/Makefile.in to fix
	  a portability issue (patch by Nicolas Boulenguez).
	+ update ncurses-howto, more documentation fixes along with corrections
	  to example programs.

20221126
	+ fix an error in pathname of explain.txt (cf: 20200201).
	+ fix an error in "@" command in test/ncurses.c F-menu (cf: 20190121).
	+ improve formatting of ncurses-intro.html and hackguide.html
	+ improve man/curs_clear.3x links to other pages

20221119
	+ use static libraries for AdaCurses test-package for Mageia, since no
	  gprbuild package is available.
	+ updated test packages for Debian.

20221112
	+ build-fixes for AdaCurses RPM test-package.

20221105
	+ regenerate configure scripts with autoconf 2.52.20221009
	+ modify "--with-manpage-format" to support bzip2 and xz compression
	  (prompted by discussion with Sam James).
	+ modify make-tar.sh scripts to make timestamps more predictable.

20221029
	+ improve curs_slk.3x discussion of extensions and portability (report
	  by Bill Gray).

20221023
	+ change man_db.renames to template, to handle ncurses*-config script
	  with the extra-suffix configure option.

20221015
	+ fix another memory-leak in tic.
	+ update install-sh script from autoconf, to fix install problem for
	  Ada95 with Arch; as noted in
	  https://lists.gnu.org/archive/html/automake/2018-09/msg00005.html
	  there are unaddressed issues.
	+ update CF_XOPEN_SOURCE, adding GNU libc suffixes for abi64, abin32,
	  x32 (report by Sven Joachim):
	+ correct ifdef's for _nc_set_read_thread() (patch by Mikhail Korolev,
	  cf: 20220813).

20221008
	+ correct a switch-statement case in configure script to allow for test
	  builds with ABI=7.
	+ modify misc/gen-pkgconfig.in to allow for the case where the library
	  directory does not yet exist, since this is processed before doing an
	  install (report by Michal Liszcz).

20221001
	+ modify configure/scripts to work around interference by GNU grep 3.8
	  (report by Sam James).
	+ update CF_XOPEN_SOURCE, adding variants "gnueabi" and "gnueabihf" to
	  get _DEFAULT_SOURCE special case (report by Adam Sampson)

20220924
	+ modify configure macro CF_BUILD_CC to check if the build-compiler
	  works, rather than that it is different from the cross-compiler, e.g.,
	  to accommodate a compiler which can be used for either purpose with
	  different flags (report by Mikhail Korolev).
	+ fix another memory-leak in tic.
	+ correct change for cppcheck in menu library (report/analysis by
	  "tuxway", cf: 20220903).
	+ update config.guess, config.sub

20220917
	+ reduce memory-leak in tic by separating allocations for struct entry
	  from TERMTYPE2 (cf: 20220430).
	+ improve interaction between tic -v option and NCURSES_TRACE, by
	  processing the latter only when -v option does not set _nc_tracing.
	+ modify curses_trace() to show the trace-mask as symbols, e.g.,
	  TRACE_ORDINARY, DEBUG_LEVEL(3).

20220910
	+ amend verbose-option change to make this affect level 3, e.g., using
	  "tic -cv3 terminfo".
	+ work around musl's nonstandard use of feature test macros by adding
	  a definition for NCURSES_WIDECHAR to the generated ".pc" and *-config
	  files (report by Sam James).

20220903
	+ modify verbose-option of infocmp, tic, toe to enable debug-tracing
	  if that is configured.

20220827
	+ modify configure scripts to use overlooked cases for LD and
	  PKG_CONFIG variables (report by Alan Webb, Gentoo #866398).
	+ modify nsterm to use xterm+alt1049 (report by Paul Handly) -TD
	+ modify putty to use xterm+alt1049 -TD

20220820
	+ fix some cppcheck warnings, mostly style, in ncurses and c++
	  libraries and progs directory.
	+ add curses_trace to ifdef's for START_TRACE in test/test.priv.h
	+ update config.guess

20220813
	+ modify delscreen to more effectively delete all windows on the given
	  screen.
	+ amend portability note for delwin in manual page.
	+ adapt test/test_delwin.c from example by Bill Gray.
	+ account for prescreen data if freeing leaks in pthread-configuration
	+ split-out _nc_set_read_thread(), to reduce compiler warnings about
	  pthread_self(), which may/may not be a weak symbol.
	+ improve pthread-configuration for test/worm.c

20220806
	+ amend end_of_stream() to allow for input files without a final
	  newline.
	+ check for non-textfiles to tic.

20220729
	+ fixes to build with dietlibc:
	  + add configure check for fpathconf (report by Georg Lehner).
	  + add configure check for math sine/cosine, needed in test/tclock,
	    and eliminate pow() from test/hanoi (report by Georg Lehner).
	  + use wcsnlen as an alternative to wmemchr if it is not found
	    (adapted from patch by Georg Lehner).
	+ trim out some unwanted linker options from ncurses*config and .pc
	  files seen in Fedora 36+.

20220724
	+ add portability notes for delscreen and delwin in manual.
	+ improve pthread-configuration for test/worm.c, test/rain.c
	+ improve pointer/limit checks associated with deleting a screen
	  (Debian #1015756).

20220716
	+ build-fix for test_mouse.c, for non-standard cfmakeraw.
	+ improve shell-scripts with shellcheck
	+ fix typo in run_tic.in (report/patch by Jan Starke).

20220709
	+ lock the prescreen data consistently in newterm, etc., for the
	  pthreads configuration (report by Tom de Vries).

20220703
	+ add consistency check in tic for u6/u7/u8/u9 and NQ capabilities.
	+ use NQ to flag entries where the terminal does not support query and
	  response -TD
	+ use ansi+enq and decid+cpr in cases where the terminal probably
	  supported the u6-u9 extension -TD
	+ add/use apollo+vt132, xterm+alt47 -TD

20220625
	+ improve man/curs_bkgd.3x, explaining that bkgdset can affect results
	  for bkgd (report by Anton Vidovic).
	+ correct dsl in dec+sl (report by Rajeev Pillai) -TD
	+ add/use ansi+cpr, decid+cpr -TD

20220618
	+ add a null-pointer check for term_names field in copy_termtype(),
	  needed for MinGW port (report by Peiyuan Song, cf: 20220521).
	+ revise kon/kon2/jfbterm to undo "linux2.6" change to
	  smacs/rmacs/enacs (Debian #1012800) -TD
	+ amended note for att610+cvis0, as per documentation for att610,
	  att620, att730 -TD

20220612
	+ modify waddch_literal() to allow for double-width base character when
	  merging a combining character (report by Gavin Troy).
	+ improve _tracecchar_t2() formatting of base+combining character.

20220604
	+ add note on portable memory-leak checking in man/curs_memleaks.3x
	+ remove u6-u9 from teken-2018 -TD
	+ set "xterm-new" to "xterm-p370", add "xterm-p371" -TD

20220529
	+ expanded notes for teken/syscons -TD
	+ fix overlooked copying of extended string-heap in copy_termtype
	  (cf: 20220430).
	+ update config.guess

20220521
	+ improve memory-leak checking in several test-programs.
	+ set trailing null on string passed from winsnstr() to wins_nwstr().
	+ modify del_curterm() to fix memory-leak introduced by change to
	  copy_termtype().

20220514
	+ further improvements to test/test_mouse.c; compare with ncurses test
	  program menu A/a.

20220507
	+ add test/test_mouse.c (patch by Leonid S Usov).
	+ add a few debug-traces for tic, fix a couple of memory-leaks.

20220501
	+ build-fix for debug-traces (report/patch by Chris Clayton).

20220430
	+ modify samples for xterm mouse 1002/1003 modes to use 1006 mode, and
	  also provide for focus in/out responses -TD
	+ modify default case in handle_wheel() to always report button-release
	  events, e.g., for xterm mouse mode 1003 (patch by Leonid S Usov).
	+ improve valid_entryname() to disallow characters used in terminfo
	  syntax: '#', '=', '|', '\'.
	+ alter copy_termtype() to allocate new str_table and ext_str_table
	  data rather than relying upon its callers.
	+ use calloc in _nc_init_entry() when allocating stringbuf, to ensure
	  it is initialized.
	+ add library-level TYPE_CALLOC for consistency with TYPE_MALLOC.
	+ add some debug-traces for tic/infocmp.

20220423
	+ in-progress work on invalid_merge(), disable it (cf: 20220402).
	+ fix memory leak in _nc_tic_dir() when called from _nc_set_writedir().
	+ fix memory leak in tic when "-c" option is used.

20220416
	+ add a limit-check to guard against corrupt terminfo data
	  (report/testcase by NCNIPC of China).
	+ add check/warning in configure script if option --with-xterm-kbs is
	  missing or inconsistent (Arch #74379).
	+ add setlocale call to several test-programs.
	+ allow extended-color number in opts parameter of wattr_on.

20220409
	+ add test/test_unget_wch.c

20220402
	+ amend extended_captype(), returning CANCEL if a string is explicitly
	  cancelled.
	+ make description-fields distinct -TD

20220326
	+ update teken -TD
	+ add teken-16color, teken-vt and teken-sc -TD
	+ add a few missing details for vte-2018 (report by Robert Lange) -TD

20220319
	+ add xgterm -TD
	+ correct setal in mintty/tmux entries, add to vte-2018 (report by
	  Robert Lange)
	+ add blink to vte-2018 (report by Robert Lange)
	+ improve tic warning about XT versus redundant tsl, etc.

20220312
	+ add xterm+acs building-block -TD
	+ add xterm-p370, for use in older terminals -TD
	+ add dec+sl to xterm-new, per xterm patch #371 -TD
	+ add mosh and mosh-256color -TD

20220305
	+ replace obsolescent "-gnatg" option with "-gnatwa" and "-gnatyg", to
	  work around build problems with gnat 12.
	+ update external links in Ada95.html
	+ trim unused return-value from canonical_name().

20220226
	+ fix issues found with coverity:
	  + rewrite canonical_name() function of infocmp to ensure buffer size
	  + corrected use of original tty-modes in tput init/reset subcommands
	  + modify tabs program to limit tab-stop values to max-columns
	  + add limit-checks for palette rgb values in test/ncurses.c
	+ add a few null-pointer checks to help with static-analysis.
	+ enforce limit on number of soft-keys used in c++ binding.
	+ adjust a buffer-limit in write_entry.c to quiet a bogus warning from
	  gcc 12.0.1

20220219
	+ expanded description in man/resizeterm.3x
	+ additional workaround for ImageMagick in test/picsmap.c

20220212
	+ improve font-formatting in other manpages, for consistency.
	+ correct/improve font-formatting in curs_wgetch.3x (patch by Benno
	  Schulenberg).

20220205
	+ workaround in test/picsmap.c for use of floating point for rgb values
	  by ImageMagick 6.9.11, which appears to use the wrong upper limit.
	+ improve use of "trap" in shell scripts, using "fixup-trap".

20220129
	+ minor updates for test-packages
	+ improve handling of --with-pkg-config-libdir option, allowing for the
	  case where either $PKG_CONFIG_LIBDIR or the option value has a
	  colon-separated list of directories (report by Rudi Heitbaum,
	  cf: 20211113).
	+ update kitty -TD

20220122
	+ add ABI 7 defaults to configure script.
	+ add warning in configure script if file specified for "--with-caps"
	  does not exist.
	+ use fix for CF_FIX_WARNINGS from cdk-perl, ignoring error-exit on
	  format-warnings.
	+ improve readability of long parameterized expressions with the
	  infocmp "-f" option by allowing split before a "%p" marker.

20220115
	+ improve checks for valid mouse events when an intermediate mouse
	  state is not part of the mousemask specified by the caller (report by
	  Anton Vidovic, cf: 20111022).
	+ use newer version 1.36 of gnathtml for generating Ada html files.

20220101
	+ add section on releasing memory to curs_termcap.3x and
	  curs_terminfo.3x manpages.

20211225
	+ improve markup, e.g., for external manpage links in the manpages
	  (prompted by report by Helge Kreutzmann).

20211219
	+ install ncurses-examples programs in libexecdir, adding a wrapper
	  script to invoke those.
	+ add help-screen and screen-dump to test/combine.c

20211211
	+ add test/combine.c, to demo/test combining characters.

20211204
	+ improve configure check for getttynam (report by Werner Fink).

20211127
	+ fix errata in description fields (report by Eric Lindblad) -TD
	+ add x10term+sl, aixterm+sl, ncr260vp+sl, ncr260vp+vt, wyse+sl -TD

20211120
	+ add dim, ecma+strikeout to st-0.6 -TD
	+ deallocate the tparm cache when del_curterm is called for the last
	  allocated TERMINAL structure (report/testcase by Bram Moolenaar,
	  cf: 20200531).
	+ modify test-package to more closely conform to Debian multi-arch.
	+ if the --with-pkg-config-libdir option is not given, use
	  ${libdir}/pkgconfig as a default (prompted by discussion with Ross
	  Burton).

20211115
	+ fix memory-leak in delwin for pads (report by Werner Fink, OpenSUSE
	  #1192668, cf:  20211106),

20211113
	+ minor clarification to clear.1 (Debian #999437).
	+ add xterm+sl-alt, use that in foot+base (report by Jonas Grosse
	  Sundrup) -TD
	+ improve search-path check for pkg-config, for Debian testing which
	  installs pkg-config with architecture-prefixes.

20211106
	+ improve check in misc/Makefile.in for empty $PKG_CONFIG_LIBDIR
	+ modify wnoutrefresh to call pnoutrefresh if its parameter is a pad,
	  rather than treating it as an error, and modify new_panel to permit
	  its window-parameter to be a pad (report by Giorgos Xou).
	+ fix a memory-leak in del_curterm (prompted by discussion with Bram
	  Moolenaar, cf: 20210821).

20211030
	+ simplify some references to WINDOWS._flags using macros.
	+ add a "check" rule in Ada95 makefile, to help with test-packages.
	+ build-fix for cross-compiling to MingW, conditionally add -lssp

20211026
	+ corrected regex needed for older pkg-config used in Solaris 10.
	+ amend configure option's auto-search to account for systems where
	  none of the directories known to pkg-config exist, adapted from
	  mailing-list comment (report by Milan P. Stanic).

20211021 6.3 release for upload to ftp.gnu.org
	+ update release notes
	+ add "ncu2openbsd" script, to illustrate how to update an OpenBSD
	  system to use a current ncurses release.

20211018
	+ check for screen size-change in scr_init() and scr_restore(), in case
	  a screen dump does not match the current screen dimensions (report by
	  Frank Tkalcevic).

20211017
	+ amend change for pkg-config to account for "none" being returned in
	  the libdir-path result rather than "no" (report by Gabriele Balducci).

20211016
	+ build-fix for pmake with libtool.
	+ improve make-tar.sh scripts, adding COPYING to tar file, and clean up
	  shellcheck warnings.
	+ add link for "reset6" manpage in test-package ncurses6-doc
	+ revise configure option --with-pkg-config-libdir, using the actual
	  search path from pkg-config or pkgconf using the output from --debug
	  (report by Pascal Pignard).
	+ freeze ABI in ".map" files.

20211009
	+ implement "+m" option in tabs program.
	+ fill in some details for infoton -TD
	+ fix spelling/consistency in several descriptions -TD
	+ use vt420+lrmm in vt420 -TD
	+ modify save_tty_settings() to avoid opening /dev/tty for cases other
	  than reset/init, e.g., for clear.
	+ modify output of "toe -as" to show first description found rather
	  than the last.
	+ improve tic checks for number of parameters of smglp, smgrp, smgtp,
	  and smgbp (cf: 20020525).
	+ correct off-by-one comparison in last_char(), which did not allow
	  special case of ":" in a terminfo description field (cf: 20120407).
	+ remove check in tic that assumes that none or both parameterized and
	  non-parameterized margin-setting capabilities are present
	  (cf: 20101002).

20211002
	+ use return-value from vsnprintf to reallocate as needed to allow for
	  buffers larger than the screen size (report by "_RuRo_").
	+ modify tset "-q" option to refrain from modifying terminal modes, to
	  match the documentation.
	+ add section on margins to terminfo.5, adapted from X/Open Curses.
	+ make tput/tset warning messages consistently using alias names when
	  those are used, rather than the underlying program's name.
	+ improve tput usage message for aliases such as clear, by eliminating
	  tput-specific portions.
	+ add a check in toe to ensure that a "termcap file" is text rather
	  than binary.
	+ further build-fixes for OpenBSD 6.9, whose header files differ from
	  the other BSDs.

20210925
	+ add kbeg to xterm+keypad to accommodate termcap applications -TD
	+ add smglp and smgrp to vt420+lrmm, to provide useful data for the
	  "tabs" +m option -TD
	+ build-fix for gcc 3.4.3 with Solaris10, which does not allow forward
	  reference of anonymous struct typedef.
	+ modify tput to allow multiple commands per line.
	+ minor fixes for tset manpage.

20210911
	+ adjust ifdef in test_opaque.c to fix build with ncurses 5.7
	+ add testing note for xterm-{hp|sco|sun} -TD
	+ corrected description for ansi.sys-old -TD
	+ add xterm+nopcfkeys, to fill in keys for xterm-hp, xterm-sun -TD
	+ use hp+arrows in a few places -TD
	+ use hp+pfk-cr in a few places -TD

20210905
	+ correct logic in filtering of redefinitions (report by Sven Joachim,
	  cf: 20210828).

20210904
	+ modify linux3.0 entry to reflect default mapping of shift-tab by
	  kbd 1.14 (report by Jan Engelhardt) -TD
	+ add historical note to tput, curses-terminfo and curses-color
	  manpages based on source-code for SVr2, SVr3 and SVr4.
	+ minor grammatical fixes for "it's" vs "its" (report by Nick Black).
	+ amend fix for --disable-root-environ (report by Arnav Singh).
	+ build-fix for compiling link_test
	+ drop symbols GCC_PRINTF and GCC_SCANF from curses.h.in, to simplify
	  use (Debian #993179).

20210828
	+ correct reversed check for --disable-root-environ (report/analysis
	  by Arnav Singh, cf: 20210626).
	+ apply gcc format attribute to prototypes which use a va_list
	  parameter rather than a "..." variable-length parameter list
	  (prompted by discussion in a tmux pull-request).
	+ modify configure scripts to filter out redefinitions of _XOPEN_SOURCE,
	  e.g., for NetBSD which generally supports 500, but 600 is needed for
	  ncursesw.
	+ improve documentation for tparm and static/dynamic variables.
	+ improve typography in terminfo.5 (patch by Branden Robinson).

20210821
	+ improve tparm implementation of %P and %g, more closely matching
	  SVr4 terminfo.
	+ move internals of TERMINAL structure to new header term.priv.h
	+ add "check" rule for ncurses/Makefile
	+ corrected tsl capability for terminator -TD
	+ add check in tic to report instances where tparm would detect an
	  error in an expression (cf: 20201010).
	+ correct a few places where SP->_pair_limit was used rather than
	  SP->_pair_alloc (cf: 20170812).
	+ fix missing "%d" for setaf/setab code 8-15 in xterm+direct16 (report
	  by Florian Weimer) -TD
	+ fix some documentation errata from OpenBSD changes.
	+ update config.sub

20210814
	+ add workaround for broken pcre2 package in Debian 10, from xterm #369.

20210807
	+ ignore "--dynamic-linker" option in generated pkg/config files,
	  adapted from "distr1" patch.
	+ add CF_SHARED_OPTS case for Haiku, from patch in haikuports.

20210731
	+ add extensions in xterm+tmux and ecma+strikeout to ms-terminal,
	  but cancel the non-working Cr and Ms capabilities -TD
	+ add foot and foot-direct -TD

20210724
	+ add workaround for Windows Terminal's problems with CR/LF mapping to
	  ms-terminal (patch by Juergen Pfeifer).
	+ review/update current Windows Terminal vs ms-terminal -TD

20210718
	+ correct typo in "vip" comments (report by Nick Black), reviewed this
	  against Glink manual -TD
	+ fill in some missing pieces for pccons, to make it comparable to the
	  vt220 entry -TD
	+ modify mk-1st.awk to account for extra-suffix configure option
	  (report by Juergen Pfeifer).
	+ change default for --disable-wattr-macros option to help packagers
	  who reuse wide ncursesw header file with non-wide ncurses library.
	+ build-fix for test/test_opaque.c, for configurations without opaque
	  curses structs.

20210710
	+ improve history section for tset manpage based on the 1BSD tarball,
	  which preceded BSD's SCCS checkins by more than three years.
	+ improve CF_XOPEN_CURSES macro used in test/configure (report by Urs
	  Jansen).
	+ further improvement of libtool configuration, adding a dependency of
	  the install.tic rule, etc., on the library in the build-tree.
	+ update config.sub

20210703
	+ amend libtool configuration to add dependency for install.tic, etc.,
	  in ncurses/Makefile on the lower-level libraries.
	+ modify configure script to support ".PHONY" make program feature.

20210626
	+ add configure option --disable-root-access, which tells ncurses to
	  disallow most file-opens by setuid processes.
	+ use default colors in pccon "op" -TD
	+ correct rmacs/smacs in aaa+dec, aaa+rv -TD
	+ add hpterm-color2 and hp98550-color (Martin Trusler)
	+ regenerate man-html documentation.

20210619
	+ improve configure-macro used for dependencies of --disable-leaks such
	  as --with-valgrind
	+ trim trailing blanks from files

20210612
	+ fixes for scan-build, valgrind build/testing.
	+ update config.guess

20210605
	+ add a summary of ncurses-specific preprocessor symbols to curses.h
	  (prompted by discussion with Peter Farley, Bill Gray).

20210522
	+ regenerate configure scripts with autoconf 2.52.20210509 to eliminate
	  an unnecessary warning in config.log (report by Miroslav Lichvar).
	+ add a note in manual page to explain ungetch vs unget_wch (prompted
	  by discussion with Peter Farley).
	+ add sp-funcs for erasewchar, killwchar.
	+ modify wgetnstr, wgetn_wstr to improve compatibility with SVr4 curses
	  in its treatment of interrupt and quit characters (prompted by
	  report/testcase by Bill Gray)
	+ update config.guess, config.sub

20210515
	+ improve manual pages for wgetnstr, newwin (prompted by
	  report/testcase by Bill Gray).

20210508
	+ modify tputs' error check to allow it to be used without first
	  calling tgetent or setupterm, noting that terminfo initialization
	  is required for supporting the terminfo delay feature (report by
	  Sebastiano Vigna).
	+ fix several warnings from clang --analyze
	+ add null-pointer check in comp_parse.c, when a "use=" clause refers
	  to a nonexisting terminal description (report/patch by Miroslav
	  Lichvar, cf: 20210227).

20210501
	+ add a special case in the configure script to work around one of the
	  build-time breakages reported for OpenBSD 6 here:
	     https://www.mail-archive.com/bugs@openbsd.org/msg13200.html
	  There is no workaround for the other issue, a broken linker spec.
	+ modify configure check for libtool to prevent accidental use of an
	  OpenBSD program which uses the same name.
	+ update config.guess, config.sub

20210424
	+ avoid using broken system macros for snprintf which interfere with
	  _nc_SLIMIT's conditionally adding a parameter when the string-hacks
	  configure option is enabled.
	+ add a "all::" rule before the new "check" rule in test/Makefile.in

20210418
	+ improve CF_LINK_FUNCS by ensuring that the source-file is closed
	  before linking to the target.
	+ add "check" rules for headers in c++, progs and test-directories.
	+ build-fix for termsort module when configured with termcap (reports
	  by Rajeev V Pillai, Rudi Heitbaum).

20210417
	+ extend --disable-pkg-ldflags option to also control whether $LDFLAGS
	  from the build is provided in -config and .pc files (Debian #986764).
	+ fix some cppcheck warnings, mostly style, in ncurses and c++
	  libraries and progs directory.
	+ fix off-by-one limit for tput's processing command-line arguments
	  (patch by Hadrien Lacour).

20210403
	+ fix some cppcheck warnings, mostly style, in ncurses library and
	  progs directory.
	+ improve description of BSD-style padding in curs_termcap.3x
	+ improved CF_C11_NORETURN macro, from byacc changes.
	+ fix "--enable-leak" in CF_DISABLE_LEAKS to allow turning
	  leak-checking off later in a set of options.
	+ relax modification-time comparison in CF_LINK_FUNCS to allow it to
	  accept link() function with NFS filesystems which change the mtime
	  on the link target, e.g., several BSD systems.
	+ call delay_output_sp to handle BSD-style padding when tputs_sp is
	  called, whether directly or internally, to ensure that the SCREEN
	  pointer is passed correctly (reports by Henric Jungheim, Juraj
	  Lutter).

20210327
	+ build-fixes for Solaris10 /bin/sh
	+ fix some cppcheck warnings, mostly style, in ncurses test-programs,
	  form and menu libraries.

20210323
	+ add configure option --enable-stdnoreturn, making the _Noreturn
	  keyword optional to ease transition (prompted by report by
	  Rajeev V Pillai).

20210320
	+ improve parameter-checking in tput by forcing it to analyze any
	  extended string capability, e.g., as used in the Cs and Ms
	  capabilities of the tmux description (report by Brad Town,
	  cf: 20200531).
	+ remove an incorrect free in the fallback (non-checking) version of
	  _nc_free_and_exit (report by Miroslav Lichvar).
	+ correct use-ordering in some xterm-direct flavors -TD
	+ add hterm, hterm-256color (Mike Frysinger)
	+ if the build-time compiler accepts c11's _Noreturn keyword, use that
	  rather than gcc's attribute.
	+ change configure-check for gcc's noreturn attribute to assume it is
	  a prefix rather than suffix, matching c11's _Noreturn convention.
	+ add "lint" rule to c++/Makefile, e.g., with cppcheck.

20210313
	+ improve configure CF_LD_SEARCHPATH macro used for ncurses*-config and
	  ".pc" files, from dialog changes.
	+ reduce dependency of math-library in test programs.
	+ minor fixes for test_tparm.c (cf: 20210306)
	+ mention "ncurses" prefix in curses_version() manpage (report by
	  Michal Bielinski).

20210306
	+ improved test/test_tparm.c, by limiting the tests to capabilities
	  that might have parameters or padding, and combined with tputs test.
	+ improve discussion of padding versus tparm and tputs in
	  man/curs_terminfo.3x
	+ update portability note for FreeBSD in man/tput.1

20210227
	+ modify tic/infocmp to eliminate unnecessary "\" to escape ":" in
	  terminfo format.
	+ add check in tic for duplicate "use=" clauses.

20210220
	+ improve tic warning when oc/op do not mention SGR 39/49 for xterm
	  compatible XT flag.
	+ revert change to lib_addch.c in waddch_literal() from 20210130, since
	  the followup fix in PutCharLR() actually corrects the problem while
	  this change causes too-early filling/wrapping (report by Johannes
	  Altmanninger).
	+ add/use vt220+pcedit and vt220+vtedit  -TD
	+ add scrt/securecrt and absolute -TD
	+ add nel to xterm-new, though supported since X11R5 -TD
	+ add/use xterm+nofkeys -TD
	+ move use of ecma+italics from xterm-basic to xterm+nofkeys -TD

20210213
	+ add test/back_ground.c, to exercise the wide-character background
	  functions.
	+ add a check in _nc_build_wch() in case the background character is a
	  wide-character, rather than a new part of a multibyte character.
	+ improve tracemunch's coverage of form/menu/panel libraries.
	+ improve tracemunch's checking/reporting the type for the first
	  parameter, e.g., "WINDOW*" rather than "#1".

20210206
	+ provide for wide-characters as background character in wbkgrnd
	  (report/testcase by Anton Vidovic)
	+ add name for Fedora's pcre2 to configure check for "--with-pcre2"
	  option, from xterm #363 -TD
	+ modify adjustment in PutCharLR to restore the cursor position before
	  writing to the lower-right corner, rather than decrementing the
	  cursor column, in case it was a double-width character (cf: 20210130).

20210130
	+ correct an off-by-one in comparison in waddch_literal() which caused
	  scrolling when a double-cell character would not fit at the lower
	  right corner of the screen (report by Benno Schulenberg).
	+ split-out att610+cvis, vt220+cvis, vt220+cvis8 -TD
	+ add vt220-base, for terminal emulators which generally have not
	  supported att610's blinking cursor control -TD
	+ use vt220+cvis in vt220, etc -TD
	+ use att610+cvis, xterm+tmux and ansi+enq in kitty -TD
	+ use vt220+cvis in st, terminology, termite since they ignore
	  blinking-cursor detail in att610+cvis -TD

20210123
	+ modify package/config scripts to provide an explicit -L option for
	  cases when the loader search path has other directories preceding
	  the one in which ncurses is installed (report by Yuri Victorovich).
	+ minor build-fixes in configure script and makefiles to work around
	  quirks of pmake.

20210116
	+ add comment for linux2.6 regarding CONFIG_CONSOLE_TRANSLATIONS
	  (report by Patrick McDermott) -TD
	+ make opts extension for getcchar work as documented for ncurses 6.1,
	  adding "-g" flag to test/demo_new_pair to illustrate.

20210109
	+ fix errata in man/ncurses.3x from recent updates.
	+ improve quoting/escaping in configure script, uses some features of
	  autoconf 2.52.20210105

20210102
	+ update man/curs_memleaks.3x, to include <term.h> which declares
	  exit_terminfo.
	+ clarify man/curs_terminfo.3x, to mention why the macro setterm is
	  defined in <curses.h>, and remove it from the list of prototypes
	  (prompted by patch by Graeme McCutcheon).
	+ amend man/curs_terminfo.3x, to note that <curses.h> is required
	  for certain functions, e.g., those using chtype or attr_t for
	  types, as well as mvcur (cf: 20201031).
	+ use parameter-names in prototypes in curs_sp_funcs.3x, for
	  consistency with other manpages.

20201227
	+ update terminology entry to 1.8.1 -TD
	+ fix some compiler-warnings which gcc8 reports incorrectly.

20201219
	+ suppress hyphenation in generated html for manpages, to address
	  regression in upgrade of groff 1.22.2 to 1.22.3.
	+ fix inconsistent sort-order in see-also sections of manpages (report
	  by Chris Bennett).

20201212
	+ improve manual pages for form field-types.

20201205
	+ amend build-fixes for gnat 10 to work with certain systems lacking
	  gprbuild (cf: 20200627).
	+ eliminate an additional strlen and wsclen.
	+ eliminate an unnecessary strlen in waddnstr() (suggested by Benjamin
	  Abendroth).
	+ modify inopts manpage, separating the items for nodelay and notimeout
	  (patch by Benno Schulenberg).
	+ correct mlterm3 kf1-kf4 (Debian #975322) -TD
	+ add flash to mlterm3 -TD

20201128
	+ add Smulx to alacritty (Christian Duerr).
	+ add rep to PuTTY -TD
	+ add putty+keypad -TD
	+ add another fflush(stdout) in _nc_flush() to handle time-delays in
	  the middle of strings such as flash when the application uses
	  low-level calls rather than curses (cf: 20161217).
	+ modify configure check for c89/c99 aliases of clang to use its
	  -std option instead, because some platforms, in particular macOS,
	  do not provide workable c89/c99 aliases.

20201121
	+ fix some compiler-warnings in experimental Windows-10 driver.
	+ add the definitions needed in recent configure-check for clang
	  (report by Steven Pitman).

20201114
	+ fix some compiler-warnings in experimental Windows-10 driver.
	+ modify a check for parameters in terminfo capabilities to handle the
	  special case where short extended capability strings were not
	  converted from terminfo to termcap format.
	+ modify CF_MIXEDCASE_FILENAMES macro, adding darwin as special case
	  when cross-compiling (report by Eli Rykoff).

20201107
	+ update kitty+common -TD
	+ add putty+screen and putty-screen (suggested by Alexandre Montaron).
	+ explain in ncurses.3x that functions in the tinfo library do not rely
	  upon wide-characters (prompted by discussion with Reuben Thomas).

20201031
	+ modify MKterm.h.in so that it is not necessary to include <curses.h>
	  before <term.h> (prompted by discussion with Reuben Thomas).
	+ review/improve synopsis for curs_sp_funcs.3x (prompted by discussion
	  with Reuben Thomas).
	+ improve format of output in tic's check_infotocap() function, to
	  ensure that the messages contain only printable text.
	+ modify configure-check for clang to verify that -Qunused-arguments
	  is supported.  IBM's xlclang does not support it (report by Steven
	  Pitman).

20201024
	+ provide workaround configure-check for bool when cross-compiling.
	+ fix a potential indexing error in _nc_parse_entry(), seen with
	  Herlim's test data using address-sanitizer.
	+ change a null-pointer check in set_curterm to a valid-string check,
	  needed in to tic's use-resolution when pad_char is cancelled
	  (report/testcase by Robert Sebastian Herlim)
	+ improve tic's -c option to validate the number and type of parameters
	  and compare against expected number/type before deciding which set of
	  parameter-lists to use in tparm calls (report/testcase by Robert
	  Sebastian Herlim).
	+ fix a link for tabs.1 manpage in announce.html.in (report by Nick
	  Black), as well as some fixes via linklint.

20201017
	+ improve manpage typography.
	+ improve discussion in curs_addch.3x of the use of unctrl to display
	  nonprintable characters.
	+ add a note in terminfo.5 explaining that no-parameter strings such
	  as sgr0 or cnorm should not be used with tparm.

20201010
	+ correct sgr in aaa+rv (report by Florian Weimer) -TD
	+ fix some sgr inconsistencies in d230c, ibm6153, ibm6154,
	  ncrvt100an -TD
	+ improve tic's check for errors detected in tparm (prompted by
	  discussion with Florian Weimer).
	+ set output-mode to binary in experimental Windows-10 driver (Juergen
	  Pfeifer).

20201003
	+ remove output-related checks for nl/nonl (report by Leon Winter).
	+ change tmux's kbs to ^? (report by Premysl Eric Janouch)
	+ simplify mlterm initialization with DECSTR -TD
	+ fix a typo in man/curs_terminfo.3 (Reuben Thomas).
	+ add tmux-direct (tmux #2370, Debian #895754)
	+ add user-defined capabilities from mintty to Caps-ncurses, for
	  checking consistency with tic.

20200926
	+ correct configure-check for gnurx library.
	+ regenerate llib-* files.
	+ modify tracemunch and the panel library to show readable traces for
	  panel- and user-pointers.

20200919
	+ update mlterm3 for 3.9.0 (report by Premysl Eric Janouch) -TD

20200918
	+ corrected condition for appending curses.events to the generated
	  curses.h (report by Sven Joachim, Debian #970545).

20200912
	+ add configure-check for systre/tre with mingw configuration, to get
	  the library-dependencies as seen in msys2 configuration for mingw64.
	+ build-fixes for the win32-driver configuration.
	+ use more defensive binary mode setting for Win32 (Juergen Pfeifer).

20200907
	+ fix regression in setupterm validating non-empty $TERM (report by
	  Soren Tempel).

20200906
	+ merge/adapt in-progress work by Juergen Pfeifer for new version of
	  win32-driver.
	+ correct description of vt330/vt340 (Ross Combs).

20200831
	+ build-fix for awk-scripts modified for win32-driver (report by Werner
	  Fink).

20200829
	+ remove a redundant NCURSES_EXPORT as a build-fix for "Maarten
	  Anonymous".
	+ merge/adapt in-progress work by Juergen Pfeifer for new version of
	  win32-driver.
	+ modify configure script, moving gcc -Werror options to EXTRA_CFLAGS
	  to avoid breaking configure-checks (adapted from ongoing work on
	  mawk and lynx).
	> errata for terminfo.src (report by Florian Weimer):
	+ correct icl6404 csr
	+ correct ti916 cup
	+ improve ndr9500

20200822
	+ improve version-number extraction in MKlib_gen.sh
	+ make the test-package for manpages installable by adjusting the
	  man_db.renames file.
	+ correct an off-by-one loop-limit in convert_strings function
	  (report by Yue Tai).
	+ add CF_SHARED_OPTS cases for HPE NonStop systems (Randall S Becker).
	+ modify CF_SHARED_OPTS case for NetBSD to use the same "-shared"
	  option for the non-rpath case as for the rpath case, to allow gcc to
	  provide suitable runtime initialization (report by Rajeev V Pillai).

20200817
	+ reduce build-warnings by excluding ncurses-internals from deprecation
	  warnings.
	+ mark wgetch-events feature as deprecated.
	+ add definition for $(LIBS) to ncurses/Makefile.in, to simplify builds
	  using the string-hacks option.
	+ prevent KEY_EVENT from appearing in curses.h unless the configure
	  option --enable-wgetch-events is used (report by Werner Fink).

20200816
	+ amend tic/infocmp check to allow for the respective tool's absence
	  (report by Steve Wills, cf: 20200808).
	+ improved some of the build-scripts with shellcheck
	+ filter out -MT/-MD/-MTd/-MDd options in script for Visual Studio C++
	  (discussion with "Maarten Anonymous").

20200808
	+ improve discussion of the system's tic utility when used as part
	  of cross-compiling (discussion with Keith Marshall).
	+ modify configuration checks for build-time tic/infocmp to use
	  AC_CHECK_TOOL. That can still be overridden by --with-tic-path and
	  --with-infocmp-path when fallbacks are used, but even if not using
	  fallbacks, the improved check may help with cross-compiling
	  (discussion with Keith Marshall).
	+ other build-fixes for Ada95 with MinGW.
	+ modify Ada95 source-generation utility to write to a file given as
	  parameter rather than to the standard output, allowing builds with
	  MinGW.

20200801
	+ remove remaining parts of checks for ISC Unix (cf: 20121006).
	+ add user32.lib to LDFLAGS for Visual Studio C++ configuration
	  (discussion with "Maarten Anonymous").
	+ modify MKkey_defs.sh to hide ncurses' definition of KEY_EVENTS to
	  reduce Visual Studio C++ redefinition warnings.
	+ improve/update checks for external functions in test/configure

20200725
	+ set LINK_TESTS in CF_SHARED_OPTS for msvc (patch by
	  "Maarten Anonymous")
	+ improved workaround for redefinition-warnings for KEY_EVENT.
	+ improve man/term.5 section on legacy storage format (report by
	  Florian Weimer).

20200718
	+ reduce redefinition-warnings for KEY_EVENT when building with Visual
	  Studio C++.
	+ define NCURSES_STATIC when compiling programs to link with static
	  libraries, to work with MinGW vs Visual Studio C++.
	> additional changes for building with Visual Studio C++ and msys2
	  (reports/patches by "Maarten Anonymous")
	+ modify c++/Makefile.in to set the current directory while compiling
	  the main program, so the linker can find related objects.
	+ several changes to allow the c++/demo program to compile/link.
	+ change an ifdef in test-directory, to use VC++ wide-character funcs.

20200711
	+ fix pound-sign mapping in acsc of linux2.6 entry (report by Ingo
	  Bruckl).
	+ additional changes for building with Visual Studio C++ and msys2
	  (reports/patches by "Maarten Anonymous")
	+ build-improvements for Windows 10 and MinGW (patch by Juergen
	  Pfeifer).
	+ fix a typo in curs_printw.3x (patch by William Pursell).
	+ fix two errors in infotocap which allowed indexing outside the
	  buffer (report/testcases by Zhang Gan).
	+ update length of strings in infocmp's usage function to restore a
	  trailing null on the longest string (report/testcase by Zhang Gen).

20200704
	+ modify version-check with Ada generics to use the same pattern as in
	  the check for supported gnat versions (report by Pascal Pignard).
	> additional changes for building with Visual Studio C++ and msys2
	  (patches by "Maarten Anonymous"):
	+ adjust headers/declarations to provide for "dllimport" vs "dllexport"
	  declarations when constructing DLLs, to worko with Visual Studio C++.

20200627
	+ build-fixes for gnat 10.1.1, whose gnatmake drops integration with
	  gprbuild.
	+ correct buffer-length in test/color_name.h

20200613
	+ update list of functions in ncurses.3x
	+ move dlclose() call from lib_mouse.c to delscreen() to avoid a case
	  in the former which could be called from SIGTSTP handler (Debian
	  #961097).

20200606
	+ add xterm+256color2, xterm+88color2, to deprecate nonstandard usage
	  in xterm+256color, xterm+88color -TD
	+ add shifted Linux console keys in linux+sfkeys entry for
	  screen.linux (report by Alexandre Montaron).
	+ use vt100+enq in screen (report by Alexandre Montaron).
	+ add screen.linux-s alias (suggested by Alexandre Montaron).

20200531
	+ correct configure version-check/warnng for g++ to allow for 10.x
	+ re-enable "bel" in konsole-base (report by Nia Huang)
	+ add linux-s entry (patch by Alexandre Montaron).
	+ drop long-obsolete convert_configure.pl
	+ add test/test_tparm.c, for checking tparm changes.
	+ improve parameter-checking for tparm, adding function _nc_tiparm() to
	  handle the most-used case, which accepts only numeric parameters
	  (report/testcase by "puppet-meteor").
	+ use a more conservative estimate of the buffer-size in lib_tparm.c's
	  save_text() and save_number(), in case the sprintf() function
	  passes-through unexpected characters from a format specifier
	  (report/testcase by "puppet-meteor").
	+ add a check for end-of-string in cvtchar to handle a malformed
	  string in infotocap (report/testcase by "puppet-meteor").

20200523
	+ update version-check for gnat to allow for gnat 10.x to 99.x
	+ fix an uninitialized variable in lib_mouse.c changes (cf: 20200502)
	+ add a check in EmitRange to guard against repeat_char emitting digits
	  which could be interpreted as BSD-style padding when --enable-bsdpad
	  is configured (report/patch by Hiltjo Posthuma).
	+ add --disable-pkg-ldflags to suppress EXTRA_LDFLAGS from the
	  generated pkg-config and ncurses*-config files, to simplify
	  configuring in the case where rpath is used but the packager wants
	  to hide the feature (report by Michael Stapelberg).
	> fixes for building with Visual Studio C++ and msys2 (patches by
	  "Maarten Anonymous"):
	+ modify CF_SHARED_OPTS to generate a script which translates linker
	  options into Visual Studio's dialect.
	+ omit parentheses around function-names in generated lib_gen.c to
	  work around a Visual Studio C++ limitation.

20200516
	+ add notes on termcap.h header in curs_termcap.3x
	+ update notes on vscode / xterm.js -TD

20200509
	+ add "-r" option to the dots test-programs, to help with scripting
	  a performance comparison.
	+ build-fix test/move_field.c for NetBSD curses, whose form headers
	  use different names than SVr4 or ncurses.

20200502
	+ add details on the change to Linux SGR 21 in 2018 -TD
	+ add xterm-direct16 and xterm-direct256 -TD
	+ modify lib_mouse.c to check for out-of-range button numbers, convert
	  those to position reports.

20200425
	+ use vt100+fnkeys in putty -TD
	+ fix a typo in tput.1; "columns" should be "cols".

20200418
	+ improve tracemunch logic for "RUN" compaction.
	+ fix a special case in wresize() where copying the old text did not
	  check if the last cell on a row was the beginning of a fullwidth
	  character (adapted from patch by Benno Schulenberg).
	+ use vt52+keypad in xterm-vt52, from xterm #354 -TD
	+ improve see-also section of user_caps.5

20200411
	+ fix find_pair(), overlooked when refactoring for _nc_reserve_pairs()
	  (report/testcase by Brad Town, cf: 20170812).
	+ add a trailing null for magic-string in putwin, flagged by gcc 10
	+ update check for gcc version versus gnat to work with gcc 10.x

20200404
	+ modify -fvisibility check to work with g++
	> fixes for building with Visual Studio C++ and msys2 (patches by
	  "Maarten Anonymous"):
	+ add configure option and check for gcc -fvisibility=hidden feature
	+ define NCURSES_NOMACROS in lib_gen.c to work around Visual Studio
	  C++ preprocessor limitations.
	+ modify some of the configure-macros, as well as mk-1st.awk to work
	  with Visual Studio C++ default filenaming.

20200328
	+ correct length of buffer copied in dup_field().
	+ remove "$(srcdir)/" from path of library.gpr, needed for out-of-tree
	  builds of Ada95 (patch by Adam Van Ymeren).

20200321
	+ improve configure-checks to reduce warnings about unused variables.
	+ improve description of error-returns in waddch and waddnstr manual
	  pages (prompted by patch by Benno Schulenberg).
	+ add test/move_field.c to demonstrate move_field(), and a stub for
	  a corresponding demo of dup_field().

20200314
	+ add history note to curs_scanw.3x for <stdarg.h> and <varargs.h>
	+ add history note to curs_printw.3x for <stdarg.h> and <varargs.h>
	+ add portability note to ncurses.3x regarding <stdarg.h>

20200308
	+ update copyright notices in test-packages.
	+ modify tracemunch to guard against errors in its known_p1 table.
	+ add several --with-xxx-libname options, to help with pkgsrc (prompted
	  by discussion with Thomas Klausner).

20200301
	+ modify wbkgd() and wbkgrnd() to avoid storing a null in the
	  background character, because it may be used in cases where the
	  corresponding 0x80 is not treated as a null (report by Marc Rechte,
	  cf: 20181208).

20200229
	+ modify CF_NCURSES_CONFIG to work around xcode's c99 "-W" option,
	  which conflicts with conventional use for passing linker options.
	> fixes for building with Visual Studio C++ and msys2 (patches by
	  "Maarten Anonymous"):
	+ check for pcre2posix.h instead of pcre2-posix.h
	+ add case in CF_SHARED_OPTS for msys2 + msvc
	+ add fallback definition for STDIN_FILENO in progs.priv.h
	+ modify win_driver.c to use _alloca() rather than gcc's variable
	  length array feature.
	+ add NCURSES_IMPEXP to ncurses wrapped-variable declarations
	+ remove NCURSES_IMPEXP from class variables in c++/cursslk.h
	+ remove fallback prototype for exit() from c++/etip.h.in
	+ use configured check for <sys/time.h> in a couple of places
	+ conditionally include winsock.h in ncurses/win32con/gettimeofday.c,
	  because Visual Studio needs this for the timestruct declaration.
	+ adjust syntax in a couple of files using the NCURSES_API symbol.

20200222
	+ expanded note in ncurses.3x regarding automatically-included headers
	+ improve vt50h and vt52 based on DECScope manual -TD
	+ add/use vt52+keypad and vt52-basic -TD
	+ check/workaround for line-too-long in Ada95 generate utility when
	  building out-of-tree.
	+ improve/update HEADER_DEPS in */Makefile.in
	+ add "check" rule to include/Makefile, to demonstrate that the headers
	  include all of the required headers for the types used.

20200215
	+ improve manual page for panel library, extending the portability
	  section as well as documenting error-returns.
	+ show tic's version when installing terminal database in run_tic.sh
	+ correct check for gcc vs other compilers used in ncurses 6.0, from
	  FreeBSD patch by Kyle Evans (cf: 20150725).
	+ add notes for 6.2 to INSTALL.

20200212 6.2 release for upload to ftp.gnu.org
	+ update release notes
	+ minor build-fixes, mostly to test-package scripts

20200208
	+ modify check for sizeof(wchar_t) to ensure it gives useful result
	  when cross-compiling.
	+ drop assumption in configure script that Cygwin's linker is broken.
	+ define NCURSES_BROKEN_LINKER if the broken-linker feature is used,
	  to simplify configure-checks for ncurses-examples.

20200202
	+ reassert copyright on ncurses, per discussion in ncurses FAQ:
	  https://invisible-island.net/ncurses/ncurses.faq.html#relicensed

20200201
	+ modify comparison in make_hash.c to correct a special case in
	  collision handling for Caps-hpux11
	+ add testing utility report_hashing to check hash-tables used for
	  terminfo and termcap names.
	+ fix a missing prototype for _nc_free_and_exit().
	+ update a few comments about tack 1.07
	+ use an awk script to split too-long pathnames used in Ada95 sample
	  programs for explain.txt

20200118
	+ expanded description of XM in user_caps.5
	+ improve xm example for xterm+x11mouse, xterm+sm+1006 -TD
	+ add history section to curs_slk.3x and curs_terminfo.3x manpages.
	+ update alacritty entries for 0.4.0 (prompted by patch by
	  Christian Durr) -TD
	+ correct spelling errors found with codespell.
	+ fix for test/configure, from xterm #352.

20200111
	+ improve configure macros which check for the X11/Intrinsic.h header,
	  to accommodate recent MacOS changes.
	+ suppress gcc's -Winline warning; it has not been useful for some time
	+ update config.guess, config.sub

20200104
	+ modify a couple of macros in aclocal.m4 to allow autoconf 2.69 to
	  "work", to help illustrate discussion in
	  https://invisible-island.net/autoconf/my-autoconf.html
	+ fix some warnings from autoheader-252

20191228
	+ in gen-pkgconfig.in, move the RPATH_LIST and PRIVATE_LIBS assignments
	  past the various prefix/libdir assignments, to allow for using those
	  symbols, e.g., as done via CF_SHARED_OPTS.
	+ improve ncurses*-config and pc-files by filtering out linker-specs.
	+ modify test-package to more closely match Fedora's configuration
	  for PIE/PIC feature and debug-packages.

20191221
	+ correct pathname used in Ada95 sample programs for explain.txt, to
	  work with test-packages.
	+ improve tracemunch:
	  + keep track of TERMINAL* values
	  + if tracing was first turned on after initialization, attempt to
	    show distinct screen, window and terminal names anyway.
	+ ensure that GCC_NORETURN is defined in term.h, because the prototype
	  for exit_terminfo() uses it (report by Werner Fink).

20191214
	+ add exit_curses() and exit_terminfo() to replace internal symbols for
	  leak-checking.

20191207
	+ fix a few warnings for test-package builds
	+ add curses_trace(), to replace trace().

20191130
	+ add portability section to curs_getcchar manpage (prompted by
	  discussion with Nick Black).
	+ improve portability discussion of ACS characters in curs_addch
	  manpage.
	+ improve typography for double-quotes in manpages.

20191123
	+ fix typo for MinGW rpm test-package.
	+ workaround in rpm specs for NFS problems in Fedora 31.

20191116
	+ modify ncurses/Makefile.in to fix a case where Debian/testing changes
	  to the ld --as-needed configuration broke ncurses-examples test
	  packages.
	+ drop library-dependency on psapi for MinGW port, since win_driver.c
	  defines PSAPI_VERSION to 2, making it use GetProcessImageFileName
	  from kernel32.dll (prompted by patch by Simon Sobish, cf: 20140503).

20191109
	+ add warning-check in tic for terminals with parm_dch vs parm_ich.
	+ drop ich1 from rxvt-basic, Eterm and mlterm to improve compatibility
	  with old non-curses programs -TD
	+ reviewed st 0.8.2, updated some details -TD
	+ use ansi+rep several places -TD
	+ corrected tic's check for ich1 (report by Sebastian J. Bronner,
	  cf: 20020901).

20191102
	+ check parameter of set_escdelay, return ERR if negative.
	+ check parameter of set_tabsize, return ERR if not greater than zero
	  (report/patch by Anthony Sottile).
	+ revise CF_ADD_LIBS macro to prepend rather than append libraries.
	+ add "xterm-mono" to help packagers (report by Sven Joachim) -TD

20191026
	+ add a note in man/curs_add_wch.3x about Unicode terminology for the
	  line-drawing characters (report by Nick Black).
	+ improve comment in lib_tgoto.c regarding the use of \200 where a
	  \0 would be intended by the caller (report by "64 bit", cf: 20000923).
	+ modify linux-16color to accommodate Linux console driver change in
	  early 2018 (report by Dino Petrucci).

20191019
	+ modify make_hash to not require --disable-leaks, to simplify building
	  with address-sanitizer.
	+ modify tic to exit if it cannot remove a conflicting name, because
	  treating that as a partial success can cause an infinite loop in
	  use-resolution (report/testcase by Hongxu Chen, cf: 20111001).

20191015
	+ improve buffer-checks in captoinfo.c, for some cases when the
	  input string is shorter than expected.
	> fix two errata in tic (report/testcases by Hongxu Chen):
	+ check for missing character after backslash in write_it
	+ check for missing characters after "%>" when converting from termcap
	  syntax (cf: 980530).

20191012
	+ amend recent changes to ncurses*-config and pc-files to filter out
	  Debian linker-flags (report by Sven Joachim, cf: 20150516).
	+ clarify relationship between tic, infocmp and captoinfo in manpage.
	+ check for invalid hashcode in _nc_find_type_entry and
	  _nc_find_name_entry.
	> fix several errata in tic (reports/testcases by "zjuchenyuan"):
	+ check for invalid hashcode in _nc_find_entry.
	+ check for missing character after backslash in fmt_entry
	+ check for acsc with odd length in dump_entry in check for one-one
	  mapping (cf: 20060415);
	+ check length when converting from old AIX box_chars_1 capability,
	  overlooked in changes to eliminate strcpy (cf: 20001007).

20191005
	+ modify the ncurse*-config and pc-files to more closely match for the
	  -I and -l options.

20190928
	+ amend the ncurses*-config and pc-files to take into account the rpath
	  hack which differed between those files.
	+ improve -L option filtering in ncurses*-config
	+ improve recovery from error when reading command-character in
	  test/ncurses.c, showing the relevant error message and not exiting on
	  EINTR (cf: 20180922)

20190921
	+ add a note in resizeterm manpage about top-level windows which touch
	  the screen's borders.
	+ modify configure-checks for gnat to identify each of the tools path
	  and version.

20190914
	+ build-fixes for Ada95 configure-script and corresponding test package

20190907
	+ add --with-ada-libname option and modify Ada95 configuration to
	  allow renaming the "AdaCurses" library (prompted by proposed changes
	  by Pascal Pignard).
	+ modify configure script to distinguish gcc from icc and clang when
	  the --enable-warnings option is not used, to avoid unnecessary
	  warnings about unrecognized inline options (report by Sven Joachim).

20190831
	+ build-fixes for configuration using --program-suffix with Ada95,
	  noticed with MacOS but applicable to other platforms without
	  libpanelw, etc.

20190824
	+ fix some cppcheck warnings, mostly style, in ncurses test-programs.

20190817
	+ amend 20181208 changes for wbkgd() and wbkgrnd(), fixing a few
	  details where it still differed from SVr4.
	+ fix some cppcheck warnings, mostly style, in ncurses test-programs.

20190810
	+ fix a few more coverity warnings.

20190803
	+ improve loop limits in _nc_scroll_window() to handle a case where
	  the scrolled data is a pad which is taller than the window (patch
	  by Rob King).
	+ amend the change to screen, because tmux relies upon that entry
	  and does not support that feature (Debian #933572) -TD
	+ updated ms-terminal entry & notes -TD
	+ updated kitty entry & notes -TD
	+ updated alacritty+common entry & notes -TD
	+ use xterm+sl-twm for consistency -TD

20190728
	+ fix a few more coverity warnings.
	+ more documentation updates based on tctest.

20190727
	+ fix a few coverity warnings.
	+ documentation updates based on tctest.

20190720
	+ fix a few warnings for gcc 4.x
	+ add some portability/historical details to the tic, toe and infocmp
	  manual pages.
	+ correct fix for broken link from terminfo(5) to tabs(1) manpage
	  (report by Sven Joachim).

20190713
	+ change reset's behavior for margins to simply clear soft-margins if
	  possible, rather than clearing and then setting them according to the
	  terminal's width (suggested by Thomas Wolff).
	+ correct order of one wbkgd versus start_color call in test/padview.c

20190706
	+ add domterm -TD
	+ improve comments for recent changes, add alias xterm.js -TD

20190630
	+ add --with-tic-path and --with-infocmp-path to work around problems
	  building fallback source using pre-6.0 tic/infocmp.
	+ add a check in tic for paired indn/rin
	+ correct a buffer-limit in write_entry.c for systems that use caseless
	  filenames.
	+ add ms-terminal -TD
	+ add vscode, vscode-direct -TD

20190623
	+ improve the tabs.1 manual page to distinguish the PWB/Unix and 7th
	  Edition versions of the tabs utility.
	+ add configure check for getenv() to work around implementation shown
	  in Emscripten #6766, use that to optionally suppress START_TRACE
	  macro, whose call to getenv() may not work properly (report by Ilya
	  Ig Petrov).
	+ modify initialization functions to avoid relying upon persistent
	  data for the result from getenv().
	+ update config.guess, config.sub

20190615
	+ expand the portability section of the man/tabs.1 manual page.
	+ regenerate HTML manpages.

20190609
	+ add mintty, mintty-direct (adapted from patch by Thomas Wolff).
	  Some of the suggested user-defined capabilities are commented-out,
	  to allow builds with ncurses 5.9 and 6.0
	+ add Smol/Rmol for tmux, vte-2018 (patch by Nicholas Marriott).
	+ add rs1 to konsole, mlterm -TD
	+ modify _nc_merge_entry() to make a copy of the data which it merges,
	  to avoid modifying the source-data when aligning extended names.

20190601
	+ modify an internal call to vid_puts to pass extended color pairs
	  e.g., from tty_update.c and lib_mvcur.c (report by Niegodziwy Beru).
	+ improve manual page description of init_tabs capability and TABSIZE
	  variable.

20190525
	+ modify reset_cmd.c to allow for tabstops at intervals other than 8
	  (report by Vincent Huisman).

20190518
	+ update xterm-new to xterm patch #345 -TD
	+ add/use xterm+keypad in xterm-new (report by Alain D D Williams) -TD
	+ update terminator entry -TD
	+ remove hard-tabs from ti703 (report by Robert Clausecker)
	+ mention meml/memu/box1 in user_caps manual page.
	+ mention user_caps.5 in tic and infocmp manual pages.

20190511
	+ fix a spurious blank line seen with "infocmp -1fx xterm+x11mouse"
	+ add checks in repair_subwindows() to keep the current position and
	  scroll-margins inside the resized subwindow.
	+ add a limit check in newline_forces_scroll() for the case where the
	  row is inside scroll-margins, but not at the end (report by Toshio
	  Kuratomi, cf: 20170729).
	+ corrected a warning message in tic for extended capabilities versus
	  number of parameters.

20190504
	+ improve workaround for Solaris wcwidth versus line-drawing characters
	  (report by Pavel Stehule).
	+ add special case in tic to validate RGB string-capability extension.
	+ corrected string/parameter-field for RGB in Caps-ncurses.

20190427
	+ corrected problem in terminfo load/realignment which prevented
	  infocmp from comparing extended capabilities with the same name
	  but different types.

20190420
	+ improve ifdef's for TABSIZE variable, to help with AIX/HPUX ports.

20190413
	+ check for TABSIZE variable in test/configure script.
	+ used test/test_arrays.c to improve Caps.aix1 and Caps.hpux11
	+ corrected filtering of comments in MKparametrized.sh
	+ reduce duplication across Caps* files by moving some parts which do
	  not depend on order into Caps-ncurses.

20190406
	+ modify MKcaptab.sh, MKkey_defs.sh, and MKhashsize.sh to handle
	  split-up Caps-files.
	+ build-fixes if extended-functions are disabled.

20190330
	+ add "screen5", to mention italics (report by Stefan Assmann)
	+ modify description of xterm+x11hilite to eliminate unused p5 -TD
	+ add configure script checks to help with a port to Ultrix 3.1
	  (report by Dennis Grevenstein).
	  + check if "b" binary feature of fopen works
	  + check for missing feature of locale.h
	  + add fallback for strstr() in test-programs
	  + add fallback for STDOUT_FILENO in test-programs
	+ update config.guess, config.sub

20190323
	+ move macro for is_linetouched() inside NCURSES_NOMACROS ifndef.
	+ corrected prototypes in several manpages using script to extract
	  those in compilable form.
	+ use _nc_copy_termtype2() rather than direct assignment in setupterm,
	  in case it is called repeatedly using fallback terminfo descriptions
	  (report/patch by Werner Fink).

20190317
	+ regenerate llib-* files.
	+ modify tic to also use new function for user-defined capability info.
	+ modify _nc_parse_entry() to check if a user-defined capability has
	  an unexpected type; ignore it in that case.
	+ fix a special case of link-anchors in generated Ada html files.
	+ use newer rel=author tag in generated html rather than rev=made,
	  which did not become accepted.

20190309
	+ in-progress changes to add parameter-checking for common user-defined
	  capabilities in tic.
	+ update MKcodes.awk and MKnames.awk to ignore the new "userdef"
	  data in Caps-ncurses (cf: 20190302).

20190302
	+ corrected some of the undocumented terminfo names in Caps.hpux11
	+ add "Caps-ncurses" file to help with checking inconsistencies in some
	  user-defined capabilities.
	+ amend check for repeat_char to handle a case where setlocale() was
	  called after initscr() (report by "Ampera").

20190223
	+ fix typo in adds200 -TD
	+ add tic check for consistent alternate character set capabilities.
	+ improve check in mvcur() to decide whether to use hard-tabs, using
	  xt, tbc and hts as clues.
	+ replace check in reset command for obsolete "pt" capability using
	  tbc and hts capabilities as clues (report by Nicolas Marriott).

20190216
	+ improve manual page description of TABSIZE.
	+ add test/demo_tabs program.

20190209
	+ add check in tic to provide warnings for mismatched number of
	  parameters in the documented user-capability extensions.

20190202
	+ modify rpm test-package ".spec" file to work around naming conflict
	  with Redhat's package for ncurses6.
	+ modify no-leaks code in test/picsmap to avoid non-standard tdestroy.
	+ amend change to configure script which altered the top-level makefile
	  to avoid attempting to install the terminfo database when it was not
	  configured, to allow for installing the ".pc" files which are also
	  in the misc directory (report by Steve Wills).

20190126
	+ change some "%define" statements in test-packages for RPMs to
	  "%global" to work around changes in rpm 4.14 from recent Redhat.
	+ fixes for O_INPUT_FIELD extension (patch by Leon Winter).
	+ eliminate fixed buffer-size when reading $TERMCAP variable.
	+ correct logic in read_entry.c which prevented $TERMCAP variable from
	  being interpreted as a fallback to terminfo entry (prompted by
	  Savannah #54556, cf: 20110924).

20190121
	+ add a check in test/configure to work around non-ncurses termcap.h
	  file in Slackware.
	+ corrected flag for "seq" method of db 1.8.5 interface, needed by toe
	  on some of the BSDs.
	+ updated "string-hacks" feature.
	+ minor improvements to manpage typography.
	+ corrected conditionally-compiled limit on color pairs (report by
	  "Hudd").
	+ add -x option to test/pair_content, test/color_content for testing
	  init_extended_pair, extended_pair_content, init_extended_color,
	  extended_color_content
	+ add -p option to test/pair_content, test/color_content to show the
	  return values from the tested functions.
	+ improve manual page curs_color.3x discussion of error returns and
	  extensions.
	+ add O_INPUT_FIELD extension to form library (patch by Leon Winter).
	+ override/suppress --enable-db-install if --disable-database configure
	  option was given.
	+ change a too-large terminal entry in tic from a fatal error to a
	  warning (prompted by discussion with Gabriele Balducci).

20190112
	+ fix typo in term(5), improve explanation of format (report by Otto
	  Modinos).
	+ add nsterm-direct -TD
	+ use SGR 1006 mouse for konsole-base -TD
	+ use SGR 1006 mouse for putty -TD
	+ add ti703/ti707, ti703-w/ti707-w (Robert Clausecker)

20190105
	+ add dummy "check" rule in top-level and test-Makefile to simply
	  building test-packages for Arch.
	+ modify configure script to avoid conflict with a non-POSIX feature
	  that enables all parts of the system headers by default.  Some
	  packagers have come to rely upon this behavior (FreeBSD #234049).
	+ update config.guess, config.sub

20181229
	+ improve man/curs_mouse.3x with regard to xterm
	+ modify tracemunch to accept filename parameters in addition to use
	  as a pipe/filter.
	+ minor optimization to reduce calls to _nc_reserve_pairs (prompted by
	  discussion with Bryan Christ).
	+ add test/pair_content.c and test/color_content.c
	+ modify infocmp to omit filtering of "OTxx" names which are used for
	  obsolete capabilities, when the output is sorted by long-names.
	  Doing this helps when making a table of the short/long capability
	  names.

20181215
	+ several fixes for gcc8 strict compiler warnings.
	+ fix a typo in comments (Aaron Gyes).
	+ add nsterm-build309 to replace nsterm-256color, assigning the latter
	  as an alias of nsterm, to make mouse work with nsterm-256color -TD
	+ base gnome-256color entry on "gnome", not "vte", for consistency -TD
	+ updates for configure macros from work on tin and xterm:
	  + CF_GNU_SOURCE, allow for Cygwin's newlib when checking for the
	    _DEFAULT_SOURCE symbol.
	  + CF_VA_COPY, add fallback check if neither va_copy/__va_copy is
	    supported, to try copying the pointers for va_list, or as an array.
	    Also add another fallback check, for __builtin_va_copy(), which
	    could be used with AIX xlc in c89 mode.

20181208
	+ modify wbkgd() and wbkgrnd() to improve compatibility with SVr4
	  curses, changing the way the window rendition is updated when the
	  background character is modified (report by Valery Ushakov).

20181201
	+ add midnightbsd to CF_XOPEN_SOURCE macro (patch by Urs Jansen).
	+ add "@" command to test/ncurses F-test, to allow rapid jump to
	  different character pages.
	+ update config.guess, config.sub from
		http://git.savannah.gnu.org/cgit/config.git

20181125
	+ build-fix (reports by Chih-Hsuan Yen, Sven Joachim).

20181124
	+ check --with-fallbacks option to ensure there is a value, and add
	  the fallback information to top-level Makefile summary.
	+ add some traces in initialization to show whether a fallback entry is
	  used.
	+ build-fix for test/movewindow with ncurses-examples on Solaris.
	+ add "-l" option to test/background, to dump screen contents in a form
	  that lets different curses implementations be compared.
	+ modify the initialization checks for mouse so that the xterm+sm+1006
	  block will work with terminal descriptions not mentioning xterm
	  (report by Tomas Janousek).

20181117
	+ ignore the hex/b64 $TERMINFO in toe's listing.
	+ correct a status-check in _nc_read_tic_entry() so that if reading
	  a hex/b64 $TERMINFO, and the $TERM does not match, fall-through to
	  the compiled-in search list.

20181110
	+ several workarounds to ensure proper C compiler used in parts of
	  Ada95 tree.
	+ update config.guess, config.sub from
		http://git.savannah.gnu.org/cgit/config.git

20181027
	+ add OpenGL clients alacritty and kitty -TD
	+ add Smulx for tmux, vte-2018 -Nicholas Marriott

20181020
	+ ignore $TERMINFO as a default value in configure script if it came
	  from the infocmp -Q option.
	+ allow value for --with-versioned-syms to be a relative pathname
	+ add a couple of broken-linker symbols to the list of versioned
	  symbols to help with link-time optimization versus weak symbols.
	+ apply shift/control/alt logic when decoding xterm's 1006 mode to
	  wheel-mouse events (Redhat #1610681).

20181013
	+ amend change from 20180818, which undid a fix for the $INSTALL value
	  to make it an absolute path.

20181006
	+ improve a configure check to work with newer optimizers (report by
	  Denis Pronin, Gentoo #606142).
	+ fix typo in tput.c (Sven Joachim, cf: 20180825).

20180929
	+ fix typo in tvi955 -TD
	+ corrected acsc for regent60 -TD
	+ add alias n7900 -TD
	+ corrected acsc for tvi950 -TD
	+ remove bogus kf0 from tvi950 -TD
	+ added function-key definitions to agree with Televideo 950 manual -TD
	+ add bel to tvi950 -TD
	+ add shifted function-keys to regent60 -TD
	+ renumber regent40 function-keys to match manual -TD
	+ add cd (clr_eos) to adds200 -TD

20180923
	+ build-fix: remove a _tracef call which was used for debugging (report
	  by Chris Clayton).

20180922
	+ ignore interrupted system-call in test/ncurses's command-line, e.g.,
	  if the terminal were resized.
	+ add shift/control/alt logic for decoding xterm's 1006 mode (Redhat
	  #1610681, cf: 20141011).
	+ modify rpm test-packages to not use --disable-relink with Redhat,
	  since Fedora 28's tools do not work with that feature.

20180908
	+ document --with-pcre2 configure option in INSTALL.
	+ improve workaround for special case in PutAttrChar() where a cell is
	  marked as alternate-character set, to handle a case where the
	  character in the cell does not correspond to any of the ASCII
	  fallbacks (report by Leon Winter, cf: 20180505).
	+ amend change to form library which attempted to avoid unnecessary
	  update of cursor position in non-public fields, to simply disable
	  output in this case (patch by Leon Winter, cf: 20180414).
	+ improve check for LINE_MAX runtime limit, to accommodate broken
	  implementations of sysconf().

20180901
	+ improve manual page for wgetnstr, giving background for the length
	  parameter.
	+ define a limit for wgetnstr, wgetn_wstr when length is negative or
	  "too large".
	+ update configure script to autoconf 2.52.20180819 (Debian #887390).

20180825
	+ add a section to tput manual page clarifying how it determines the
	  terminal size (prompted by discussion with Grant Jenks).
	+ add "--disable-relink" to rpm test-packages, for consistency with the
	  deb test-packages.
	+ split spec-file into ncurses6.spec and ncursest6.spec to work around
	  toolset breakage in Fedora 28.
	+ drop mention of "--disable-touching", which was not in the final
	  20180818 updates.

20180818
	+ build-fix for PDCurses with ncurses-examples.
	+ improved CF_CC_ENV_FLAGS.
	+ modify configure scripts to reduce relinking/ranlib during library
	  install (Debian #903790):
	  + use "install -p" when available, to avoid need for ranlib of
	    static libraries.
	  + modify scripts which use "--disable-relink" to add a 1-second
	    sleep to work around tools which use whole-second timestamps, e.g.,
	    in utime() rather than the actual file system resolution.

20180804
	+ improve logic for clear with E3 extension, in case the terminal
	  scrolls content onto its saved-lines before actually clearing
	  the display, by clearing the saved-lines after clearing the
	  display (report/patch by Nicholas Marriott).

20180728
	+ improve documentation regarding feature-test macros in curses.h
	+ improve documentation regarding the virtual and physical screens.
	+ formatting fixes for manpages, regenerate man-html documentation.

20180721
	+ build-fixes for gcc8.
	+ corrected acsc for wy50 -TD
	+ add wy50 and wy60 shifted function-keys as kF1 to kF16 -TD
	+ remove ansi+rep mis-added to interix in 2018-02-23 -TD

20180714
	+ add enum, regex examples to test/demo_forms
	+ add configure check for pcre-posix library to help with MinGW port.

20180707
	+ build-fixes for gcc8.
	+ correct order of WINDOW._ttytype versus WINDOW._windowlist in
	  report_offsets.
	+ fix a case where tiparm could return null if the format-string was
	  empty (Debian #902630).

20180630
	+ add acsc string to vi200 (Nibby Nebbulous)
	  add right/down-arrow to vi200's acsc -TD
	+ add "x" to tput's getopt string so that "tput -x clear" works
	  (Nicholas Marriott).
	+ minor fixes prompted by anonymous report on stack overflow:
	  + correct order of checks in _nc_get_locale(), for systems lacking
	    locale support.
	  + add "#error" in a few places to flag unsupported configurations

20180623
	+ use _WIN32/_WIN64 in preference to __MINGW32__/__MINGW64__ symbols
	  to simplify building with MSVC, since the former are defined in both
	  compiler configurations (report by Ali Abdulkadir).
	+ further improvements to configure-checks from work on dialog, i.e.,
	  updated CF_ADD_INCDIR, CF_FIND_LINKAGE, CF_GCC_WARNINGS,
	  CF_GNU_SOURCE, CF_LARGEFILE, CF_POSIX_C_SOURCE, CF_SIZECHANGE, and
	  CF_TRY_XOPEN_SOURCE.
	+ update config.guess, config.sub from
		http://git.savannah.gnu.org/cgit/config.git

20180616
	+ build-fix for ncurses-examples related to gcc8-fixes (cf: 20180526).
	+ reduce use of _GNU_SOURCE for current glibc where _DEFAULT_SOURCE
	  combines with _XOPEN_SOURCE (Debian #900987).
	+ change target configure level for _XOPEN_SOURCE to 600 to address
	  use of vsscanf and setenv.
	+ improved configure-checks CF_SIZECHANGE and CF_STRUCT_TERMIOS from
	  work on dialog.

20180609
	+ modify generated ncurses*config and ncurses.pc, ncursesw.pc, etc.,
	  to list helper libraries such as gpm for static linking (Debian
	  #900839).
	+ marked vwprintw and vwscanw as deprecated; recommend using vw_printw
	  and vw_scanw, respectively.

20180602
	+ add RPM test-package "ncursest-examples".
	+ modified RPM test-package to work with Mageia6.

20180526
	+ add note in curs_util.3x about unctrl.h
	+ review/improve header files to ensure that those include necessary
	  files except for the previously-documented cases (report by Isaac
	  Pascual Monells).
	+ improved test-package scripts, adapted from byacc 1.9 20180525.
	+ fix some gcc8 warnings seen in Redhat package build, but
	  work around bug in gcc8 compiler warnings in comp_parse.c

20180519
	+ formatting fixes for manpages, regenerate man-html documentation.
	+ trim spurious whitespace from tmux in 2018-02-24 changes;
	  fix some inconsistencies in/between tmux- and iterm2-entries for SGR
	  (report by C Anthony Risinger)
	+ improve iterm2 using some xterm features which it has adapted -TD
	+ add check in pair_content() to handle the case where caller asks
	  for an uninitialized pair (Debian #898658).

20180512
	+ remove trailing ';' from GCC_DEPRECATED definition.
	+ repair a change from 20110730 which left an error-check/warning dead.
	+ fix several minor Coverity warnings.

20180505
	+ add deprecation warnings for internal functions called by older
	  versions of tack.
	+ fix a special case in PutAttrChar() where a cell is marked as
	  alternate-character set, but the terminal does not actually support
	  the given graphic character.  This would happen in an older terminal
	  such as vt52, which lacks most line-drawing capability.
	+ use configure --with-config-suffix option to work around filename
	  conflict with Debian packages versus test-packages.
	+ update tracemunch to work with perl 5.26.2, which changed the rules
	  for escaping regular expressions.

20180428
	+ document new form-extension O_EDGE_INSERT_STAY (report by Leon
	  Winter).
	+ correct error-returns listed in manual pages for a few form functions
	  (report by Leon Winter).
	+ add a check in form-library for null-pointer dereference:
		unfocus_current_field (form);
		form_driver (form, REQ_VALIDATION);
	  (patch by Leon Winter).

20180414
	+ modify form library to optionally delay cursor movement on a field
	  edge/boundary (patch by Leon Winter).
	+ modify form library to avoid unnecessary update of cursor position in
	  non-public fields (patch by Leon Winter).
	+ remove unused _nc_import_termtype2() function.
	+ also add/improve null-pointer checks in other places
	+ add a null-pointer check in _nc_parse_entry to handle an error when
	  a use-name is invalid syntax (report by Chung-Yi Lin).

20180407
	+ clarify in manual pages that vwprintw and vwscanw are obsolete,
	  not part of X/Open Curses since 2007.
	+ use "const" in some prototypes rather than NCURSES_CONST where X/Open
	  Curses was updated to do this, e.g., wscanw, newterm, the terminfo
	  interface.  Also use "const" for consistency in the termcap
	  interface, which was withdrawn by X/Open Curses in Issue 5 (2007).
	  As of Issue 7, X/Open Curses still lacks "const" for certain return
	  values, e.g., keyname().

20180331
	+ improve terminfo write/read by modifying the fourth item of the
	  extended header to denote the number of valid strings in the extended
	  string table (prompted by a comment in unibilium's sources).

20180324
	+ amend Scaled256() macro in test/picsmap.c to cover the full range
	  0..1000 (report by Roger Pau Monne).
	+ add some checks in tracemunch for undefined variables.
	+ trim some redundant capabilities from st-0.7 -TD
	+ trim unnecessary setf/setb from interix -TD

20180317
	+ fix a check in infotocap which may not have detected a problem when
	  it should have.
	+ add a check in tic for the case where setf/setb are given using
	  different strings, but provide identical results to setaf/setab.
	+ further improve fix for terminfo.5 (patch by Kir Kolyshkin).
	+ reorder loop-limit checks in winsnstr() in case the string has no
	  terminating null and only the number of characters is used (patch
	  by Gyorgy Jeney).

20180303
	+ modify TurnOn/TurnOff macros in lib_vidattr.c and lib_vid_attr.c to
	  avoid expansion of "CUR" in trace.
	+ improve a few lintian warnings in test-packages.
	+ modify lib_setup to avoid calling pthread_self() without first
	  verifying that the address is valid, i.e., for weak symbols
	  (report/patch by Werner Fink).
	+ modify generated terminfo.5 to not use "expand" and related width
	  on the last column of tables, making layout on wide terminals look
	  better (adapted from patch by Kir Kolyshkin).
	+ add a category to report_offsets, e.g., "w" for wide-character, "t"
	  for threads to make the report more readable.  Reorganized the
	  structures reported to make the categories more apparent.
	+ simplify some ifdef's for extended-colors.
	+ add NCURSES_GLOBALS and NCURSES_PRESCREEN to report_offsets, to show
	  how similar the different tinfo configurations are.

20180224
	+ modify _nc_resolve_uses2() to detect incompatible types when merging
	  a "use=" clause of extended capabilities.  The problem was seen in a
	  defective terminfo integrated from simpleterm sources in 20171111,
	  compounded by repair in 20180121.
	+ correct Ss/Ms interchange in st-0.7 entry (tmux #1264) -TD
	+ fix remaining flash capabilities with trailing mandatory delays -TD
	+ correct cut/paste in NEWS (report by Sven Joachim).

20180217
	+ remove incorrect free() from 20170617 changes (report by David Macek).
	+ correct type for "U8" in user_caps.5; it is a number not boolean.
	+ add a null-pointer check in safe_sprintf.c (report by Steven Noonan).
	+ improve fix for Debian #882620 by reusing limit2 variable (report by
	  Julien Cristau, Sven Joachim).

20180210
	+ modify misc/Makefile.in to install/uninstall explicit list in case
	  the build-directory happens to have no ".pc" files when an uninstall
	  is performed (report by Jeffrey Walton).
	+ deprecate safe-sprintf, since the vsnprintf function, which does what
	  was needed, was standardized long ago.
	+ add several development/experimental options to development packages.
	+ minor reordering of options in configure script to make the threaded
	  and reentrant options distinct from the other extensions which are
	  normally enabled.

20180203
	+ minor fixes to test/*.h to make them idempotent.
	+ add/use test/parse_rgb.h to show how the "RGB" capability works.
	+ add a clarification in user_caps.5 regarding "RGB" capability.
	+ add extended_slk_color{,_sp} symbols to the appropriate
	  package/*.{map,sym} files (report by Sven Joachim, cf: 20170401).

20180129
	+ update "VERSION" file, used in shared-library naming.

20180127 6.1 release for upload to ftp.gnu.org

20180127
	+ updated release notes
	+ amend a warning message from tic which should have flagged misuse
	  of "XT" capability in "screen" terminal description.
	> terminfo changes:
	+ trim "XT" from screen entry, add comments to explain why it was
	  not suitable -TD
	+ modify iterm to use xterm+sl-twm building block -TD
	+ mark konsole-420pc, konsole-vt100, konsole-xf3x obsolete reflecting
	  konsole's removal in 2008 -TD
	+ expanded the history section of konsole to explain its flawed
	  imitation of xterm's keyboard -TD
	+ use xterm+x11mouse in screen.* entries because screen does not yet
	  support xterm's 1006 mode -TD
	+ add nsterm-build400 for macOS 10.13 -TD
	+ add ansi+idc1, use that in ansi+idc adding dch for consistency -TD
	+ update vte to vte-2017 -TD
	+ add ecma+strikeout to vte-2017 -TD
	+ add iterm2-direct -TD
	+ updated teraterm, added teraterm-256color -TD
	+ add mlterm-direct -TD
	+ add descriptions for ANSI building-blocks -TD

20180121 pre-release
	> terminfo changes:
	+ add xterm+noalt, xterm+titlestack, xterm+alt1049, xterm+alt+title
	  blocks from xterm #331 -TD
	+ add xterm+direct, xterm+indirect, xterm-direct entries from xterm
	  #331 -TD
	+ modify xterm+256color and xterm+256setaf to use correct number of
	  color pairs, for ncurses 6.1 -TD
	+ add rs1 capability to xterm-256color -TD
	+ modify xterm-r5, xterm-r6 and xterm-xf86-v32 to use xterm+kbs to
	  match xterm #272, reflecting packager's changes -TD
	+ remove "boolean" Se, Ss from st-0.7 -TD
	+ add konsole-direct and st-direct -TD
	+ remove unsupported "Tc" capability from st-0.7; use st-direct if
	  direct-colors are wanted -TD
	+ add vte-direct -TD
	+ add XT, hpa, indn, and vpa to screen, and invis, E3 to tmux (patch by
	  Pierre Carru)
	+ use xterm+sm+1006 in xterm-new, vte-2014 -TD
	+ use xterm+x11mouse in iterm, iterm2, mlterm3 because xterm's 1006
	  mode does not work with those programs.  konsole is debatable -TD
	+ add "termite" entry (report by Markus Pfeiffer) -TD
	> merge branch begun April 2, 2017 which provides these features:
	+ support read/write new binary-format for terminfo which stores
	  numeric capabilities as a signed 32-bit integer.  The test programs
	  such as picsmap, ncurses were created or updated during 2017 to use
	  this feature.
	+ the new format is written by the wide-character configuration of
	  tic when it finds a numeric capability larger than 32767.
	+ other applications such as infocmp built with the wide-character
	  ncurses library work as expected.
	+ applications built with the "narrow" (8-bit) configuration will
	  read the new format, but will limit those extended values to 32767.
	+ in either wide/narrow configuration, the structure defined in
	  term.h still uses signed 16-bit values.
	+ because it is incompatible with the legacy (mid-1980s) binary format,
	  a new magic value is provided for the "file" program.
	+ the term.5 manual page is updated to describe this new format.
	+ the limit on file-size for compiled terminfo is increased in the
	  wide-character configuration to 32768.

20180120
	+ build-fix in picsmap.c for stdint.h existence.
	+ add --disable-stripping option to configure scripts.
	+ modify ncurses-examples to install test-scripts in the data directory.
	+ work around tool-breakage in Debian 9 and later by invoking
	  gprconfig to specify the C compiler to be used by gnatmake,
	  and conditionally suppressing Library_Options line for static
	  libraries.
	+ bump the compat level for test-packages to 7, i.e., Debian 5.

20180106
	+ fixes for writing extended color pairs in putwin.
	+ modify test/savescreen.c to add test patterns that exercise 88-,
	  256-, etc., colors.
	+ modify configure option --with-build-cc, adding clang, c89 and c99
	  as possible default values.
	+ modify ncurses-examples configure script to use pkg-config for the
	  extra form/menu/panel libraries, to be more consistent with the
	  handling of the curses/ncurses library.
	+ modify test-packages for mingw to supply "pc" files.
	+ modify gen-pkgconfig.in to list -lpthread as a private library when
	  configured to access it via weak symbols.
	+ simplify gen-pkgconfig.in, adding -ltinfo without the special linker
	  checks because some versions of the linker simply hard-code the
	  behavior.
	+ update URLs for ncurses website to use https.
	+ modify CF_CURSES_LIBS to fill in $cf_nculib_root in case the
	  ncurses-examples are built with a system ncurses that lacks the
	  standard "curses" symbolic link, as done by SuSE.  The symbol is
	  needed to make a followup check for the pthread library work, and
	  would be set properly using the options "--with-screen", etc.
	+ generate misc/*.pc with "all" rule, as done for "sources" rule
	  (report by Jeffrey Walton).

20171230
	+ build-fix for ncurses-examples with Fedora27, adding check for
	  reset_color_pairs() -- not yet in Fedora's package.
	+ consistently add $CFLAGS to $MK_SHARED_LIB symbol in configure
	  script when the latter happens to use the C compiler rather than
	  directly using the loader (report by Jeffrey Walton).
	+ set ABI for upcoming 6.1 release in "*.map" files.  While there are
	  some remaining internals to apply, no ABI-related changes are
	  anticipated.
	+ add configure --with-config-suffix option to work around filename
	  conflict with Redhat packages versus test-packages.

20171223
	+ modify ncurses-examples to quiet const-warnings when building with
	  PDCurses.
	+ modify toe to not exit if unable to read a terminal description,
	  e.g., if there is a permission problem.
	+ minor fix for progs/toe.c, using _nc_free_termtype2.
	+ assign 0 to pointer in _nc_tgetent_leak() after freeing it. Also
	  avoid reusing pointer from previous successful call to tgetent
	  if the latest call is unsuccessful (patch by Michael Schroeder,
	  OpenSuSE #1070450).
	+ minor fix for test/tracemunch, initialize $awaiting variable.

20171216
	+ repair template in test/package/ncurses-examples.spec (cf: 20171111).
	+ improve tic's warning about the number of parameters tparm might use
	  for u1-u9 by making a special case for u6.
	+ improve curs_attr.3x discussion of color pairs.

20171209
	+ modify misc/ncurses-config.in to make output with --includedir
	  consistent with --cflags, i.e., when --disable-overwrite option was
	  configured the output should show the subdirectory where headers
	  are.
	+ modify MKlib_gen.sh to suppress macros when calling an "implemented"
	  function in link_test.c
	+ updated ftp-url used in test-packages, etc.
	+ modify order of -pie/-shared options in configure script in case
	  LDFLAGS uses "-pie", working around a defect or limitation in the GNU
	  linker (prompted by patch by Yogesh Prasad, forwarded by Jay Shah).
	+ add entry in man_db.renames for user_caps.5

20171125
	+ modify MKlib_gen.sh to avoid tracing result from getstr/getnstr
	  before initialized.
	+ add "-a" aspect-ratio option to picsmap.
	+ add configure check for default path of rgb.txt, used in picsmap.
	+ modify _nc_write_entry() to truncate too-long filename (report by
	  Hosein Askari, Debian #882620).
	+ build-fix for ncurses-examples with NetBSD curses:
	  + it lacks the use_env() function.
	  + it lacks libpanel; a recent change used the wrong ifdef symbol.
	+ add a macro for is_linetouched() and adjust the function's return
	  value to make it possible for most applications to check for an
	  error-return (report by Midolikawa H).
	+ additional manpage cleanup.
	+ update config.guess, config.sub from
		http://git.savannah.gnu.org/cgit/config.git

20171118
	+ add a note to curs_addch.3x on portability.
	+ add a note to curs_pad.3x on the origin and portability of pads.
	+ improve manpage description of getattrs (report by Midolikawa H).
	+ improve manpage macros (prompted by discussion in Debian #880551.
	+ reviewed test-programs using KEY_RESIZE, made fixes to test/worm.c
	+ add a "-d" option to picsmap for default-colors.
	+ modify old terminology entry and a few other terminal emulators to
	  account for xon -TD
	+ correct sgr string for tmux, which used screen's "standout" code
	  rather than the standard code (patch by Roman Kagan)
	+ correct sgr/sgr0 strings in a few other cases reported by tic, making
	  those correspond to the non-sgr settings where they differ, but
	  otherwise use ECMA-48 consistently:
	  jaixterm, aixterm, att5420_2, att4424, att500, decansi, d410-7b,
	  dm80, hpterm, emu-220, hp2, iTerm2.app, mterm-ansi, ncrvt100an,
	  st-0.7, vi603, vwmterm -TD
	+ build-fix for diagnostics warning in lib_mouse.c for pre-5.0 versions
	  of gcc which did not recognize the diagnostic "push" pragma (patch by
	  Vassili Courzakis).

20171111
	+ add "op" to xterm+256setaf -TD
	+ reviewed terminology 1.0.0 -TD
	+ reviewed st 0.7 -TD
	+ suppress debug-package for ncurses-examples rpm build.

20171104
	+ check for interrupt in color-pair initialization of dots_curses.c,
	  dots_xcurses.c
	+ add z/Z zoom feature to test/ncurses.c C/c screens.
	+ add '<' and '>' commands to test/ncurses.c S/s screens, to better
	  test off-by-ones in the overlap/copywin functions.

20171028
	+ improve man/curs_inwstr.3x, correct end-logic for lib_inwstr.c
	  (report by Midolikawa H).
	+ fix typo in a few places for "improvements" (patch by Sven Joachim).
	+ clear the other half of a double-width character on which a line
	  drawing character is drawn.
	+ make test/ncurses.c "s" test easier to understand which subtests are
	  available; add a "S" wide-character overlap test-screen.
	+ modify test/ncurses.c C/c tests to allow for extended color pairs.
	+ add endwin() call in error-returns from test/ncurses.c omitted in
	  recent redesign of its menu (cf: 20170923).
	+ improve install of hashed-db by removing the ".db" file as done for
	  directory-tree terminal databases.
	+ repair a few overlooked items in include/ncurses_defs from recent
	  port/refactoring of test-programs (cf: 20170909).
	+ add test/padview.c, to compare pads with direct updates in view.c

20171021
	+ modify test/view.c to expand tabs using the ncurses library rather
	  than in the test-program.
	+ remove very old SIGWINCH example in test/view.c, just use KEY_RESIZE.
	+ add -T, -e, -f -m options to "dots" test-programs.
	+ fix a few typos in usage-messages for test-programs.

20171014
	+ minor cleanup to test/view.c:
	  + eliminate "-n" option by simply reading the whole file.
	  + implement page up/down commands.
	+ add check in tput for init/reset operands to ensure those use a
	  terminal.
	+ improve manual pages which discuss chtype, cchar_t types and the
	  attribute values which can be stored in those types.
	+ correct array-index when parsing "-T" command-line option in tabs
	  program.
	+ modify demo_new_pair.c to pass extended pairs to setcchar().
	+ add test/dots_xcurses.c to illustrate a different approach used for
	  extended colors which can be contrasted with dots_curses.c.
	+ add a check in tic to note when a description uses non-mandatory
	  delays without xon_xoff.  This is not an error, but some descriptions
	  for a terminal emulator may use the combination incorrectly.

20171007
	+ modify "-T" option of clear and tput to call use_tioctl() to obtain
	  the operating system's notion of the screensize if possible.
	+ review/repair some exit-codes for tput, making usage-message exit
	  with 2 rather than 1, and a failure to open terminal 4+errno.
	+ amend check in tput, tabs and clear to allow those to use the
	  database-only features in cron if a -T option gives a suitable
	  terminal name (report by Lauri Tirkkonen).
	+ correct an ifdef in test/ncurses.c for systems with soft-keys but
	  not slk_color().
	+ regenerate man-html documentation.

20170930
	+ fix a symbol conflict that made ncurses.c C/c menu not work with
	  Solaris xpg4 curses.
	+ add refresh() call to dots_mvcur.c, needed to use mvcur() with
	  Solaris xpg4 curses after calling newterm().
	+ minor fixes for configure script from work on ncurses-examples and
	  tin.
	+ improve animation in test/xmas.c by adding a time-delay in blinkit().
	+ modify several test programs to reflect that ncurses honors existing
	  signal handlers in initscr(), while other implementations do not.
	+ modify bs.c to make it easier to quit.
	+ change ncurses-examples to use attr_t vs chtype to follow X/Open
	  documentation more closely since Solaris xpg4-curses uses different
	  values for WA_xxx vs A_xxx that rely on attr_t being an unsigned
	  short.  Tru64 aka OSF1, HPUX, AIX did as ncurses does, equating the
	  two sets.

20170923
	+ modify menu for test/ncurses.c to fit on 24-line screen.
	+ build-fix for configure --with-caps=uwin
	+ add options to test_arrays.c, for selecting termcap vs terminfo, etc.

20170916
	+ minor fix to test/filter.c to avoid clearing the command in one case.
	+ modify filter() to discard clr_eos if back_color_erase is set.

20170909
	+ improve wide-character implementation of myADDNSTR() in frm_driver.c,
	  which was inconsistent with the normal implementation.
	+ save/restore cursor position in Undo_Justification(), matching
	  behavior of Buffer_To_Window() (report by Leon Winter).
	+ modify test/knight to provide the "slow" solution for small screens
	  using "R", noting that Warnsdorf's method is easily done with "a".
	+ modify several test-programs which call use_default_colors() to
	  consistently do this only if "-d" option is given.
	+ additional changes to test with non-standard variants of curses:
	  + modify a loop limit in firework.c to work around absence of limit
	    checks in some libraries.
	  + fill the last row of a window with "?" in firstlast if waddch does
	    not return ERR on the lower-right corner.
	+ add checks in test/configure for some functions not in 4.3BSD curses.
	+ fix a regression in test/configure (cf: 20170826).

20170902
	+ amend change for endwin-state for better consistency with the older
	  logic (report/patch by Jeb Rosen, cf: 20170722).
	+ modify check in fmt_entry() to handle a cancelled reset string
	  (Debian #873746).  Make similar fixes in other parts of dump_entry.c
	  and tput.c

20170827
	+ fix a bug in repeat_char logic (cf: 20170729, report by Chris Clayton).

20170826
	+ fixes for "iterm2" (report by Leonardo Brondani Schenkel) -TD
	+ corrected a warning from tic about keys which are the same, to skip
	  over missing/cancelled values.
	+ add check in tic for unnecessary use of "2" to denote a shifted
	  special key.
	+ improve checks in trim_sgr0, comp_parse.c and parse_entry.c, for
	  cancelled string capabilities.
	+ add check in _nc_parse_entry() for invalid entry name, setting the
	  name to "invalid" to avoid problems storing entries.
	+ add/improve checks in tic's parser to address invalid input
	  + add a check in comp_scan.c to handle the special case where a
	    nontext file ending with a NUL rather than newline is given to tic
	    as input (Redhat #1484274).
	  + allow for cancelled capabilities in _nc_save_str (Redhat #1484276).
	  + add validity checks for "use=" target in _nc_parse_entry (Redhat
	    #1484284).
	  + check for invalid strings in postprocess_termcap (Redhat #1484285)
	  + reset secondary pointers on EOF in next_char() (Redhat #1484287).
	  + guard _nc_safe_strcpy() and _nc_safe_strcat() against calls using
	    cancelled strings (Redhat #1484291).
	+ correct typo in curs_memleaks.3x (Sven Joachim).
	+ improve test/configure checks for some curses variants not based on
	  X/Open Curses.
	+ add options for test/configure to disable checks for form, menu and
	  panel libraries.

20170819
	+ update "iterm" entry -TD
	+ add "iterm2" entry (report by Leonardo Brondani Schenkel) -TD
	+ regenerate llib-* files.
	+ regenerate HTML manpages.
	+ improve picsmap test-program:
	  + reduce memory used for tsearch
	  + add report in log file showing cumulative color coverage.
	+ add -x option to clear/tput to make the E3 extension optional
	  (cf: 20130622).
	+ add options -T and -V to clear command for compatibility with tput.
	+ add usage message to clear command (Debian #371855).
	+ improve usage messages for tset and tput.
	+ minor fixes to "RGB" extension and reset_color_pairs().

20170812
	+ improve description of -R option in infocmp manual page (report by
	  Stephane Chazelas).
	+ add reset_color_pairs() function.
	+ add user_caps.5 manual page to document the terminfo extensions used
	  by ncurses.
	+ improve build scripts, using SIGQUIT vs SIGTRAP; add other configure
	  script fixes from work on xterm, lynx and tack.
	+ modify install-rule for ncurses-examples to put the data files in
	  /usr/share/ncurses-examples
	+ improve tracemunch, by changing address-parameters of add_wch(),
	  color_content() and pair_content() to dummy parameters.
	+ minor optimization to _nc_change_pair, to return quickly when the
	  current screen is marked for clearing.
	+ in-progress changes to improve performance of test/picsmap.c for
	  loading image files.
	+ modify allocation for SCREEN's color-pair table to start small, grow
	  on demand up to the existing limit.
	+ add "RGB" extension capability for direct-color support, use this to
	  improve color_content().
	+ improve picsmap test-program:
	  + if no palette file is needed, attempt to load one based on $TERM,
	    checking first in the current directory, then by adding ".dat"
	    suffix, and finally in the data-directory, e.g.,
	    /usr/share/ncurses-examples
	  + add "-l" option for logging
	  + add "-d" option for debugging
	  + add "-s" option for stepping automatically through list of images,
	    with time delay.
	  + use tsearch to improve time for loading color table for images.
	+ update config.guess, config.sub from
		http://git.savannah.gnu.org/cgit/config.git

20170729
	+ update interix entry using tack and SFU on Windows 7 Ultimate -TD
	+ use ^? for kdch1 in interix (reported by Jonathan de Boyne Pollard)
	+ add "rep" to xterm-new, available since 1997/01/26 -TD
	+ move SGR 24 and 27 from vte-2014 to vte-2012 (request by Alain
	  Williams) -TD
	+ add a check in newline_forces_scroll() in case a program moves the
	  cursor outside scrolling margins (report by Robert King).
	+ improve _nc_tparm_analyze, using that to extend the checks made by
	  tic for reporting inconsistencies between the expected number of
	  parameters for a capability and the actual.
	+ amend handling of repeat_char capability in EmitRange (adapted from
	  report/patch by Dick Wesseling):
	  + translate the character to the alternate character set when the
	    alternate character set is enabled.
	  + do not use repeat_char for characters past 255.
	+ document "_nc_free_tinfo" in manual page, because it could be used in
	  tack for memory-leak checking.
	+ add "--without-tack" configure option to refine "--with-progs"
	  configure option.  Normally tack is no longer built in-tree, but
	  a few packagers combine it during the build.  If term_entry.h is
	  installed, there is no advantage to in-tree builds.
	+ adjust configure-script to define HAVE_CURSES_DATA_BOOLNAMES symbol
	  needed for tack 1.08 when built in-tree.  Rather than relying upon
	  internal "_nc_" functions, tack now uses the boolean, number and
	  string capability name-arrays provided by ncurses and SVr4 Unix
	  curses.  It still uses term_entry.h for the definitions of the
	  extended capability arrays.
	+ add an overlooked null-pointer check in mvcur changes from 20170722

20170722
	+ improve test-packages for ncurses-examples and AdaCurses for lintian
	+ modify logic for endwin-state to be able to detect the case where
	  the screen was never initialized, using that to trigger a flush of
	  ncurses' buffer for mvcur, e.g., in test/dots_mvcur.c for the
	  term-driver configuration.
	+ add dependency upon ncurses_cfg.h to a few other internal header
	  files to allow each to be compiled separately.
	+ add dependency upon ncurses_cfg.h to tic's header-files; any program
	  using tic-library will have to supply this file.  Legacy tack
	  versions supply this file; ongoing tack development has dropped the
	  dependency upon tic-library and new releases will not be affected.

20170715
	+ modify command-line parameters for "convert" used in picsmap to work
	  with ImageMagick 6.8 and newer.
	+ fix build-problem with tack and ABI-5 (Debian #868328).
	+ repair termcap-format from tic/infocmp broken in 20170701 fixes
	  (Debian #868266).
	+ reformat terminfo.src with 20170513 updates.
	+ improve test-packages to address lintian warnings.

20170708
	+ add a note to tic manual page about -W versus -f options.
	+ correct a limit-check in fixes from 20170701 (report by Sven Joachim).

20170701
	+ modify update_getenv() in db_iterator.c to ensure that environment
	  variables which are not initially set will be checked later if an
	  application happens to set them (patch by Guillaume Maudoux).
	+ remove initialization-check for calling napms() in the term-driver
	  configuration; none is needed.
	+ add help-screen to test/test_getstr.c and test/test_get_wstr.c
	+ improve compatibility between different configurations of new_prescr,
	  fixing a case with threaded code and term-driver where c++/demo did
	  not work (cf: 20160213).
	+ the fixes for Redhat #1464685 obscured a problem subsequently
	  reported in Redhat #1464687; the given test-case was no longer
	  reproducible.  Testing without the fixes for the earlier reports
	  showed a problem with buffer overflow in dump_entry.c, which is
	  addressed by reducing the use of a fixed-size buffer.
	+ add/improve checks in tic's parser to address invalid input
	  (Redhat #1464684, #1464685, #1464686, #1464691).
	  + alloc_entry.c, add a check for a null-pointer.
	  + parse_entry.c, add several checks for valid pointers as well as
	    one check to ensure that a single character on a line is not
	    treated as the 2-character termcap short-name.
	+ fix a memory leak in delscreen() (report by Bai Junq).
	+ improve tracemunch, showing thread identifiers as names.
	+ fix a use-after-free in NCursesMenu::~NCursesMenu()
	+ further amend incorrect calls for memory-leaks from 20170617 changes
	  (report by Allen Hewes).

20170624
	+ modify c++/etip.h.in to accommodate deprecation of throw() and
	  throws() in c++17 (prompted by patch by Romain Geissler).
	+ remove some incorrect calls for memory-leaks from 20170617 changes
	  (report by Allen Hewes).
	+ add test-programs for termattrs and term_attrs.
	+ modify _nc_outc_wrapper to use the standard output if the screen was
	  not initialized, rather than returning an error.
	+ improve checks for low-level terminfo functions when the terminal
	  has not been initialized (Redhat #1345963).
	+ modify make_hash to allow building with address-sanitizer,
	  assuming that --disable-leaks is configured.
	+ amend changes for number_format() in 20170506 to avoid undefined
	  behavior when shifting (patch by Emanuele Giaquinta).

20170617
	+ fill in some places where TERMTYPE2 vs TERMTYPE was not used
	  (report by Allen Hewes).
	+ use ExitTerminfo() internally in error-exits for ncurses' setupterm
	  to help with leak checking.
	+ use ExitProgram() in error-exit from initscr() to help with leak
	  checking.
	+ review test-programs, adding checks for cases where the terminal
	  cannot be initialized.

20170610
	+ add option "-xp" to picsmap.c, to use init_extended_pair().
	+ make simple performance fixes for picsmap.c
	+ improve aspect ratio of images read from "convert" in picsmap.c

20170603
	+ add option to picsmap to use color-palette files, e.g., for mapping
	  to xterm-256color.
	+ move the data in SCREEN used for the alloc_pair() function to the
	  end, to restore compatibility between ncurses/ncursesw libtinfo
	  (report/patch by Miroslav Lichvar).
	+ add build-time utility "report_offsets" to help show when the various
	  configurations of tinfo library are compatible or not.

20170527
	+ improved test/picsmap.c:
	  + lookup named colors for xpm files in rgb.txt
	  + accept blanks in color-keys for xpm files.
	  + if neither xbm/xpm work, try "convert", which may be available.

20170520
	+ modify test/picsmap.c to read xpm files.
	+ modify package/debian/* to create documentation packages, so the
	  related files can be checked with lintian.
	+ fix some typos in manpages (report/patch by Sven Joachim).

20170513
	+ add test/picsmap.c to fill in some testing issues not met by dots.
	  The initial version reads X bitmap (".xbm") files.
	+ repair logic which forces a repaint where a color-pair's content is
	  changed (cf: 20170311).
	+ improve tracemunch, showing screenXX pointers as names.

20170506
	+ modify tic/infocmp display of numeric values to use hexadecimal when
	  they are "close" to a power of two, making the result more readable.
	+ improve discussion of portability in curs_mouse.3x
	+ change line-length for generated html/manpages to 78 columns from 65.
	+ improve discussion of line-drawing characters in curs_add_wch.3x
	  (prompted by discussion with Lorinczy Zsigmond).
	+ cleanup formatting of hackguide.html and ncurses-intro.html
	+ add examples for WACS_D_PLUS and WACS_T_PLUS to test/ncurses.c

20170429
	+ corrected a case where $with_gpm was set to "maybe" after CF_WITH_GPM,
	  overlooked in 20160528 fixes (report by Alexandre Bury).
	+ improve a couple of test-program's help-messages.
	+ corrected loop in rain.c from 20170415 changes.
	+ modify winnstr and winchnstr to return error if the output pointer is
	  null, as well as adding a null pointer check of the window pointer
	  for better compatibility with other implementations.
	+ improve discussion of NetBSD curses in scr_dump.5
	+ modify LIMIT_TYPED macro in new_pair.h to avoid changing sign of the
	  value to be limited (reports by Darby Payne, Rob Boudreau).
	+ update config.guess, config.sub from
		http://git.savannah.gnu.org/cgit/config.git

20170422
	+ build-fix for termcap-configuration (report by Chi-Hsuan Yen).
	+ improve terminfo manual page discussion of control- and graphics-
	  characters.
	+ remove tic warning about "^?" in string capabilities, which was
	  marked as an extension (cf: 20000610, 20110820); however all Unix
	  implementations support this and X/Open Curses does not address it.
	  On the other hand, termcap never did support this feature.
	+ correct missing comma-separator between string capabilities in
	  icl6402 and m2-nam -TD
	+ restore rmir/smir in ansi+idc to better match original ansiterm+idc,
	  add alias ansiterm (report by Robert King).
	+ amend an old check for ambiguous use of "ma" in terminfo versus
	  a termcap use, if the capability is cancelled to treat it as number.
	+ correct a case in _nc_captoinfo() which read "%%" and emitted "%".
	+ modify sscanf calls in _nc_infotocap() for patterns "%{number}%+%c"
	  and "%'char'%+%c" to check that the final character is really 'c',
	  avoiding a case in icl6404 which cannot be converted to termcap.
	+ in _nc_infotocap(), add a check to ensure that terminfo "^?" is not
	  written to termcap, because the BSDs did not implement that.
	+ in _nc_tic_expand() and _nc_infotocap(), improve string-length check
	  when deciding whether to use "^X" or "\xxx" format for control
	  characters, to make the output of tic/infocmp more predictable.
	+ limit termcap "%d" width to 2 digits on input, and use "%2" in
	  preference to "%02" on output.
	+ correct terminfo/termcap conversion of "%02" and "%03" into "%2" and
	  "%3"; the result repeated the last character.
	+ add man/scr_dump.5 to document screen-dump format.

20170415
	+ modify several test programs to use new popup_msgs, adapted from
	  help-screen used in test/edit_field.c
	+ drop two symbols obsoleted in 2004: _nc_check_termtype, and
	  _nc_resolve_uses
	+ fix some old copyright dates (cf: 20031025).
	+ build-fixes for test/savescreen.c to work with AIX and HPUX.
	+ minor fix to configure script, adding a backslash/continuation.
	+ extend TERMINAL structure for ABI 6 to store numbers internally as
	  integers rather than short, by adding new data for this purpose.
	+ more fixes for minor memory-leaks in test-programs.

20170408
	+ change logic in wins_nwstr() to avoid addressing data past the output
	  of mbstowcs().
	+ correct a call to setcchar() in Data_Entry_w() from 20131207 changes.
	+ fix minor memory-leaks in test-programs.
	+ further improve ifdef in term_entry.h for internal definitions not
	  used by tack.

20170401
	+ minor fixes for vt100+4bsd, e.g., delay in sgr for consistency -TD
	+ add smso for env230, to match sgr -TD
	+ remove p7/protect from sgr in fbterm -TD
	+ drop setf/setb from fbterm; setaf/setab are enough -TD
	+ make xterm-pcolor sgr consistent with other capabilities -TD
	+ add rmxx/smxx ECMA-48 strikeout extension to tmux and xterm-basic
	  (discussion with Nicholas Marriott)
	+ add test-programs sp_tinfo and extended_color
	+ modify no-leaks code for lib_cur_term.c to account for the tgetent()
	  cache.
	+ modify setupterm() to save original tty-modes so that erasechar()
	  works as expected.  Also modify _nc_setupscreen() to avoid redundant
	  calls to get original tty-modes.
	+ modify set_curterm() to update ttytype[] data used by longname().
	+ modify wattr_set() and wattr_get() to return ERR if win-parameter is
	  null, as documented.
	+ improve cast used for null-pointer checks in header macros, to
	  reduce compiler warnings.
	+ modify several functions, using the reserved "opts" parameter to pass
	  color- and pair-values larger than 16-bits:
	  + getcchar(), setcchar(), slk_attr_set(), vid_puts(), wattr_get(),
	    wattr_set(), wchgat(), wcolor_set().
	  + Other functions call these with the corresponding altered behavior,
	    including chgat(), mvchgat(), mvwchgat(), slk_color_on(),
	    slk_color_off(), vid_attr().
	+ add new functions for manipulating color- and pair-values larger
	  than 16-bits.  These are extended_color_content(),
	  extended_pair_content(), extended_slk_color(), init_extended_color(),
	  init_extended_pair(), and the corresponding sp-funcs.

20170325
	+ fix a memory leak in the window-list when creating multiple screens
	  (reports by Andres Martinelli, Debian #783486).
	+ reviewed calls from link_test.c, added a few more null-pointer
	  checks.
	+ add a null-pointer check in ungetmouse, in case mousemask was not
	  called (report by "Kau").
	+ updated curs_sp_funcs.3x for new functions.

20170318
	+ change TERMINAL structure in term.h to make it opaque.  Some
	  applications misuse its members, e.g., directly modifying it
	  rather than using def_prog_mode().
	+ modify utility headers such as tic.h to make it clearer which are
	  externals that are used by tack.
	+ improve curs_slk.3x in particular its discussion of portability.
	+ fix cut/paste in legacy_encoding.3x
	+ add prototype for find_pair() to new_pair.3x (report by Branden
	  Robinson).
	+ fix a couple of broken links in generated man-html documentation.
	+ regenerate man-html documentation.

20170311
	+ modify vt100 rs2 string to reset vt52 mode and scrolling regions
	  (report/analysis by Robert King) -TD
	+ add vt100+4bsd building block, use that for older terminals rather
	  than "vt100" which is now mostly used as a building block for
	  terminal emulators -TD
	+ correct a few spelling errors in terminfo.src comments -TD
	+ add fbterm -TD
	+ fix a typo in ncurses.c test_attr legend (patch by Petr Vanek).
	+ changed internal colorpair_t to a struct, eliminating an internal
	  8-bit limit on colors
	+ add ncurses/new_pair.h
	+ add ncurses/base/new_pair.c with alloc_pair(), find_pair() and
	  free_pair() functions
	+ add test/demo_new_pair.c

20170304
	+ improve terminfo manual description of terminfo syntax.
	+ clarify the use of wint_t vs wchar_t in curs_get_wstr.3x
	+ improve description of endwin() in manual.
	+ modify setcchar() and getcchar() to treat negative color-pair as an
	  error.
	+ fix a typo in include/hashed_db.h (Andre Sa).

20170225
	+ fixes for CF_CC_ENV_FLAGS (report by Ross Burton).

20170218
	+ fix several formatting issues with manual pages.
	+ correct read of terminfo entry in which all strings are absent or
	  explicitly cancelled.  Before this fix, the result was that all were
	  treated as only absent.
	+ modify infocmp to suppress mixture of absent/cancelled capabilities
	  that would only show as "NULL, NULL", unless the -q option is used,
	  e.g., to show "-, @" or "@, -".

20170212
	+ build-fixes for PGI compilers (report by Adam J. Stewart)
	  + accept whitespace in sed expression for generating expanded.c
	  + modify configure check that g++ compiler warnings are not used.
	  + add configure check for -fPIC option needed for shared libraries.
	+ let configure --disable-ext-funcs override the default for the
	  --enable-sp-funcs option.
	+ mark some structs in form/menu/panel libraries as potentially opaque
	  without modifying API/ABI.
	+ add configure option --enable-opaque-curses for ncurses library and
	  similar options for the other libraries.

20170204
	+ trim newlines, tabs and escaped newlines from terminfo "paths" passed
	  to db-iterator.
	+ ignore zero-length files in db-iterator; these are useful for
	  instance to suppress "$HOME/.terminfo" when not wanted.
	+ amended "b64:" encoder to work with the terminfo reader.
	+ modify terminfo reader to accept "b64:" format using RFC-3548 in
	  as well as RFC-4648 url/filename-safe format.
	+ modify terminfo reader to accept "hex:" format as generated by
	  "infocmp -0qQ1" (cf: 20150905).
	+ adjust authors comment to reflect drop below 1% for SV.

20170128
	+ minor comment-fixes to help automate links to bug-urls -TD
	+ add dvtm, dvtm-256color -TD
	+ add settings corresponding to xterm-keys option to tmux entry to
	  reflect upcoming change to make that option "on" by default
	  (patch by Nicholas Marriott).
	+ uncancel Ms in tmux entry (Harry Gindi, Nicholas Marriott).
	+ add dumb-emacs-ansi -TD

20170121
	+ improve discussion of early history of tput program.
	+ incorporate A_COLOR mask into COLOR_PAIR(), in case user application
	  provides an out-of-range pair number (report by Elijah Stone).
	+ clarify description in tput manual page regarding support for
	  termcap names (prompted by FreeBSD #214709).
	+ remove a restriction in tput's support for termcap names which
	  omitted capabilities normally not shown in termcap translations
	  (cf: 990123).
	+ modify configure script for clang as used on FreeBSD, to work around
	  clang's differences in exit codes vs gcc.

20170114
	+ improve discussion of early history of tset/reset programs.
	+ clarify in manual pages that the optional verbose option level is
	  available only when ncurses is configured for tracing.
	+ amend change from 20161231 to avoid writing traces to the standard
	  error after initializing the trace feature using the environment
	  variable.

20170107
	+ amend changes for tput to reset tty modes to "sane" if the program
	  is run as "reset", like tset.  Likewise, ensure that tset sends
	  either reset- or init-strings.
	+ improve manual page descriptions of tput init/reset and tset/reset,
	  to make it easier to see how they are similar and different.
	+ move a static result from key_name() to _nc_globals
	+ modify _nc_get_screensize to allow for use_env() and use_tioctl()
	  state to be per-screen when sp-funcs are configured, better matching
	  the behavior when using the term-driver configuration.
	+ improve cross-references in manual pages for often used functions
	+ move SCREEN field for use_tioctl() data before the ncursesw fields,
	  and limit that to the sp-funcs configuration to improve termlib
	  compatibility (cf:  20120714).
	+ correct order of initialization for traces in use_env() and
	  use_tioctl() versus first trace calls.

20161231
	+ fix errata for ncurses-howto (report by Damien Ruscoe).
	+ fix a few places in configure/build scripts where DESTDIR and rpath
	  were combined (report by Thomas Klausner).
	+ merge current st description (report by Harry Gindi) -TD
	+ modify flash capability for linux and wyse entries to put the delay
	  between the reverse/normal escapes rather than after -TD
	+ modify program tabs to pass the actual tty file descriptor to
	  setupterm rather than the standard output, making padding work
	  consistently.
	+ explain in clear's manual page that it writes to stdout.
	+ add special case for verbose debugging traces of command-line
	  utilities which write to stderr (cf: 20161126).
	+ remove a trace with literal escapes from skip_DECSCNM(), added in
	  20161203.
	+ update config.guess, config.sub from
		http://git.savannah.gnu.org/cgit/config.git

20161224
	+ correct parameters for copywin call in _nc_Synchronize_Attributes()
	  (patch by Leon Winter).
	+ improve color-handling section in terminfo manual page (prompted by
	  patch by Mihail Konev).
	+ modify programs clear, tput and tset to pass the actual tty file
	  descriptor to setupterm rather than the standard output, making
	  padding work.

20161217
	+ add tput-colorcube demo script.
	+ add -r and -s options to tput-initc demo, to match usage in xterm.
	+ flush the standard output in _nc_flush for the case where SP is zero,
	  e.g., when called via putp.  This fixes a scenario where "tput flash"
	  did not work after changes in 20130112.

20161210
	+ add configure script option --disable-wattr-macros for use in cases
	  where one wants to use the same headers for ncurses5/ncurses6
	  development, by suppressing the wattr* macros which differ due to
	  the introduction of extended colors (prompted by comments in
	  Debian #230990, Redhat #1270534).
	+ add test/tput-initc to demonstrate tput used to initialize palette
	  from a data file.
	+ modify test/xterm*.dat to use the newer color4/color12 values.

20161203
	+ improve discussion of field validation in form_driver.3x manual page.
	+ update curs_trace.3x manual page.

20161126
	+ modify linux-16color to not mask dim, standout or reverse with the
	  ncv capability -TD
	+ add 0.1sec mandatory delay to flash capabilities using the VT100
	  reverse-video control -TD
	+ omit selection of ISO-8859-1 for G0 in enacs capability from linux2.6
	  entry, to avoid conflict with the user-defined mapping.  The reset
	  feature will use ISO-8859-1 in any case (Mikulas Patocka).
	+ improve check in tic for delays by also warning about beep/flash
	  when a delay is not embedded, or if those use the VT100 reverse
	  video escape without using a delay.
	+ minor fix for syntax-check of delays from 20161119 changes.
	+ modify trace() to avoid overwriting existing file (report by Maor
	  Shwartz).

20161119
	+ add check in tic for some syntax errors of delays, as well as use of
	  proportional delays for non-line capabilities.
	+ document history of the clear program and the E3 extension, prompted
	  by various discussions including
	  http://unix.stackexchange.com/questions/87469/clearing-the-old-scrollback-buffer

20161112
	+ improve -W option in tic/infocmp:
	  + correct order of size-adjustments in wrapped lines
	  + if -f option splits line, do not further split it with -W
	  + begin a new line when adding "use=" after a wrapped line

20161105
	+ fix typo in man/terminfo.tail (Alain Williams).
	+ correct program-name in adacurses6-config.1 manual page.

20161029
	+ add new function "unfocus_current_field" (Leon Winter)

20161022
	+ modify tset -w (and tput reset) to update the program's copy of the
	  screensize if it was already set in the system, to improve tabstop
	  setting which relies upon knowing the actual screensize.
	+ add functionality of tset -w to tput, like the "-c" feature this is
	  not optional in tput.
	+ add "clear" as a possible link/alias to tput.
	+ improve tput's check for being called as "init" or "reset" to allow
	  for transformed names.
	+ split-out the "clear" function from progs/clear.c, share with
	  tput to get the same behavior, e.g., the E3 extension.

20161015
	+ amend internal use of tputs to consistently use the number of lines
	  affected, e.g., for insert/delete character operations.  While
	  merging terminfo source early in 1995, several descriptions used the
	  "*" proportional delay for these operations, prompting a change in
	  doupdate.
	+ regenerate llib-* files.
	+ regenerate HTML manpages.
	+ fix several formatting issues with manual pages.

20161008
	+ adjust size in infocmp/tic to work with strlcpy.
	+ fix configure script to record when strlcat is found on OpenBSD.
	+ build-fix for "recent" OpenBSD vs baudrate.

20161001
	+ add -W option to tic/infocmp to force long strings to wrap.  This is
	  in addition to the -w option which attempts to fit capabilities into
	  a given line-length.
	+ add linux-m1 minitel entries (patch by Alexandre Montaron).
	+ correct rs2 string for vt100-nam -TD

20160924
	+ modify _nc_tic_expand to escape comma if it immediately follows a
	  percent sign, to work with minitel change.
	+ updated minitel and viewdata descriptions (Alexandre Montaron).

20160917
	+ build-fix for gnat6, which unhelpfully attempts to compile C files.
	+ fix typo in 20160910 changes (Debian #837892, patch by Sven Joachim).

20160910
	+ trim dead code ifdef'd with HIDE_EINTR since 970830 (discussion with
	  Leon Winter).
	+ trim some obsolete/incorrect wording about EINTR from wgetch manual
	  page (patch by Leon Winter).
	+ really correct 20100515 change (patch by Rich Coe).
	+ add "--enable-string-hacks" option to test/configure
	+ completed string-hacks for "sprintf", etc., including test-programs.
	+ make "--enable-string-hacks" work with Debian by checking for the
	  "bsd" library and its associated "<bsd/string.h>" header.

20160903
	+ correct 20100515 change for weak signals versus sigprocmask (report
	  by Rich Coe).
	+ modify misc/Makefile.in to work around OpenBSD "make" which unlike
	  all other versions of "make" does not recognize continuation lines
	  of comments.
	+ amend the last change to CF_C_ENV_FLAGS to move only the
	  preprocessor, optimization and warning flags to CPPFLAGS and CFLAGS,
	  leaving the residue in CC.  That happens to work for gcc's various
	  "model" options, but may require tuning for other compilers (report
	  by Sven Joachim).

20160827
	+ add "v" menu entry to test/ncurses.c to show baudrate and other
	  values.
	+ add "newer" baudrate symbols from Linux and FreeBSD to progs/tset.c,
	  lib_baudrate.c
	+ modify CF_XOPEN_SOURCE macro:
	  + add "uclinux" to case for "linux" (patch by Yann E. Morin)
	  + modify _GNU_SOURCE for cygwin headers, tested with cygwin 2.3, 2.5
	    (patch by Corinna Vinschen, from changes to tin).
	+ improve CF_CC_ENV_FLAGS macro to allow for compiler wrappers such
	  as "ccache" (report by Enrico Scholz).
	+ update config.guess, config.sub from
		http://git.savannah.gnu.org/cgit/config.git

20160820
	+ update tput manual page to reflect changes to manipulate terminal
	  modes by sharing functions with tset.
	+ add the terminal-mode parts of "reset" (aka tset) to the "tput reset"
	  command, making the two almost the same except for window-size.
	+ adapt logic used in dialog "--keep-tite" option for test/filter.c as
	  "-a" option.  When set, test/filter attempts to suppress the
	  alternate screen.
	+ correct a typo in interix entry -TD

20160813
	+ add a dependency upon generated-sources in Ada95/src/Makefile.in to
	  handle a case of "configure && make install".
	+ trim trailing blanks from include/Caps*, to work around a problem
	  in sed (Debian #818067).

20160806
	+ improve CF_GNU_SOURCE configure macro to optionally define
	  _DEFAULT_SOURCE work around a nuisance in recent glibc releases.
	+ move the terminfo-specific parts of tput's "reset" function into
	  the shared reset_cmd.c, making the two forms of reset use the same
	  strings.
	+ split-out the terminal initialization functions from tset as
	  progs/reset_cmd.c, as part of changes to merge the reset-feature
	  with tput.

20160730
	+ change tset's initialization to allow it to get settings from the
	  standard input as well as /dev/tty, to be more effective when
	  output or error are redirected.
	+ improve discussion of history and portability for tset/reset/tput
	  manual pages.

20160723
	+ improve error message from tset/reset when both stderr/stdout are
	  redirected to a file or pipe.
	+ improve organization of curs_attr.3x, curs_color.3x

20160709
	+ work around Debian's antique/unmaintained version of mawk when
	  building link_test.
	+ improve test/list_keys.c, showing ncurses's convention of modifiers
	  for special keys, based on xterm.

20160702
	+ improve test/list_keys.c, using $TERM if no parameters are given.

20160625
	+ build-fixes for ncurses "test_progs" rule.
	+ amend change to CF_CC_ENV_FLAGS in 20160521 to make multilib build
	  work (report by Sven Joachim).

20160618
	+ build-fixes for ncurses-examples with NetBSD curses.
	+ improve test/list_keys.c, fixing column-widths and sorting the list
	  to make it more readable.

20160611
	+ revise fix for Debian #805618 (report by Vlado Potisk, cf: 20151128).
	+ modify test/ncurses.c a/A screens to make exiting on an escape
	  character depend on the start of keypad and timeout modes, to allow
	  better testing of function-keys.
	+ modify rs1 for xterm-16color, xterm-88color and xterm-256color to
	  reset palette using "oc" string as in linux -TD
	+ use ANSI reply for u8 in xterm-new, to reflect vt220-style responses
	  that could be returned -TD
	+ added a few capabilities fixed in recent vte -TD

20160604
	+ correct logic for -f option in test/demo_terminfo.c
	+ add test/list_keys.c

20160528
	+ further workaround for PIE/PIC breakage which causes gpm to not link.
	+ fix most cppcheck warnings, mostly style, in ncurses library.

20160521
	+ improved manual page description of tset/reset versus window-size.
	+ fixes to work with a slightly broken compiler configuration which
	  cannot compile "Hello World!" without adding compiler options
	  (report by Ola x Nilsson):
	  + pass appropriate compiler options to the CF_PROG_CC_C_O macro.
	  + when separating compiler and options in CF_CC_ENV_FLAGS, ensure
	    that all options are split-off into CFLAGS or CPPFLAGS
	  + restore some -I options removed in 20140726 because they appeared
	    to be redundant.  In fact, they are needed for a compiler that
	    cannot combine -c and -o options.

20160514
	+ regenerate HTML manpages.
	+ improve manual pages for wgetch and wget_wch to point out that they
	  might return values without names in curses.h (Debian #822426).
	+ make linux3.0 entry the default linux entry (Debian #823658) -TD
	+ modify linux2.6 entry to improve line-drawing so that the linux3.0
	  entry can be used in non-UTF-8 mode -TD
	+ document return value of use_extended_names (report by Mike Gran).

20160507
	+ amend change to _nc_do_color to restore the early return for the
	  special case used in _nc_screen_wrap (report by Dick Streefland,
	  cf: 20151017).
	+ modify test/ncurses.c:
	  + check return-value of putwin
	  + correct ifdef which made the 'g' test's legend not reflect changes
	    to keypad- and scroll-modes.
	+ correct return-value of extended putwin (report by Mike Gran).

20160423
	+ modify test/ncurses.c 'd' edit-color menu to optionally read xterm
	  color palette directly from terminal, as well as handling KEY_RESIZE
	  and screen-repainting with control/L and control/R.
	+ add 'oc' capability to xterm+256color, allowing palette reset for
	  xterm -TD

20160416
	+ add workaround in configure script for inept transition to PIE vs
	  PIC builds documented in
		  https://fedoraproject.org/wiki/Changes/Harden_All_Packages
	+ add "reset" to list of programs whose names might change in manpages
	  due to program-transformation configure options.
	+ drop long-obsolete "-n" option from tset.

20160409
	+ modify test/blue.c to use Unicode values for card-glyphs when
	  available, as well as improving the check for CP437 and CP850.

20160402
	+ regenerate HTML manpages.
	+ improve manual pages for utilities with respect to POSIX versus
	  X/Open Curses.

20160326
	+ regenerate HTML manpages.
	+ improve test/demo_menus.c, allowing mouse-click on the menu-headers
	  to switch the active menu.  This requires a new extension option
	  O_MOUSE_MENU to tell the menu driver to put mouse events which do not
	  apply to the active menu back into the queue so that the application
	  can handle the event.

20160319
	+ improve description of tgoto parameters (report by Steffen Nurpmeso).
	+ amend workaround for Solaris line-drawing to restore a special case
	  that maps Unicode line-drawing characters into the acsc string for
	  non-Unicode locales (Debian #816888).

20160312
	+ modified test/filter.c to illustrate an alternative to getnstr, that
	  polls for input while updating a clock on the right margin as well
	  as responding to window size-changes.

20160305
	+ omit a redefinition of "inline" when traces are enabled, since this
	  does not work with gcc 5.3.x MinGW cross-compiling (cf: 20150912).

20160220
	+ modify test/configure script to check for pthread dependency of
	  ncursest or ncursestw library when building ncurses examples, e.g.,
	  in case weak symbols are used.
	+ modify configure macro for shared-library rules to use -Wl,-rpath
	  rather than -rpath to work around a bug in scons (FreeBSD #178732,
	  cf: 20061021).
	+ double-width multibyte characters were not counted properly in
	  winsnstr and wins_nwstr (report/example by Eric Pruitt).
	+ update config.guess, config.sub from
		http://git.savannah.gnu.org/cgit/config.git

20160213
	+ amend fix for _nc_ripoffline from 20091031 to make test/ditto.c work
	  in threaded configuration.
	+ move _nc_tracebits, _tracedump and _tracemouse to curses.priv.h,
	  since they are not part of the suggested ABI6.

20160206
	+ define WIN32_LEAN_AND_MEAN for MinGW port, making builds faster.
	+ modify test/ditto.c to allow $XTERM_PROG environment variable to
	  override "xterm" as the name of the program to run in the threaded
	  configuration.

20160130
	+ improve formatting of man/curs_refresh.3x and man/tset.1 manpages
	+ regenerate HTML manpages using newer man2html to eliminate some
	  unwanted blank lines.

20160123
	+ ifdef'd header-file definition of mouse_trafo() with NCURSES_NOMACROS
	  (report by Corey Minyard).
	+ fix some strict compiler-warnings in traces.

20160116
	+ tidy up comments about hardcoded 256color palette (report by
	  Leonardo Brondani Schenkel) -TD
	+ add putty-noapp entry, and amend putty entry to use application mode
	  for better consistency with xterm (report by Leonardo Brondani
	  Schenkel) -TD
	+ modify _nc_viscbuf2() and _tracecchar_t2() to trace wide-characters
	  as a whole rather than their multibyte equivalents.
	+ minor fix in wadd_wchnstr() to ensure that each cell has nonzero
	  width.
	+ move PUTC_INIT calls next to wcrtomb calls, to avoid carry-over of
	  error status when processing Unicode values which are not mapped.

20160102
	+ modify ncurses c/C color test-screens to take advantage of wide
	  screens, reducing the number of lines used for 88- and 256-colors.
	+ minor refinement to check versus ncv to ignore two parameters of
	  SGR 38 and 48 when those come from color-capabilities.

20151226
	+ add check in tic for use of bold, etc., video attributes in the
	  color capabilities, accounting whether the feature is listed in ncv.
	+ add check in tic for conflict between ritm, rmso, rmul versus sgr0.

20151219
	+ add a paragraph to curs_getch.3x discussing key naming (discussion
	  with James Crippen).
	+ amend workaround for Solaris vs line-drawing to take the configure
	  check into account.
	+ add a configure check for wcwidth() versus the ncurses line-drawing
	  characters, to use in special-casing systems such as Solaris.

20151212
	+ improve CF_XOPEN_CURSES macro used in test/configure, to define as
	  needed NCURSES_WIDECHAR for platforms where _XOPEN_SOURCE_EXTENDED
	  does not work.  Also modified the test program to ensure that if
	  building with ncurses, that the cchar_t type is checked, since that
	  normally is since 20111030 ifdef'd depending on this test.
	+ improve 20121222 workaround for broken acs, letting Solaris "work"
	  in spite of its misconfigured wcwidth which marks all of the line
	  drawing characters as double-width.

20151205
	+ update form_cursor.3x, form_post.3x, menu_attributes.3x to list
	  function names in NAME section (patch by Jason McIntyre).
	+ minor fixes to manpage NAME/SYNOPSIS sections to consistently use
	  rule that either all functions which are prototyped in SYNOPSIS are
	  listed in the NAME section, or the manual-page name is the sole item
	  listed in the NAME section.  The latter is used to reduce clutter,
	  e.g., for the top-level library manual pages as well as for certain
	  feature-pages such as SP-funcs and threading (prompted by patches by
	  Jason McIntyre).

20151128
	+ add option to preserve leading whitespace in form fields (patch by
	  Leon Winter).
	+ add missing assignment in lib_getch.c to make notimeout() work
	  (Debian #805618).
	+ add 't' toggle for notimeout() function in test/ncurses.c a/A screens
	+ add viewdata terminal description (Alexandre Montaron).
	+ fix a case in tic/infocmp for formatting capabilities where a
	  backslash at the end of a string was mishandled.
	+ fix some typos in curs_inopts.3x (Benno Schulenberg).

20151121
	+ fix some inconsistencies in the pccon* entries -TD
	+ add bold to pccon+sgr+acs and pccon-base (Tati Chevron).
	+ add keys f12-f124 to pccon+keys (Tati Chevron).
	+ add test/test_sgr.c program to exercise all combinations of sgr.

20151107
	+ modify tset's assignment to TERM in its output to reflect the name by
	  which the terminal description is found, rather than the primary
	  name.  That was an unnecessary part from the initial conversion of
	  tset from termcap to terminfo.  The termcap program in 4.3BSD did
	  this to avoid using the short 2-character name (report by Rich
	  Burridge).
	+ minor fix to configure script to ensure that rules for resulting.map
	  are only generated when needed (cf: 20151101).
	+ modify configure script to handle the case where tic-library is
	  renamed, but the --with-debug option is used by itself without
	  normal or shared libraries (prompted by comment in Debian #803482).

20151101
	+ amend change for pkg-config which allows build of pc-files when no
	  valid pkg-config library directory was configured to suppress the
	  actual install if it is not overridden to a valid directory at
	  install time (cf: 20150822).
	+ modify editing script which generates resulting.map to work with the
	  clang configuration on recent FreeBSD, which gives an error on an
	  empty "local" section.
	+ fix a spurious "(Part)" message in test/ncurses.c b/B tests due
	  to incorrect attribute-masking.

20151024
	+ modify MKexpanded.sh to update the expansion of a temporary filename
	  to "expanded.c", for use in trace statements.
	+ modify layout of b/B tests in test/ncurses.c to allow for additional
	  annotation on the right margin; some terminals with partial support
	  did not display well.
	+ fix typo in curs_attr.3x (patch by Sven Joachim).
	+ fix typo in INSTALL (patch by Tomas Cech).
	+ improve configure check for setting WILDCARD_SYMS variable; on ppc64
	  the variable is in the Data section rather than Text (patch by Michel
	  Normand, Novell #946048).
	+ using configure option "--without-fallbacks" incorrectly caused
	  FALLBACK_LIST to be set to "no" (patch by Tomas Cech).
	+ updated minitel entries to fix kel problem with emacs, and add
	  minitel1b-nb (Alexandre Montaron).
	+ reviewed/updated nsterm entry Terminal.app in OSX -TD
	+ replace some dead URLs in comments with equivalents from the
	  Internet Archive -TD
	+ update config.guess, config.sub from
		http://git.savannah.gnu.org/cgit/config.git

20151017
	+ modify ncurses/Makefile.in to sort keys.list in POSIX locale
	  (Debian #801864, patch by Esa Peuha).
	+ remove an early-return from _nc_do_color, which can interfere with
	  data needed by bkgd when ncurses is configured with extended colors
	  (patch by Denis Tikhomirov).
	> fixes for OS/2 (patches by KO Myung-Hun)
	+ use button instead of kbuf[0] in EMX-specific part of lib_mouse.c
	+ support building with libtool on OS/2
	+ use stdc++ on OS/2 kLIBC
	+ clear cf_XOPEN_SOURCE on OS/2

20151010
	+ add configure check for openpty to test/configure script, for ditto.
	+ minor fixes to test/view.c in investigating Debian #790847.
	+ update autoconf patch to 2.52.20150926, incorporates a fix for Cdk.
	+ add workaround for breakage of POSIX makefiles by recent binutils
	  change.
	+ improve check for working poll() by using posix_openpt() as a
	  fallback in case there is no valid terminal on the standard input
	  (prompted by discussion on bug-ncurses mailing list, Debian #676461).

20150926
	+ change makefile rule for removing resulting.map to distclean rather
	  than clean.
	+ add /lib/terminfo to terminfo-dirs in ".deb" test-package.
	+ add note on portability of resizeterm and wresize to manual pages.

20150919
	+ clarify in resizeterm.3x how KEY_RESIZE is pushed onto the input
	  stream.
	+ clarify in curs_getch.3x that the keypad mode affects ability to
	  read KEY_MOUSE codes, but does not affect KEY_RESIZE.
	+ add overlooked build-fix needed with Cygwin for separate Ada95
	  configure script, cf: 20150606 (report by Nicolas Boulenguez)

20150912
	+ fixes for configure/build using clang on OSX (prompted by report by
	  William Gallafent).
	  + do not redefine "inline" in ncurses_cfg.h; this was originally to
	    solve a problem with gcc/g++, but is aggravated by clang's misuse
	    of symbols to pretend it is gcc.
	  + add braces to configure script to prevent unwanted add of
	    "-lstdc++" to the CXXLIBS symbol.
	  + improve/update test-program used for checking existence of stdc++
	    library.
	  + if $CXXLIBS is set, the linkage test uses that in addition to $LIBS

20150905
	+ add note in curs_addch.3x about line-drawing when it depends upon
	  UTF-8.
	+ add tic -q option for consistency with infocmp, use it to suppress
	  all comments from the "tic -I" output.
	+ modify infocmp -q option to suppress the "Reconstructed from"
	  header.
	+ add infocmp/tic -Q option, which allows one to dump the compiled
	  form of the terminal entry, in hexadecimal or base64.

20150822
	+ sort options in usage message for infocmp, to make it simpler to
	  see unused letters.
	+ update usage message for tic, adding "-0" option.
	+ documented differences in ESCDELAY versus AIX's implementation.
	+ fix some compiler warnings from ports.
	+ modify --with-pkg-config-libdir option to make it possible to install
	  ".pc" files even if pkg-config is not found (adapted from patch by
	  Joshua Root).

20150815
	+ disallow "no" as a possible value for "--with-shlib-version" option,
	  overlooked in cleanup-changes for 20000708 (report by Tommy Alex).
	+ update release notes in INSTALL.
	+ regenerate llib-* files to help with review for release notes.

20150810
	+ workaround for Debian #65617, which was fixed in mawk's upstream
	  releases in 2009 (report by Sven Joachim).  See
	  	https://invisible-island.net/mawk/CHANGES.html#t20090727

20150808 6.0 release for upload to ftp.gnu.org

20150808
	+ build-fix for Ada95 on older platforms without stdint.h
	+ build-fix for Solaris, whose /bin/sh and /usr/bin/sed are non-POSIX.
	+ update release announcement, summarizing more than 800 changes across
	  more than 200 snapshots.
	+ minor fixes to manpages, etc., to simplify linking from announcement
	  page.

20150725
	+ updated llib-* files.
	+ build-fixes for ncurses library "test_progs" rule.
	+ use alternate workaround for gcc 5.x feature (adapted from patch by
	  Mikhail Peselnik).
	+ add status line to tmux via xterm+sl (patch by Nicholas Marriott).
	+ fixes for st 0.5 from testing with tack -TD
	+ review/improve several manual pages to break up wall-of-text:
	  curs_add_wch.3x, curs_attr.3x, curs_bkgd.3x, curs_bkgrnd.3x,
	  curs_getcchar.3x, curs_getch.3x, curs_kernel.3x, curs_mouse.3x,
	  curs_outopts.3x, curs_overlay.3x, curs_pad.3x, curs_termattrs.3x
	  curs_trace.3x, and curs_window.3x

20150719
	+ correct an old logic error for %A and %O in tparm (report by "zreed").
	+ improve documentation for signal handlers by adding section in the
	  curs_initscr.3x page.
	+ modify logic in make_keys.c to not assume anything about the size
	  of strnames and strfnames variables, since those may be functions
	  in the thread- or broken-linker configurations (problem found by
	  Coverity).
	+ modify test/configure script to check for pthreads configuration,
	  e.g., ncursestw library.

20150711
	+ modify scripts to build/use test-packages for the pthreads
	  configuration of ncurses6.
	+ add references to ttytype and termcap symbols in demo_terminfo.c and
	  demo_termcap.c to ensure that when building ncursest.map, etc., that
	  the corresponding names such as _nc_ttytype are added to the list of
	  versioned symbols (report by Werner Fink)
	+ fix regression from 20150704 (report/patch by Werner Fink).

20150704
	+ fix a few problems reported by Coverity.
	+ fix comparison against "/usr/include" in misc/gen-pkgconfig.in
	  (report by Daiki Ueno, Debian #790548, cf:  20141213).

20150627
	+ modify configure script to remove deprecated ABI 5 symbols when
	  building ABI 6.
	+ add symbols _nc_Default_Field, _nc_Default_Form, _nc_has_mouse to
	  map-files, but marked as deprecated so that they can easily be
	  suppressed from ABI 6 builds (Debian #788610).
	+ comment-out "screen.xterm" entry, and inherit screen.xterm-256color
	  from xterm-new (report by Richard Birkett) -TD
	+ modify read_entry.c to set the error-return to -1 if no terminal
	  databases were found, as documented for setupterm.
	+ add test_setupterm.c to demonstrate normal/error returns from the
	  setupterm and restartterm functions.
	+ amend cleanup change from 20110813 which removed redundant definition
	  of ret_error, etc., from tinfo_driver.c, to account for the fact that
	  it should return a bool rather than int (report/analysis by Johannes
	  Schindelin).

20150613
	+ fix overflow warning for OSX with lib_baudrate.c (cf: 20010630).
	+ modify script used to generate map/sym files to mark 5.9.20150530 as
	  the last "5.9" version, and regenerated the files.  That makes the
	  files not use ".current" for the post-5.9 symbols.  This also
	  corrects the label for _nc_sigprocmask used in when weak symbols are
	  configured for the ncursest/ncursestw libraries (prompted by
	  discussion with Sven Joachim).
	+ fix typo in NEWS (report by Sven Joachim).

20150606 pre-release
	+ make ABI 6 the default by updates to dist.mk and VERSION, with the
	  intention that the existing ABI 5 should build as before using the
	  "--with-abi-version=5" option.
	+ regenerate ada- and man-html documentation.
	+ minor fixes to color- and util-manpages.
	+ fix a regression in Ada95/gen/Makefile.in, to handle special case of
	  Cygwin, which uses the broken-linker feature.
	+ amend fix for CF_NCURSES_CONFIG used in test/configure to assume that
	  ncurses package scripts work when present for cross-compiling, as the
	  lessor of two evils (cf: 20150530).
	+ add check in configure script to disallow conflicting options
	  "--with-termlib" and "--enable-term-driver".
	+ move defaults for "--disable-lp64" and "--with-versioned-syms" into
	  CF_ABI_DEFAULTS macro.

20150530
	+ change private type for Event_Mask in Ada95 binding to work when
	  mmask_t is set to 32-bits.
	+ remove spurious "%;" from st entry (report by Daniel Pitts) -TD
	+ add vte-2014, update vte to use that -TD
	+ modify tic and infocmp to "move" a diagnostic for tparm strings that
	  have a syntax error to tic's "-c" option (report by Daniel Pitts).
	+ fix two problems with configure script macros (Debian #786436,
	  cf: 20150425, cf: 20100529).

20150523
	+ add 'P' menu item to test/ncurses.c, to show pad in color.
	+ improve discussion in curs_color.3x about color rendering (prompted
	  by comment on Stack Overflow forum):
	+ remove screen-bce.mlterm, since mlterm does not do "bce" -TD
	+ add several screen.XXX entries to support the respective variations
	  for 256 colors -TD
	+ add putty+fnkeys* building-block entries -TD
	+ add smkx/rmkx to capabilities analyzed with infocmp "-i" option.

20150516
	+ amend change to ".pc" files to only use the extra loader flags which
	  may have rpath options (report by Sven Joachim, cf: 20150502).
	+ change versioning for dpkg's in test-packages for Ada95 and
	  ncurses-examples for consistency with Debian, to work with package
	  updates.
	+ regenerate html manpages.
	+ clarify handling of carriage return in waddch manual page; it was
	  discussed only in the portability section (prompted by comment on
	  Stack Overflow forum):

20150509
	+ add test-packages for cross-compiling ncurses-examples using the
	  MinGW test-packages.  These are only the Debian packages; RPM later.
	+ cleanup format of debian/copyright files
	+ add pc-files to the MinGW cross-compiling test-packages.
	+ correct a couple of places in gen-pkgconfig.in to handle renaming of
	  the tinfo library.

20150502
	+ modify the configure script to allow different default values
	  for ABI 5 versus ABI 6.
	+ add wgetch-events to test-packages.
	+ add a note on how to build ncurses-examples to test/README.
	+ fix a memory leak in delscreen (report by Daniel Kahn Gillmor,
	  Debian #783486) -TD
	+ remove unnecessary ';' from E3 capabilities -TD
	+ add tmux entry, derived from screen (patch by Nicholas Marriott).
	+ split-out recent change to nsterm-bce as nsterm-build326, and add
	  nsterm-build342 to reflect changes with successive releases of OSX
	  (discussion with Leonardo B Schenkel)
	+ add xon, ich1, il1 to ibm3161 (patch by Stephen Powell, Debian
	  #783806)
	+ add sample "magic" file, to document ext-putwin.
	+ modify gen-pkgconfig.in to add explicit -ltinfo, etc., to the
	  generated ".pc" file when ld option "--as-needed" is used, or when
	  ncurses and tinfo are installed without using rpath (prompted by
	  discussion with Sylvain Bertrand).
	+ modify test-package for ncurses6 to omit rpath feature when installed
	  in /usr.
	+ add OSX's "*.dSYM" to clean-rules in makefiles.
	+ make extra-suffix work for OSX configuration, e.g., for shared
	  libraries.
	+ modify Ada95/configure script to work with pkg-config
	+ move test-package for ncurses6 to /usr, since filename-conflicts have
	  been eliminated.
	+ corrected build rules for Ada95/gen/generate; it does not depend on
	  the ncurses library aside from headers.
	+ reviewed man pages, fixed a few other spelling errors.
	+ fix a typo in curs_util.3x (Sven Joachim).
	+ use extra-suffix in some overlooked shared library dependencies
	  found by 20150425 changes for test-packages.
	+ update config.guess, config.sub from
		http://git.savannah.gnu.org/cgit/config.git

20150425
	+ expanded description of tgetstr's area pointer in manual page
	  (report by Todd M Lewis).
	+ in-progress changes to modify test-packages to use ncursesw6 rather
	  than ncursesw, with updated configure scripts.
	+ modify CF_NCURSES_CONFIG in Ada95- and test-configure scripts to
	  check for ".pc" files via pkg-config, but add a linkage check since
	  frequently pkg-config configurations are broken.
	+ modify misc/gen-pkgconfig.in to include EXTRA_LDFLAGS, e.g., for the
	  rpath option.
	+ add 'dim' capability to screen entry (report by Leonardo B Schenkel)
	+ add several key definitions to nsterm-bce to match preconfigured
	  keys, e.g., with OSX 10.9 and 10.10 (report by Leonardo B Schenkel)
	+ fix repeated "extra-suffix" in ncurses-config.in (cf: 20150418).
	+ improve term_variables manual page, adding section on the terminfo
	  long-name symbols which are defined in the term.h header.
	+ fix bug in lib_tracebits.c introduced in const-fixes (cf: 20150404).

20150418
	+ avoid a blank line in output from tabs program by ending it with
	  a carriage return as done in FreeBSD (patch by James Clarke).
	+ build-fix for the "--enable-ext-putwin" feature when not using
	  wide characters (report by Werner Fink).
	+ modify autoconf macros to use scripting improvement from xterm.
	+ add -brtl option to compiler options on AIX 5-7, needed to link
	  with the shared libraries.
	+ add --with-extra-suffix option to help with installing nonconflicting
	  ncurses6 packages, e.g., avoiding header- and library-conflicts.
	  NOTE: as a side-effect, this renames
		  adacurses-config to adacurses5-config and
		  adacursesw-config to adacursesw5-config
	+ modify debian/rules test package to suffix programs with "6".
	+ clarify in curs_inopts.3x that window-specific settings do not
	  inherit into new windows.

20150404
	+ improve description of start_color() in the manual.
	+ modify several files in ncurses- and progs-directories to allow
	  const data used in internal tables to be put by the linker into the
	  readonly text segment.

20150329
	+ correct cut/paste error for "--enable-ext-putwin" that made it the
	  same as "--enable-ext-colors" (report by Roumen Petrov)

20150328
	+ add "-f" option to test/savescreen.c to help with testing/debugging
	  the extended putwin/getwin.
	+ add logic for writing/reading combining characters in the extended
	  putwin/getwin.
	+ add "--enable-ext-putwin" configure option to turn on the extended
	  putwin/getwin.

20150321
	+ in-progress changes to provide an extended version of putwin and
	  getwin which will be capable of reading screen-dumps between the
	  wide/normal ncurses configurations.  These are text files, except
	  for a magic code at the beginning:
	  0       string          \210\210        Screen-dump (ncurses)

20150307
	+ document limitations of getwin in manual page (prompted by discussion
	  with John S Urban).
	+ extend test/savescreen.c to demonstrate that color pair values
	  and graphic characters can be restored using getwin.

20150228
	+ modify win_driver.c to eliminate the constructor, to make it more
	  usable in an application which may/may not need the console window
	  (report by Grady Martin).

20150221
	+ capture define's related to -D_XOPEN_SOURCE from the configure check
	  and add those to the *-config and *.pc files, to simplify use for
	  the wide-character libraries.
	+ modify ncurses.spec to accommodate Fedora21's location of pkg-config
	  directory.
	+ correct sense of "--disable-lib-suffixes" configure option (report
	  by Nicolas Boos, cf: 20140426).

20150214
	+ regenerate html manpages using improved man2html from work on xterm.
	+ regenerated ".map" and ".sym" files using improved script, accounting
	  for the "--enable-weak-symbols" configure option (report by Werner
	  Fink).

20150131
	+ regenerated ".map" and ".sym" files using improved script, showing
	  the combinations of configure options used at each stage.

20150124
	+ add configure check to determine if "local: _*;" can be used in the
	  ".map" files to selectively omit symbols beginning with "_".  On at
	  least recent FreeBSD, the wildcard applies to all "_" symbols.
	+ remove obsolete/conflicting rule for ncurses.map from
	  ncurses/Makefile.in (cf:  20130706).

20150117
	+ improve description in INSTALL of the --with-versioned-syms option.
	+ add combination of --with-hashed-db and --with-ticlib to
	  configurations for ".map" files (report by Werner Fink).

20150110
	+ add a step to generating ".map" files, to declare any remaining
	  symbols beginning with "_" as local, at the last version node.
	+ improve configure checks for pkg-config, addressing a variant found
	  with FreeBSD ports.
	+ modify win_driver.c to provide characters for special keys, like
	  ansi.sys, when keypad mode is off, rather than returning nothing at
	  all (discussion with Eli Zaretskii).
	+ add "broken_linker" and "hashed-db" configure options to combinations
	  use for generating the ".map" and ".sym" files.
	+ avoid using "ld" directly when creating shared library, to simplify
	  cross-compiles.  Also drop "-Bsharable" option from shared-library
	  rules for FreeBSD and DragonFly (FreeBSD #196592).
	+ fix a memory leak in form library Free_RegularExpression_Type()
	  (report by Pavel Balaev).

20150103
	+ modify_nc_flush() to retry if interrupted (patch by Stian Skjelstad).
	+ change map files to make _nc_freeall a global, since it may be used
	  via the Ada95 binding when checking for memory leaks.
	+ improve sed script used in 20141220 to account for wide-, threaded-
	  variations in ABI 6.

20141227
	+ regenerate ".map" files, using step overlooked in 20141213 to use
	  the same patch-dates across each file to match ncurses.map (report by
	  Sven Joachim).

20141221
	+ fix an incorrect variable assignment in 20141220 changes (report by
	  Sven Joachim).

20141220
	+ updated Ada95/configure with macro changes from 20141213
	+ tie configure options --with-abi-version and --with-versioned-syms
	  together, so that ABI 6 libraries have distinct symbol versions from
	  the ABI 5 libraries.
	+ replace obsolete/nonworking link to man2html with current one,
	  regenerate html-manpages.

20141213
	+ modify misc/gen-pkgconfig.in to add -I option for include-directory
	  when using both --prefix and --disable-overwrite (report by Misty
	  De Meo).
	+ add configure option --with-pc-suffix to allow minor renaming of
	  ".pc" files and the corresponding library.  Use this in the test
	  package for ncurses6.
	+ modify configure script so that if pkg-config is not installed, it
	  is still possible to install ".pc" files (report by Misty De Meo).
	+ updated ".sym" files, removing symbols which are marked as "local"
	  in the corresponding ".map" files.
	+ updated ".map" files to reflect move of comp_captab and comp_hash
	  from tic-library to tinfo-library in 20090711 (report by Sven
	  Joachim).

20141206
	+ updated ".map" files so that each symbol that may be shared across
	  the different library configurations has the same label.  Some
	  review is needed to ensure these are really compatible.
	+ modify MKlib_gen.sh to work around change in development version of
	  gcc introduced here:
		  https://gcc.gnu.org/ml/gcc-patches/2014-06/msg02185.html
		  https://gcc.gnu.org/ml/gcc-patches/2014-07/msg00236.html
	  (reports by Marcus Shawcroft, Maohui Lei).
	+ improved configure macro CF_SUBDIR_PATH, from lynx changes.

20141129
	+ improved ".map" files by generating them with a script that builds
	  ncurses with several related configurations and merges the results.
	  A further refinement is planned, to make the tic- and tinfo-library
	  symbols use the same versions across each of the four configurations
	  which are represented (reports by Sven Joachim, Werner Fink).

20141115
	+ improve description of limits for color values and color pairs in
	  curs_color.3x (prompted by patch by Tim van der Molen).
	+ add VERSION file, using first field in that to record the ABI version
	  used for configure --with-libtool --disable-libtool-version
	+ add configure options for applying the ".map" and ".sym" files to
	  the ncurses, form, menu and panel libraries.
	+ add ".map" and ".sym" files to show exported symbols, e.g., for
	  symbol-versioning.

20141101
	+ improve strict compiler-warnings by adding a cast in TRACE_RETURN
	  and making a new TRACE_RETURN1 macro for cases where the cast does
	  not apply.

20141025
	+ in-progress changes to integrate the win32 console driver with the
	  msys2 configuration.

20141018
	+ reviewed terminology 0.6.1, add function key definitions.  None of
	  the vt100-compatibility issues were improved -TD
	+ improve infocmp conversion of extended capabilities to termcap by
	  correcting the limit check against parametrized[], as well as filling
	  in a check if the string happens to have parameters, e.g., "xm"
	  in recent changes.
	+ add check for zero/negative dimensions for resizeterm and resize_term
	  (report by Mike Gran).

20141011
	+ add experimental support for xterm's 1005 mouse mode, to use in a
	  demonstration of its limitations.
	+ add experimental support for "%u" format to terminfo.
	+ modify test/ncurses.c to also show position reports in 'a' test.
	+ minor formatting fixes to _nc_trace_mmask_t, make this function
	  exported to help with debugging mouse changes.
	+ improve behavior of wheel-mice for xterm protocol, noting that there
	  are only button-presses for buttons "4" and "5", so there is no need
	  to wait to combine events into double-clicks (report/analysis by
	  Greg Field).
	+ provide examples xterm-1005 and xterm-1006 terminfo entries -TD
	+ implement decoder for xterm SGR 1006 mouse mode.

20140927
	+ implement curs_set in win_driver.c
	+ implement flash in win_driver.c
	+ fix an infinite loop in win_driver.c if the command-window loses
	  focus.
	+ improve the non-buffered mode, i.e., NCURSES_CONSOLE2, of
	  win_driver.c by temporarily changing the buffer-size to match the
	  window-size to eliminate the scrollback.  Also enforce a minimum
	  screen-size of 24x80 in the non-buffered mode.
	+ modify generated misc/Makefile to suppress install.data from the
	  dependencies if the --disable-db-install option is used, compensating
	  for the top-level makefile changes used to add ncurses*-config in the
	  20140920 changes (report by Steven Honeyman).

20140920
	+ add ncurses*-config to bin-directory of sample package-scripts.
	+ add check to ensure that getopt is available; this is a problem in
	  some older cross-compiler environments.
	+ expanded on the description of --disable-overwrite in INSTALL
	  (prompted by reports by Joakim Tjernlund, Thomas Klausner).
	  See Gentoo #522586 and NetBSD #49200 for examples.
	  which relates to the clarified guidelines.
	+ remove special logic from CF_INCLUDE_DIRS which adds the directory
	  for the --includedir from the build (report by Joakim Tjernlund).
	+ add case for Unixware to CF_XOPEN_SOURCE, from lynx changes.
	+ update config.sub from
		http://git.savannah.gnu.org/cgit/config.git

20140913
	+ add a configure check to ignore some of the plethora of non-working
	  C++ cross-compilers.
	+ build-fixes for Ada95 with gnat 4.9

20140906
	+ build-fix and other improvements for port of ncurses-examples to
	  NetBSD.
	+ minor compiler-warning fixes.

20140831
	+ modify test/demo_termcap.c and test/demo_terminfo.c to make their
	  options more directly comparable, and add "-i" option to specify
	  a terminal description filename to parse for names to lookup.

20140823
	+ fix special case where double-width character overwrites a single-
	  width character in the first column (report by Egmont Koblinger,
	  cf: 20050813).

20140816
	+ fix colors in ncurses 'b' test which did not work after changing
	  it to put the test-strings in subwindows (cf: 20140705).
	+ merge redundant SEE-ALSO sections in form and menu manpages.

20140809
	+ modify declarations for user-data pointers in C++ binding to use
	  reinterpret_cast to facilitate converting typed pointers to void*
	  in user's application (patch by Adam Jiang).
	+ regenerated html manpages.
	+ add note regarding cause and effect for TERM in ncurses manpage,
	  having noted clueless verbiage in Terminal.app's "help" file
	  which reverses cause/effect.
	+ remove special fallback definition for NCURSES_ATTR_T, since macros
	  have resolved type-mismatches using casts (cf: 970412).
	+ fixes for win_driver.c:
	  + handle repainting on endwin/refresh combination.
	  + implement beep().
	  + minor cleanup.

20140802
	+ minor portability fixes for MinGW:
	  + ensure WINVER is defined in makefiles rather than using headers
	  + add check for gnatprep "-T" option
	  + work around bug introduced by gcc 4.8.1 in MinGW which breaks
	    "trace" feature:
	    http://stackoverflow.com/questions/20877689/gcc-4-8-1-minggw-d-option-does-not-work-as-usual
	+ fix most compiler warnings for Cygwin ncurses-examples.
	+ restore "redundant" -I options in test/Makefile.in, since they are
	  typically needed when building the derived ncurses-examples package
	  (cf: 20140726).

20140726
	+ eliminate some redundant -I options used for building libraries, and
	  ensure that ${srcdir} is added to the include-options (prompted by
	  discussion with Paul Gilmartin).
	+ modify configure script to work with Minix3.2
	+ add form library extension O_DYNAMIC_JUSTIFY option which can be
	  used to override the different treatment of justification for static
	  versus dynamic fields (adapted from patch by Leon Winter).
	+ add a null pointer check in test/edit_field.c (report/analysis by
	  Leon Winter, cf: 20130608).

20140719
	+ make workarounds for compiling test-programs with NetBSD curses.
	+ improve configure macro CF_ADD_LIBS, to eliminate repeated -l/-L
	  options, from xterm changes.

20140712
	+ correct Charable() macro check for A_ALTCHARSET in wide-characters.
	+ build-fix for position-debug code in tty_update.c, to work with or
	  without sp-funcs.

20140705
	+ add w/W toggle to ncurses.c 'B' test, to demonstrate permutation of
	  video-attributes and colors with double-width character strings.

20140629
	+ correct check in win_driver.c for saving screen contents, e.g., when
	  NCURSES_CONSOLE2 is set (cf: 20140503).
	+ reorganize b/B menu items in ncurses.c, putting the test-strings into
	  subwindows.  This is needed for a planned change to use Unicode
	  fullwidth characters in the test-screens.
	+ correct update to form status for _NEWTOP, broken by fixes for
	  compiler warnings (patch by Leon Winter, cf: 20120616).

20140621
	+ change shared-library suffix for AIX 5 and 6 to ".so", avoiding
	  conflict with the static library (report by Ben Lentz).
	+ document RPATH_LIST in INSTALL file, as part of workarounds for
	  upgrading an ncurses library using the "--with-shared" option.
	+ modify test/ncurses.c c/C tests to cycle through subsets of the
	  total number of colors, to better illustrate 8/16/88/256-colors by
	  providing directly comparable screens.
	+ add test/dots_curses.c, for comparison with the low-level examples.

20140614
	+ fix dereference before null check found by Coverity in tic.c
	  (cf: 20140524).
	+ fix sign-extension bug in read_entry.c which prevented "toe" from
	  reading empty "screen+italics" entry.
	+ modify sgr for screen.xterm-new to support dim capability -TD
	+ add dim capability to nsterm+7 -TD
	+ cancel dim capability for iterm -TD
	+ add dim, invis capabilities to vte-2012 -TD
	+ add sitm/ritm to konsole-base and mlterm3 -TD

20140609
	> fix regression in screen terminfo entries (reports by Christian
	  Ebert, Gabriele Balducci) -TD
	+ revert the change to screen; see notes for why this did not work -TD
	+ cancel sitm/ritm for entries which extend "screen", to work around
	  screen's hardcoded behavior for SGR 3 -TD

20140607
	+ separate masking for sgr in vidputs from sitm/ritm, which do not
	  overlap with sgr functionality.
	+ remove unneeded -i option from adacurses-config; put -a in the -I
	  option for consistency (patch by Pascal Pignard).
	+ update xterm-new terminfo entry to xterm patch #305 -TD
	+ change format of test-scripts for Debian Ada95 and ncurses-examples
	  packages to quilted to work around Debian #700177 (cf: 20130907).
	+ build fix for form_driver_w.c as part of ncurses-examples package for
	  older ncurses than 20131207.
	+ add Hello World example to adacurses-config manpage.
	+ remove unused --enable-pc-files option from Ada95/configure.
	+ add --disable-gnat-projects option for testing.
	+ revert changes to Ada95 project-files configuration (cf: 20140524).
	+ corrected usage message in adacurses-config.

20140524
	+ fix typo in ncurses manpage for the NCURSES_NO_MAGIC_COOKIE
	  environment variable.
	+ improve discussion of input-echoing in curs_getch.3x
	+ clarify discussion in curs_addch.3x of wrapping.
	+ modify parametrized.h to make fln non-padded.
	+ correct several entries which had termcap-style padding used in
	  terminfo: adm21, aj510, alto-h19, att605-pc, x820 -TD
	+ correct syntax for padding in some entries: dg211, h19 -TD
	+ correct ti924-8 which had confused padding versus octal escapes -TD
	+ correct padding in sbi entry -TD
	+ fix an old bug in the termcap emulation; "%i" was ignored in tparm()
	  because the parameters to be incremented were already on the internal
	  stack (report by Corinna Vinschen).
	+ modify tic's "-c" option to take into account the "-C" option to
	  activate additional checks which compare the results from running
	  tparm() on the terminfo expressions versus the translated termcap
	  expressions.
	+ modify tic to allow it to read from FIFOs (report by Matthieu Fronton,
	  cf: 20120324).
	> patches by Nicolas Boulenguez:
	+ explicit dereferences to suppress some style warnings.
	+ when c_varargs_to_ada.c includes its header, use double quotes
	  instead of <>.
	+ samples/ncurses2-util.adb:  removed unused with clause.  The warning
	  was removed by an obsolete pragma.
	+ replaced Unreferenced pragmas with Warnings (Off).  The latter,
	  available with older GNATs, needs no configure test.  This also
	  replaces 3 untested Unreferenced pragmas.
	+ simplified To_C usage in trace handling.  Using two parameters allows
	  some basic formatting, and avoids a warning about security with some
	  compiler flags.
	+ for generated Ada sources, replace many snippets with one pure
	  package.
	+ removed C_Chtype and its conversions.
	+ removed C_AttrType and its conversions.
	+ removed conversions between int, Item_Option_Set, Menu_Option_Set.
	+ removed int, Field_Option_Set, Item_Option_Set conversions.
	+ removed C_TraceType, Attribute_Option_Set conversions.
	+ replaced C.int with direct use of Eti_Error, now enumerated.  As it
	  was used in a case statement, values were tested by the Ada compiler
	  to be consecutive anyway.
	+ src/Makefile.in: remove duplicate stanza
	+ only consider using a project for shared libraries.
	+ style. Silent gnat-4.9 warning about misplaced "then".
	+ generate shared library project to honor ADAFLAGS, LDFLAGS.

20140510
	+ cleanup recently introduced compiler warnings for MingW port.
	+ workaround for ${MAKEFLAGS} configure check versus GNU make 4.0,
	  which introduces more than one gratuitous incompatibility.

20140503
	+ add vt520ansi terminfo entry (patch by Mike Gran)
	+ further improve MinGW support for the scenario where there is an
	  ANSI-escapes handler such as ansicon running in the console window
	  (patch by Juergen Pfeifer).

20140426
	+ add --disable-lib-suffixes option (adapted from patch by Juergen
	  Pfeifer).
	+ merge some changes from Juergen Pfeifer's work with MSYS2, to
	  simplify later merging:
	  + use NC_ISATTY() macro for isatty() in library
	  + add _nc_mingw_isatty() and related functions to windows-driver
	  + rename terminal driver entrypoints to simplify grep's
	+ remove a check in the sp-funcs flavor of newterm() which allowed only
	  the first call to newterm() to succeed (report by Thomas Beierlein,
	  cf: 20090927).

20140419
	+ update config.guess, config.sub from
		http://git.savannah.gnu.org/cgit/config.git

20140412
	+ modify configure script:
	  + drop the -no-gcc option from Intel compiler, from lynx changes.
	  + extend the --with-hashed-db configure option to simplify building
	    with different versions of Berkeley database using FreeBSD ports.
	+ improve initialization for MinGW port (Juergen Pfeifer):
	  + enforce Windows-style path-separator if cross-compiling,
	  + add a driver-name method to each of the drivers,
	  + allow the Windows driver name to match "unknown", ignoring case,
	  + lengthen the built-in name for the Windows console driver to
	    "#win32console", and
	  + move the comparison of driver-names allowing abbreviation, e.g.,
	    to "#win32con" into the Windows console driver.

20140329
	+ add check in tic for mismatch between ccc and initp/initc
	+ cancel ccc in putty-256color and konsole-256color for consistency
	  with the cancelled initc capability (patch by Sven Zuhlsdorf).
	+ add xterm+256setaf building block for various terminals which only
	  get the 256-color feature half-implemented -TD
	+ updated "st" entry (leaving the 0.1.1 version as "simpleterm") to
	  0.4.1 -TD

20140323
	+ fix typo in "mlterm" entry (report by Gabriele Balducci) -TD

20140322
	+ use types from <stdint.h> in sample build-scripts for chtype, etc.
	+ modify configure script and curses.h.in to allow the types specified
	  using --with-chtype and related options to be defined in <stdint.h>
	+ add terminology entry -TD
	+ add mlterm3 entry, use that as "mlterm" -TD
	+ inherit mlterm-256color from mlterm -TD

20140315
	+ modify _nc_New_TopRow_and_CurrentItem() to ensure that the menu's
	  top-row is adjusted as needed to ensure that the current item is
	  on the screen (patch by Johann Klammer).
	+ add wgetdelay() to retrieve _delay member of WINDOW if it happens to
	  be opaque, e.g., in the pthread configuration (prompted by patch by
	  Soren Brinkmann).

20140308
	+ modify ifdef in read_entry.c to handle the case where
	  NCURSES_USE_DATABASE is not defined (patch by Xin Li).
	+ add cast in form_driver_w() to fix ARM build (patch by Xin Li).
	+ add logic to win_driver.c to save/restore screen contents when not
	  allocating a console-buffer (cf: 20140215).

20140301
	+ clarify error-returns from newwin (report by Ruslan Nabioullin).

20140222
	+ fix some compiler warnings in win_driver.c
	+ updated notes for wsvt25 based on tack and vttest -TD
	+ add teken entry to show actual properties of FreeBSD's "xterm"
	  console -TD

20140215
	+ in-progress changes to win_driver.c to implement output without
	  allocating a console-buffer.  This uses a pre-existing environment
	  variable NCGDB used by Juergen Pfeifer for debugging (prompted by
	  discussion with Erwin Waterlander regarding Console2, which hangs
	  when reading in an allocated console-buffer).
	+ add -t option to gdc.c, and modify to accept "S" to step through the
	  scrolling-stages.
	+ regenerate NCURSES-Programming-HOWTO.html to fix some of the broken
	  html emitted by docbook.

20140209
	+ modify CF_XOPEN_SOURCE macro to omit followup check to determine if
	  _XOPEN_SOURCE can/should be defined.  g++ 4.7.2 built on Solaris 10
	  has some header breakage due to its own predefinition of this symbol
	  (report by Jean-Pierre Flori, Sage #15796).

20140201
	+ add/use symbol NCURSES_PAIRS_T like NCURSES_COLOR_T, to illustrate
	  which "short" types are for color pairs and which are color values.
	+ fix build for s390x, by correcting field bit offsets in generated
	  representation clauses when int=32 long=64 and endian=big, or at
	  least on s390x (patch by Nicolas Boulenguez).
	+ minor cleanup change to test/form_driver_w.c (patch by Gaute Hope).

20140125
	+ remove unnecessary ifdef's in Ada95/gen/gen.c, which reportedly do
	  not work as is with gcc 4.8 due to fixes using chtype cast made for
	  new compiler warnings by gcc 4.8 in 20130824 (Debian #735753, patch
	  by Nicolas Boulenguez).

20140118
	+ apply includesubdir variable which was introduced in 20130805 to
	  gen-pkgconfig.in (Debian #735782).

20131221
	+ further improved man2html, used this to fix broken links in html
	  manpages.  See
	  ftp://ftp.invisible-island.net/ncurses/patches/man2html

20131214
	+ modify configure-script/ifdef's to allow OLD_TTY feature to be
	  suppressed if the type of ospeed is configured using the option
	  --with-ospeed to not be a short.  By default, it is a short for
	  termcap-compatibility (adapted from suggestion by Christian
	  Weisgerber).
	+ correct a typo in _nc_baudrate() (patch by Christian Weisgerber,
	  cf: 20061230).
	+ fix a few -Wlogical-op warnings.
	+ updated llib-l* files.

20131207
	+ add form_driver_w() entrypoint to wide-character forms library, as
	  well as test program form_driver_w (adapted from patch by Gaute
	  Hope).

20131123
	+ minor fix for CF_GCC_WARNINGS to special-case options which are not
	  recognized by clang.

20131116
	+ add special case to configure script to move _XOPEN_SOURCE_EXTENDED
	  definition from CPPFLAGS to CFLAGS if it happens to be needed for
	  Solaris, because g++ errors with that definition (report by
	  Jean-Pierre Flori, Sage #15268).
	+ correct logic in infocmp's -i option which was intended to ignore
	  strings which correspond to function-keys as candidates for piecing
	  together initialization- or reset-strings.  The problem dates to
	  1.9.7a, but was overlooked until changes in -Wlogical-op warnings for
	  gcc 4.8 (report by David Binderman).
	+ updated CF_GCC_WARNINGS to documented options for gcc 4.9.0, moving
	  checks for -Wextra and -Wdeclaration-after-statement into the macro,
	  and adding checks for -Wignored-qualifiers, -Wlogical-op and
	  -Wvarargs
	+ updated CF_CURSES_UNCTRL_H and CF_SHARED_OPTS macros from ongoing
	  work on cdk.
	+ update config.sub from
		http://git.savannah.gnu.org/cgit/config.git

20131110
	+ minor cleanup of terminfo.tail

20131102
	+ use TS extension to describe xterm's title-escapes -TD
	+ modify terminator and nsterm-s to use xterm+sl-twm building block -TD
	+ update hurd.ti, add xenl to reflect 2011-03-06 change in
	  http://git.savannah.gnu.org/cgit/hurd/hurd.git/log/console/display.c
	  (Debian #727119).
	+ simplify pfkey expression in ansi.sys -TD

20131027
	+ correct/simplify ifdef's for cur_term versus broken-linker and
	  reentrant options (report by Jean-Pierre Flori, cf: 20090530).
	+ modify release/version combinations in test build-scripts to make
	  them more consistent with other packages.

20131019
	+ add nc_mingw.h to installed headers for MinGW port; needed for
	  compiling ncurses-examples.
	+ add rpm-script for testing cross-compile of ncurses-examples.

20131014
	+ fix new typo in CF_ADA_INCLUDE_DIRS macro (report by Roumen Petrov).

20131012
	+ fix a few compiler warnings in progs and test.
	+ minor fix to package/debian-mingw/rules, do not strip dll's.
	+ minor fixes to configure script for empty $prefix, e.g., when doing
	  cross-compiles to MinGW.
	+ add script for building test-packages of binaries cross-compiled to
	  MinGW using NSIS.

20131005
	+ minor fixes for ncurses-example package and makefile.
	+ add scripts for test-builds of cross-compiler packages for ncurses6
	  to MinGW.

20130928
	+ some build-fixes for ncurses-examples with NetBSD-6.0 curses, though
	  it lacks some common functions such as use_env() which is not yet
	  addressed.
	+ build-fix and some compiler warning fixes for ncurses-examples with
	  OpenBSD 5.3
	+ fix a possible null-pointer reference in a trace message from newterm.
	+ quiet a few warnings from NetBSD 6.0 namespace pollution by
	  nonstandard popcount() function in standard strings.h header.
	+ ignore g++ 4.2.1 warnings for "-Weffc++" in c++/cursesmain.cc
	+ fix a few overlooked places for --enable-string-hacks option.

20130921
	+ fix typo in curs_attr.3x (patch by Sven Joachim, cf: 20130831).
	+ build-fix for --with-shared option for DragonFly and FreeBSD (report
	  by Rong-En Fan, cf: 20130727).

20130907
	+ build-fixes for MSYS for two test-programs (patches by Ray Donnelly,
	  Alexey Pavlov).
	+ revert change to two of the dpkg format files, to work with dpkg
	  before/after Debian #700177.
	+ fix gcc -Wconversion warning in wattr_get() macro.
	+ add msys and msysdll to known host/configuration types (patch by
	  Alexey Pavlov).
	+ modify CF_RPATH_HACK configure macro to not rely upon "-u" option
	  of sort, improving portability.
	+ minor improvements for test-programs from reviewing Solaris port.
	+ update config.guess, config.sub from
		http://git.savannah.gnu.org/cgit/config.git

20130831
	+ modify test/ncurses.c b/B tests to display lines only for the
	  attributes which a given terminal supports, to make room for an
	  italics test.
	+ completed ncv table in terminfo.tail; it did not list the wide
	  character codes listed in X/Open Curses issue 7.
	+ add A_ITALIC extension (prompted by discussion with Egmont Koblinger).

20130824
	+ fix some gcc 4.8 -Wconversion warnings.
	+ change format of dpkg test-scripts to quilted to work around bug
	  introduced by Debian #700177.
	+ discard cached keyname() values if meta() is changed after a value
	  was cached using (report by Kurban Mallachiev).

20130816
	+ add checks in tic to warn about terminals which lack cursor
	  addressing, capabilities or having those, are marked as hard_copy or
	  generic_type.
	+ use --without-progs in mingw-ncurses rpm.
	+ split out _nc_init_termtype() from alloc_entry.c to use in MinGW
	  port when tic and other programs are not needed.

20130805
	+ minor fixes to the --disable-overwrite logic, to ensure that the
	  configured $(includedir) is not cancelled by the mingwxx-filesystem
	  rpm macros.
	+ add --disable-db-install configure option, to simplify building
	  cross-compile support packages.
	+ add mingw-ncurses.spec file, for testing cross-compiles.

20130727
	+ improve configure macros from ongoing work on cdk, dialog, xterm:
	  + CF_ADD_LIB_AFTER - fix a problem with -Wl options
	  + CF_RPATH_HACK - add missing result-message
	  + CF_SHARED_OPTS - modify to use $rel_builddir in cygwin and mingw
	    dll symbols (which can be overridden) rather than explicit "../".
	  + CF_SHARED_OPTS - modify NetBSD and DragonFly symbols to use ${CC}
	    rather than ${LD} to improve rpath support.
	  + CF_SHARED_OPTS - add a symbol to denote the temporary files that
	    are created by the macro, to simplify clean-rules.
	  + CF_X_ATHENA - trim extra libraries to work with -Wl,--as-needed
	+ fix a regression in hashed-database support for NetBSD, which uses
	  the key-size differently from other implementations (cf: 20121229).

20130720
	+ further improvements for setupterm manpage, clarifying the
	  initialization of cur_term.

20130713
	+ improve manpages for initscr and setupterm.
	+ minor compiler-warning fixes

20130706
	+ add fallback defs for <inttypes.h> and <stdint.h> (cf: 20120225).
	+ add check for size of wchar_t, use that to suppress a chunk of
	  wcwidth.h in MinGW port.
	+ quiet linker warnings for MinGW cross-compile with dll's using the
	  --enable-auto-import flag.
	+ add ncurses.map rule to ncurses/Makefile to help diagnose symbol
	  table issues.

20130622
	+ modify the clear program to take into account the E3 extended
	  capability to clear the terminal's scrollback buffer (patch by
	  Miroslav Lichvar, Redhat #815790).
	+ clarify in resizeterm manpage that LINES and COLS are updated.
	+ updated ansi example in terminfo.tail, correct misordered example
	  of sgr.
	+ fix other doclifter warnings for manpages
	+ remove unnecessary ".ta" in terminfo.tail, add missing ".fi"
	  (patch by Eric Raymond).

20130615
	+ minor changes to some configure macros to make them more reusable.
	+ fixes for tabs program (prompted by report by Nick Andrik).
	  + corrected logic in command-line parsing of -a and -c predefined
	    tab-lists options.
	  + allow "-0" and "-8" options to be combined with others, e.g.,"-0d".
	  + make warning messages more consistent with the other utilities by
	    not printing the full pathname of the program.
	  + add -V option for consistency with other utilities.
	+ fix off-by-one in columns for tabs program when processing an option
	  such as "-5" (patch by Nick Andrik).

20130608
	+ add to test/demo_forms.c examples of using the menu-hooks as well
	  as showing how the menu item user-data can be used to pass a callback
	  function pointer.
	+ add test/dots_termcap.c
	+ remove setupterm call from test/demo_termcap.c
	+ build-fix if --disable-ext-funcs configure option is used.
	+ modified test/edit_field.c and test/demo_forms.c to move the lengths
	  into a user-data structure, keeping the original string for later
	  expansion to free-format input/out demo.
	+ modified test/demo_forms.c to load data from file.
	+ added note to clarify Terminal.app's non-emulation of the various
	  terminal types listed in the preferences dialog -TD
	+ fix regression in error-reporting in lib_setup.c (Debian #711134,
	  cf: 20121117).
	+ build-fix for a case where --enable-broken_linker and
	  --enable-reentrant options are combined (report by George R Goffe).

20130525
	+ modify mvcur() to distinguish between internal use by the ncurses
	  library, and external callers, preventing it from reading the content
	  of the screen which is only nonblank when curses calls have updated
	  it.  This makes test/dots_mvcur.c avoid painting colored cells in
	  the left margin of the display.
	+ minor fix to test/dots_mvcur.c
	+ move configured symbols USE_DATABASE and USE_TERMCAP to term.h as
	  NCURSES_USE_DATABASE and NCURSES_USE_TERMCAP to allow consistent
	  use of these symbols in term_entry.h

20130518
	+ corrected ifdefs in test/testcurs.c to allow comparison of mouse
	  interface versus pdcurses (cf: 20130316).
	+ add pow() to configure-check for math library, needed since
	  20121208 for test/hanoi (Debian #708056).
	+ regenerated html manpages.
	+ update doctype used for html documentation.

20130511
	+ move nsterm-related entries out of "obsolete" section to more
	  plausible "ansi consoles" -TD
	+ additional cleanup of table-of-contents by reordering -TD
	+ revise fix for check for 8-bit value in _nc_insert_ch(); prior fix
	  prevented inserts when video attributes were attached to the data
	  (cf: 20121215) (Redhat #959534).

20130504
	+ fixes for issues found by Coverity:
	  + correct FNKEY() macro in progs/dump_entry.c, allowing kf11-kf63 to
	    display when infocmp's -R option is used for HP or AIX subsets.
	  + fix dead-code issue with test/movewindow.c
	  + improve limited-checking in _nc_read_termtype().

20130427
	+ fix clang 3.2 warning in progs/dump_entry.c
	+ drop AC_TYPE_SIGNAL check; ncurses relies on c89 and later.

20130413
	+ add MinGW to cases where ncurses installs by default into /usr
	  (prompted by discussion with Daniel Silva Ferreira).
	+ add -D option to infocmp's usage-message (patch by Miroslav Lichvar).
	+ add a missing 'int' type for main function in configure check for
	  type of bool variable, to work with clang 3.2 (report by Dmitri
	  Gribenko).
	+ improve configure check for static_cast, to work with clang 3.2
	  (report by Dmitri Gribenko).
	+ re-order rule for demo.o and macros defining header dependencies in
	  c++/Makefile.in to accommodate gmake (report by Dmitri Gribenko).

20130406
	+ improve parameter checking in copywin().
	+ modify configure script to work around OS X's "libtool" program, to
	  choose glibtool instead.  At the same time, chance the autoconf macro
	  to look for a "tool" rather than a "prog", to help with potential use
	  in cross-compiling.
	+ separate the rpath usage for c++ library from demo program
	  (Redhat #911540)
	+ update/correct header-dependencies in c++ makefile (report by Werner
	  Fink).
	+ add --with-cxx-shared to dpkg-script, as done for rpm-script.

20130324
	+ build-fix for libtool configuration (reports by Daniel Silva Ferreira
	  and Roumen Petrov).

20130323
	+ build-fix for OS X, to handle changes for --with-cxx-shared feature
	  (report by Christian Ebert).
	+ change initialization for vt220, similar entries for consistency
	  with cursor-key strings (NetBSD #47674) -TD
	+ further improvements to linux-16color (Benjamin Sittler)

20130316
	+ additional fix for tic.c, to allocate missing buffer space.
	+ eliminate configure-script warnings for gen-pkgconfig.in
	+ correct typo in sgr string for sun-color,
	  add bold for consistency with sgr,
	  change smso for consistency with sgr -TD
	+ correct typo in sgr string for terminator -TD
	+ add blink to the attributes masked by ncv in linux-16color (report
	  by Benjamin Sittler)
	+ improve warning message from post-load checking for missing "%?"
	  operator by tic/infocmp by showing the entry name and capability.
	+ minor formatting improvement to tic/infocmp -f option to ensure
	  line split after "%;".
	+ amend scripting for --with-cxx-shared option to handle the debug
	  library "libncurses++_g.a" (report by Sven Joachim).

20130309
	+ amend change to toe.c for reading from /dev/zero, to ensure that
	  there is a buffer for the temporary filename (cf: 20120324).
	+ regenerated html manpages.
	+ fix typo in terminfo.head (report by Sven Joachim, cf: 20130302).
	+ updated some autoconf macros:
	  + CF_ACVERSION_CHECK, from byacc 1.9 20130304
	  + CF_INTEL_COMPILER, CF_XOPEN_SOURCE from luit 2.0-20130217
	+ add configure option --with-cxx-shared to permit building
	  libncurses++ as a shared library when using g++, e.g., the same
	  limitations as libtool but better integrated with the usual build
	  configuration (Redhat #911540).
	+ modify MKkey_defs.sh to filter out build-path which was unnecessarily
	  shown in curses.h (Debian #689131).

20130302
	+ add section to terminfo manpage discussing user-defined capabilities.
	+ update manpage description of NCURSES_NO_SETBUF, explaining why it
	  is obsolete.
	+ add a check in waddch_nosync() to ensure that tab characters are
	  treated as control characters; some broken locales claim they are
	  printable.
	+ add some traces to the Windows console driver.
	+ initialize a temporary array in _nc_mbtowc, needed for some cases
	  of raw input in MinGW port.

20130218
	+ correct ifdef on change to lib_twait.c (report by  Werner Fink).
	+ update config.guess, config.sub

20130216
	+ modify test/testcurs.c to work with mouse for ncurses as it does for
	  pdcurses.
	+ modify test/knight.c to work with mouse for pdcurses as it does for
	  ncurses.
	+ modify internal recursion in wgetch() which handles cooked mode to
	  check if the call to wgetnstr() returned an error.  This can happen
	  when both nocbreak() and nodelay() are set, for instance (report by
	  Nils Christopher Brause) (cf: 960418).
	+ fixes for issues found by Coverity:
	  + add a check for valid position in ClearToEOS()
	  + fix in lib_twait.c when --enable-wgetch-events is used, pointer
	    use after free.
	  + improve a limit-check in make_hash.c
	  + fix a memory leak in hashed_db.c

20130209
	+ modify test/configure script to make it simpler to override names
	  of curses-related libraries, to help with linking with pdcurses in
	  MinGW environment.
	+ if the --with-terminfo-dirs configure option is not used, there is
	  no corresponding compiled-in value for that.  Fill in "no default
	  value" for that part of the manpage substitution.

20130202
	+ correct initialization in knight.c which let it occasionally make
	  an incorrect move (cf: 20001028).
	+ improve documentation of the terminfo/termcap search path.

20130126
	+ further fixes to mvcur to pass callback function (cf: 20130112),
	  needed to make test/dots_mvcur work.
	+ reduce calls to SetConsoleActiveScreenBuffer in win_driver.c, to
	  help reduce flicker.
	+ modify configure script to omit "+b" from linker options for very
	  old HP-UX systems (report by Dennis Grevenstein)
	+ add HP-UX workaround for missing EILSEQ on old HP-UX systems (patch
	  by Dennis Grevenstein).
	+ restore memmove/strdup support for antique systems (request by
	  Dennis Grevenstein).
	+ change %l behavior in tparm to push the string length onto the stack
	  rather than saving the formatted length into the output buffer
	  (report by Roy Marples, cf: 980620).

20130119
	+ fixes for issues found by Coverity:
	  + fix memory leak in safe_sprintf.c
	  + add check for return-value in tty_update.c
	  + correct initialization for -s option in test/view.c
	  + add check for numeric overflow in lib_instr.c
	  + improve error-checking in copywin
	+ add advice in infocmp manpage for termcap users (Debian #698469).
	+ add "-y" option to test/demo_termcap and test/demo_terminfo to
	  demonstrate behavior with/without extended capabilities.
	+ updated termcap manpage to document legacy termcap behavior for
	  matching capability names.
	+ modify name-comparison for tgetstr, etc., to accommodate legacy
	  applications as well as to improve compatibility with BSD 4.2
	  termcap implementations (Debian #698299) (cf: 980725).

20130112
	+ correct prototype in manpage for vid_puts.
	+ drop ncurses/tty/tty_display.h, ncurses/tty/tty_input.h, since they
	  are unused in the current driver model.
	+ modify mvcur to use stdout except when called within the ncurses
	  library.
	+ modify vidattr and vid_attr to use stdout as documented in manpage.
	+ amend changes made to buffering in 20120825 so that the low-level
	  putp() call uses stdout rather than ncurses' internal buffering.
	  The putp_sp() call does the same, for consistency (Redhat #892674).

20130105
	+ add "-s" option to test/view.c to allow it to start in single-step
	  mode, reducing size of trace files when it is used for debugging
	  MinGW changes.
	+ revert part of 20121222 change to tinfo_driver.c
	+ add experimental logic in win_driver.c to improve optimization of
	  screen updates.  This does not yet work with double-width characters,
	  so it is ifdef'd out for the moment (prompted by report by Erwin
	  Waterlander regarding screen flicker).

20121229
	+ fix Coverity warnings regarding copying into fixed-size buffers.
	+ add throw-declarations in the c++ binding per Coverity warning.
	+ minor changes to new-items for consistent reference to bug-report
	  numbers.

20121222
	+ add *.dSYM directories to clean-rule in ncurses directory makefile,
	  for Mac OS builds.
	+ add a configure check for gcc option -no-cpp-precomp, which is not
	  available in all Mac OS X configurations (report by Andras Salamon,
	  cf: 20011208).
	+ improve 20021221 workaround for broken acs, handling a case where
	  that ACS_xxx character is not in the acsc string but there is a known
	  wide-character which can be used.

20121215
	+ fix several warnings from clang 3.1 --analyze, includes correcting
	  a null-pointer check in _nc_mvcur_resume.
	+ correct display of double-width characters with MinGW port (report
	  by Erwin Waterlander).
	+ replace MinGW's wcrtomb(), fixing a problem with _nc_viscbuf
	> fixes based on Coverity report:
	+ correct coloring in test/bs.c
	+ correct check for 8-bit value in _nc_insert_ch().
	+ remove dead code in progs/tset.c, test/linedata.h
	+ add null-pointer checks in lib_tracemse.c, panel.priv.h, and some
	  test-programs.

20121208
	+ modify test/knight.c to show the number of choices possible for
	  each position in automove option, e.g., to allow user to follow
	  Warnsdorff's rule to solve the puzzle.
	+ modify test/hanoi.c to show the minimum number of moves possible for
	  the given number of tiles (prompted by patch by Lucas Gioia).
	> fixes based on Coverity report:
	+ remove a few redundant checks.
	+ correct logic in test/bs.c, when randomly placing a specific type of
	  ship.
	+ check return value from remove/unlink in tic.
	+ check return value from sscanf in test/ncurses.c
	+ fix a null dereference in c++/cursesw.cc
	+ fix two instances of uninitialized variables when configuring for the
	  terminal driver.
	+ correct scope of variable used in SetSafeOutcWrapper macro.
	+ set umask when calling mkstemp in tic.
	+ initialize wbkgrndset() temporary variable when extended-colors are
	  used.

20121201
	+ also replace MinGW's wctomb(), fixing a problem with setcchar().
	+ modify test/view.c to load UTF-8 when built with MinGW by using
	  regular win32 API because the MinGW functions mblen() and mbtowc()
	  do not work.

20121124
	+ correct order of color initialization versus display in some of the
	  test-programs, e.g., test_addstr.c
	> fixes based on Coverity report:
	+ delete windows on exit from some of the test-programs.

20121117
	> fixes based on Coverity report:
	+ add missing braces around FreeAndNull in two places.
	+ various fixes in test/ncurses.c
	+ improve limit-checks in tinfo/make_hash.c, tinfo/read_entry.c
	+ correct malloc size in progs/infocmp.c
	+ guard against negative array indices in test/knight.c
	+ fix off-by-one limit check in test/color_name.h
	+ add null-pointer check in progs/tabs.c, test/bs.c, test/demo_forms.c,
	  test/inchs.c
	+ fix memory-leak in tinfo/lib_setup.c, progs/toe.c,
	  test/clip_printw.c, test/demo_menus.c
	+ delete unused windows in test/chgat.c, test/clip_printw.c,
	  test/insdelln.c, test/newdemo.c on error-return.

20121110
	+ modify configure macro CF_INCLUDE_DIRS to put $CPPFLAGS after the
	  local -I include options in case someone has set conflicting -I
	  options in $CPPFLAGS (prompted by patch for ncurses/Makefile.in by
	  Vassili Courzakis).
	+ modify the ncurses*-config scripts to eliminate relative paths from
	  the RPATH_LIST variable, e.g., "../lib" as used in installing shared
	  libraries or executables.

20121102
	+ realign these related pages:
	    curs_add_wchstr.3x
	    curs_addchstr.3x
	    curs_addstr.3x
	    curs_addwstr.3x
	  and fix a long-ago error in curs_addstr.3x which said that a -1
	  length parameter would only write as much as fit onto one line
	  (report by Reuben Thomas).
	+ remove obsolete fallback _nc_memmove() for memmove()/bcopy().
	+ remove obsolete fallback _nc_strdup() for strdup().
	+ cancel any debug-rpm in package/ncurses.spec
	+ reviewed vte-2012, reverted most of the change since it was incorrect
	  based on testing with tack -TD
	+ un-cancel the initc in vte-256color, since this was implemented
	  starting with version 0.20 in 2009 -TD

20121026
	+ improve malloc/realloc checking (prompted by discussion in Redhat
	  #866989).
	+ add ncurses test-program as "ncurses6" to the rpm- and dpkg-scripts.
	+ updated configure macros CF_GCC_VERSION and CF_WITH_PATHLIST.  The
	  first corrects pattern used for Mac OS X's customization of gcc.

20121017
	+ fix change to _nc_scroll_optimize(), which incorrectly freed memory
	  (Redhat #866989).

20121013
	+ add vte-2012, gnome-2012, making these the defaults for vte/gnome
	  (patch by Christian Persch).

20121006
	+ improve CF_GCC_VERSION to work around Debian's customization of gcc
	  --version message.
	+ improve configure macros as done in byacc:
	  + drop 2.13 compatibility; use 2.52.xxxx version only since EMX port
	    has used that for a while.
	  + add 3rd parameter to AC_DEFINE's to allow autoheader to run, i.e.,
	    for experimental use.
	  + remove unused configure macros.
	+ modify configure script and makefiles to quiet new autoconf warning
	  for LIBS_TO_MAKE variable.
	+ modify configure script to show $PATH_SEPARATOR variable.
	+ update config.guess, config.sub

20120922
	+ modify setupterm to set its copy of TERM to "unknown" if configured
	  for the terminal driver and TERM was null or empty.
	+ modify treatment of TERM variable for MinGW port to allow explicit
	  use of the windows console driver by checking if $TERM is set to
	  "#win32con" or an abbreviation of that.
	+ undo recent change to fallback definition of vsscanf() to build with
	  older Solaris compilers (cf: 20120728).

20120908
	+ add test-screens to test/ncurses to show 256-characters at a time,
	  to help with MinGW port.

20120903
	+ simplify varargs logic in lib_printw.c; va_copy is no longer needed
	  there.
	+ modifications for MinGW port to make wide-character display usable.

20120902
	+ regenerate configure script (report by Sven Joachim, cf: 20120901).

20120901
	+ add a null-pointer check in _nc_flush (cf: 20120825).
	+ fix a case in _nc_scroll_optimize() where the _oldnums_list array
	  might not be allocated.
	+ improve comparisons in configure.in for unset shell variables.

20120826
	+ increase size of ncurses' output-buffer, in case of very small
	  initial screen-sizes.
	+ fix evaluation of TERMINFO and TERMINFO_DIRS default values as needed
	  after changes to use --datarootdir (reports by Gabriele Balducci,
	  Roumen Petrov).

20120825
	+ change output buffering scheme, using buffer maintained by ncurses
	  rather than stdio, to avoid problems with SIGTSTP handling (report
	  by Brian Bloniarz).

20120811
	+ update autoconf patch to 2.52.20120811, adding --datarootdir
	  (prompted by discussion with Erwin Waterlander).
	+ improve description of --enable-reentrant option in README and the
	  INSTALL file.
	+ add nsterm-256color, make this the default nsterm -TD
	+ remove bw from nsterm-bce, per testing with tack -TD

20120804
	+ update test/configure, adding check for tinfo library.
	+ improve limit-checks for the getch fifo (report by Werner Fink).
	+ fix a remaining mismatch between $with_echo and the symbols updated
	  for CF_DISABLE_ECHO affecting parameters for mk-2nd.awk (report by
	  Sven Joachim, cf:  20120317).
	+ modify followup check for pkg-config's library directory in the
	  --enable-pc-files option to validate syntax (report by Sven Joachim,
	  cf: 20110716).

20120728
	+ correct path for ncurses_mingw.h in include/headers, in case build
	  is done outside source-tree (patch by Roumen Petrov).
	+ modify some older xterm entries to align with xterm source -TD
	+ separate "xterm-old" alias from "xterm-r6" -TD
	+ add E3 extended capability to xterm-basic and putty -TD
	+ parenthesize parameters of other macros in curses.h -TD
	+ parenthesize parameter of COLOR_PAIR and PAIR_NUMBER in curses.h
	  in case it happens to be a comma-expression, etc.  (patch by Nick
	  Black).

20120721
	+ improved form_request_by_name() and menu_request_by_name().
	+ eliminate two fixed-size buffers in toe.c
	+ extend use_tioctl() to have expected behavior when use_env(FALSE) and
	  use_tioctl(TRUE) are called.
	+ modify ncurses test-program, adding -E and -T options to demonstrate
	  use_env() versus use_tioctl().

20120714
	+ add use_tioctl() function (adapted from patch by Werner Fink,
	  Novell #769788):

20120707
	+ add ncurses_mingw.h to installed headers (prompted by patch by
	  Juergen Pfeifer).
	+ clarify return-codes from wgetch() in response to SIGWINCH (prompted
	  by Novell #769788).
	+ modify resizeterm() to always push a KEY_RESIZE onto the fifo, even
	  if screensize is unchanged.  Modify _nc_update_screensize() to push a
	  KEY_RESIZE if there was a SIGWINCH, even if it does not call
	  resizeterm().  These changes eliminate the case where a SIGWINCH is
	  received, but ERR returned from wgetch or wgetnstr because the screen
	  dimensions did not change (Novell #769788).

20120630
	+ add --enable-interop to sample package scripts (suggested by Juergen
	  Pfeifer).
	+ update CF_PATH_SYNTAX macro, from mawk changes.
	+ modify mk-0th.awk to allow for generating llib-ltic, etc., though
	  some work is needed on cproto to work with lib_gen.c to update
	  llib-lncurses.
	+ remove redundant getenv() cal in database-iterator leftover from
	  cleanup in 20120622 changes (report by Sven Joachim).

20120622
	+ add -d, -e and -q options to test/demo_terminfo and test/demo_termcap
	+ fix caching of environment variables in database-iterator (patch by
	  Philippe Troin, Redhat #831366).

20120616
	+ add configure check to distinguish clang from gcc to eliminate
	  warnings about unused command-line parameters when compiler warnings
	  are enabled.
	+ improve behavior when updating terminfo entries which are hardlinked
	  by allowing for the possibility that an alias has been repurposed to
	  a new primary name.
	+ fix some strict compiler warnings based on package scripts.
	+ further fixes for configure check for working poll (Debian #676461).

20120608
	+ fix an uninitialized variable in -c/-n logic for infocmp changes
	  (cf: 20120526).
	+ corrected fix for building c++ binding with clang 3.0 (report/patch
	  by Richard Yao, Gentoo #417613, cf: 20110409)
	+ correct configure check for working poll, fixing the case where stdin
	  is redirected, e.g., in rpm/dpkg builds (Debian #676461).
	+ add rpm- and dpkg-scripts, to test those build-environments.
	  The resulting packages are used only for testing.

20120602
	+ add kdch1 aka "Remove" to vt220 and vt220-8 entries -TD
	+ add kdch1, etc., to qvt108 -TD
	+ add dl1/il1 to some entries based on dl/il values -TD
	+ add dl to simpleterm -TD
	+ add consistency-checks in tic for insert-line vs delete-line
	  controls, and insert/delete-char keys
	+ correct no-leaks logic in infocmp when doing comparisons, fixing
	  duplicate free of entries given via the command-line, and freeing
	  entries loaded from the last-but-one of files specified on the
	  command-line.
	+ add kdch1 to wsvt25 entry from NetBSD CVS (reported by David Lord,
	  analysis by Martin Husemann).
	+ add cnorm/civis to wsvt25 entry from NetBSD CVS (report/analysis by
	  Onno van der Linden).

20120526
	+ extend -c and -n options of infocmp to allow comparing more than two
	  entries.
	+ correct check in infocmp for number of terminal names when more than
	  two are given.
	+ correct typo in curs_threads.3x (report by Yanhui Shen on
	  freebsd-hackers mailing list).

20120512
	+ corrected 'op' for bterm (report by Samuel Thibault) -TD
	+ modify test/background.c to demonstrate a background character
	  holding a colored ACS_HLINE.  The behavior differs from SVr4 due to
	  the thick- and double-line extension (cf: 20091003).
	+ modify handling of acs characters in PutAttrChar to avoid mapping an
	  unmapped character to a space with A_ALTCHARSET set.
	+ rewrite vt520 entry based on vt420 -TD

20120505
	+ remove p6 (bold) from opus3n1+ for consistency -TD
	+ remove acs stuff from env230 per clues in Ingres termcap -TD
	+ modify env230 sgr/sgr0 to match other capabilities -TD
	+ modify smacs/rmacs in bq300-8 to match sgr/sgr0 -TD
	+ make sgr for dku7202 agree with other caps -TD
	+ make sgr for ibmpc agree with other caps -TD
	+ make sgr for tek4107 agree with other caps -TD
	+ make sgr for ndr9500 agree with other caps -TD
	+ make sgr for sco-ansi agree with other caps -TD
	+ make sgr for d410 agree with other caps -TD
	+ make sgr for d210 agree with other caps -TD
	+ make sgr for d470c, d470c-7b agree with other caps -TD
	+ remove redundant AC_DEFINE for NDEBUG versus Makefile definition.
	+ fix a back-link in _nc_delink_entry(), which is needed if ncurses is
	  configured with --enable-termcap and --disable-getcap.

20120428
	+ fix some inconsistencies between vt320/vt420, e.g., cnorm/civis -TD
	+ add eslok flag to dec+sl -TD
	+ dec+sl applies to vt320 and up -TD
	+ drop wsl width from xterm+sl -TD
	+ reuse xterm+sl in putty and nsca-m -TD
	+ add ansi+tabs to vt520 -TD
	+ add ansi+enq to vt220-vt520 -TD
	+ fix a compiler warning in example in ncurses-intro.doc (Paul Waring).
	+ added paragraph in keyname manpage telling how extended capabilities
	  are interpreted as key definitions.
	+ modify tic's check of conflicting key definitions to include extended
	  capability strings in addition to the existing check on predefined
	  keys.

20120421
	+ improve cleanup of temporary files in tic using atexit().
	+ add msgr to vt420, similar DEC vtXXX entries -TD
	+ add several missing vt420 capabilities from vt220 -TD
	+ factor out ansi+pp from several entries -TD
	+ change xterm+sl and xterm+sl-twm to include only the status-line
	  capabilities and not "use=xterm", making them more generally useful
	  as building-blocks -TD
	+ add dec+sl building block, as example -TD

20120414
	+ add XT to some terminfo entries to improve usefulness for other
	  applications than screen, which would like to pretend that xterm's
	  title is a status-line.  -TD
	+ change use-clauses in ansi-mtabs, hp2626, and hp2622 based on review
	  of ordering and overrides -TD
	+ add consistency check in tic for screen's "XT" capability.
	+ add section in terminfo.src summarizing the user-defined capabilities
	  used in that file -TD

20120407
	+ fix an inconsistency between tic/infocmp "-x" option; tic omits all
	  non-standard capabilities, while infocmp was ignoring only the user
	  definable capabilities.
	+ improve special case in tic parsing of description to allow it to be
	  followed by terminfo capabilities.  Previously the description had to
	  be the last field on an input line to allow tic to distinguish
	  between termcap and terminfo format while still allowing commas to be
	  embedded in the description.
	+ correct variable name in gen_edit.sh which broke configurability of
	  the --with-xterm-kbs option.
	+ revert 2011-07-16 change to "linux" alias, return to "linux2.2" -TD
	+ further amend 20110910 change, providing for configure-script
	  override of the "linux" terminfo entry to install and changing the
	  default for that to "linux2.2" (Debian #665959).

20120331
	+ update Ada95/configure to use CF_DISABLE_ECHO (cf: 20120317).
	+ correct order of use-clauses in st-256color -TD
	+ modify configure script to look for gnatgcc if the Ada95 binding
	  is built, in preference to the default gcc/cc (suggested by
	  Nicolas Boulenguez).
	+ modify configure script to ensure that the same -On option used for
	  the C compiler in CFLAGS is used for ADAFLAGS rather than simply
	  using "-O3" (suggested by Nicolas Boulenguez)

20120324
	+ amend an old fix so that next_char() exits properly for empty files,
	  e.g., from reading /dev/null (cf: 20080804).
	+ modify tic so that it can read from the standard input, or from
	  a character device.  Because tic uses seek's, this requires writing
	  the data to a temporary file first (prompted by remark by Sven
	  Joachim) (cf: 20000923).

20120317
	+ correct a check made in lib_napms.c, so that terminfo applications
	  can again use napms() (cf: 20110604).
	+ add a note in tic.h regarding required casts for ABSENT_BOOLEAN
	  (cf: 20040327).
	+ correct scripting for --disable-echo option in test/configure.
	+ amend check for missing c++ compiler to work when no error is
	  reported, and no variables set (cf: 20021206).
	+ add/use configure macro CF_DISABLE_ECHO.

20120310
	+ fix some strict compiler warnings for abi6 and 64-bits.
	+ use begin_va_copy/end_va_copy macros in lib_printw.c (cf: 20120303).
	+ improve a limit-check in infocmp.c (Werner Fink):

20120303
	+ minor tidying of terminfo.tail, clarify reason for limitation
	  regarding mapping of \0 to \200
	+ minor improvement to _nc_copy_termtype(), using memcpy to replace
	  loops.
	+ fix no-leaks checking in test/demo_termcap.c to account for multiple
	  calls to setupterm().
	+ modified the libgpm change to show previous load as a problem in the
	  debug-trace.
	> merge some patches from OpenSUSE rpm (Werner Fink):
	+ ncurses-5.7-printw.dif, fixes for varargs handling in lib_printw.c
	+ ncurses-5.7-gpm.dif, do not dlopen libgpm if already loaded by
	  runtime linker
	+ ncurses-5.6-fallback.dif, do not free arrays and strings from static
	  fallback entries

20120228
	+ fix breakage in tic/infocmp from 20120225 (report by Werner Fink).

20120225
	+ modify configure script to allow creating dll's for MinGW when
	  cross-compiling.
	+ add --enable-string-hacks option to control whether strlcat and
	  strlcpy may be used.  The same issue applies to OpenBSD's warnings
	  about snprintf, noting that this function is weakly standardized.
	+ add configure checks for strlcat, strlcpy and snprintf, to help
	  reduce bogus warnings with OpenBSD builds.
	+ build-fix for OpenBSD 4.9 to supply consistent intptr_t declaration
	  (cf:20111231)
	+ update config.guess, config.sub

20120218
	+ correct CF_ETIP_DEFINES configure macro, making it exit properly on
	  the first success (patch by Pierre Labastie).
	+ improve configure macro CF_MKSTEMP by moving existence-check for
	  mkstemp out of the AC_TRY_RUN, to help with cross-compiles.
	+ improve configure macro CF_FUNC_POLL from luit changes to detect
	  broken implementations, e.g., with Mac OS X.
	+ add configure option --with-tparm-arg
	+ build-fix for MinGW cross-compiling, so that make_hash does not
	  depend on TTY definition (cf: 20111008).

20120211
	+ make sgr for xterm-pcolor agree with other caps -TD
	+ make sgr for att5425 agree with other caps -TD
	+ make sgr for att630 agree with other caps -TD
	+ make sgr for linux entries agree with other caps -TD
	+ make sgr for tvi9065 agree with other caps -TD
	+ make sgr for ncr260vt200an agree with other caps -TD
	+ make sgr for ncr160vt100pp agree with other caps -TD
	+ make sgr for ncr260vt300an agree with other caps -TD
	+ make sgr for aaa-60-dec-rv, aaa+dec agree with other caps -TD
	+ make sgr for cygwin, cygwinDBG agree with other caps -TD
	+ add configure option --with-xterm-kbs to simplify configuration for
	  Linux versus most other systems.

20120204
	+ improved tic -D option, avoid making target directory and provide
	  better diagnostics.

20120128
	+ add mach-gnu (Debian #614316, patch by Samuel Thibault)
	+ add mach-gnu-color, tweaks to mach-gnu terminfo -TD
	+ make sgr for sun-color agree with smso -TD
	+ make sgr for prism9 agree with other caps -TD
	+ make sgr for icl6404 agree with other caps -TD
	+ make sgr for ofcons agree with other caps -TD
	+ make sgr for att5410v1, att4415, att620 agree with other caps -TD
	+ make sgr for aaa-unk, aaa-rv agree with other caps -TD
	+ make sgr for avt-ns agree with other caps -TD
	+ amend fix intended to separate fixups for acsc to allow "tic -cv" to
	  give verbose warnings (cf:  20110730).
	+ modify misc/gen-edit.sh to make the location of the tabset directory
	  consistent with misc/Makefile.in, i.e., using ${datadir}/tabset
	  (Debian #653435, patch by Sven Joachim).

20120121
	+ add --with-lib-prefix option to allow configuring for old/new flavors
	  of OS/2 EMX.
	+ modify check for gnat version to allow for year, as used in FreeBSD
	  port.
	+ modify check_existence() in db_iterator.c to simply check if the
	  path is a directory or file, according to the need.  Checking for
	  directory size also gives no usable result with OS/2 (cf: 20120107).
	+ support OS/2 kLIBC (patch by KO Myung-Hun).

20120114
	+ several improvements to test/movewindow.c (prompted by discussion on
	  Linux Mint forum):
	  + modify movement commands to make them continuous
	  + rewrote the test for mvderwin
	  + rewrote the test for recursive mvwin
	+ split-out reusable CF_WITH_NCURSES_ETC macro in test/configure.in
	+ updated configure macro CF_XOPEN_SOURCE, build-fixes for Mac OS X
	  and OpenBSD.
	+ regenerated html manpages.

20120107
	+ various improvements for MinGW (Juergen Pfeifer):
	  + modify stat() calls to ignore the st_size member
	  + drop mk-dlls.sh script.
	  + change recommended regular expression library.
	  + modify rain.c to allow for threaded configuration.
	  + modify tset.c to allow for case when size-change logic is not used.

20111231
	+ modify toe's report when -a and -s options are combined, to add
	  a column showing which entries belong to a given database.
	+ add -s option to toe, to sort its output.
	+ modify progs/toe.c, simplifying use of db-iterator results to use
	  caching improvements from 20111001 and 20111126.
	+ correct generation of pc-files when ticlib or termlib options are
	  given to rename the corresponding tic- or tinfo-libraries (report
	  by Sven Joachim).

20111224
	+ document a portability issue with tput, i.e., that scripts which work
	  with ncurses may fail in other implementations that do no parameter
	  analysis.
	+ add putty-sco entry -TD

20111217
	+ review/fix places in manpages where --program-prefix configure option
	  was not being used.
	+ add -D option to infocmp, to show the database locations that it
	  could use.
	+ fix build for the special case where term-driver, ticlib and termlib
	  are all enabled.  The terminal driver depends on a few features in
	  the base ncurses library, so tic's dependencies include both ncurses
	  and termlib.
	+ fix build work for term-driver when --enable-wgetch-events option is
	  enabled.
	+ use <stdint.h> types to fix some questionable casts to void*.

20111210
	+ modify configure script to check if thread library provides
	  pthread_mutexattr_settype(), e.g., not provided by Solaris 2.6
	+ modify configure script to suppress check to define _XOPEN_SOURCE
	  for IRIX64, since its header files have a conflict versus
	  _SGI_SOURCE.
	+ modify configure script to add ".pc" files for tic- and
	  tinfo-libraries, which were omitted in recent change (cf: 20111126).
	+ fix inconsistent checks on $PKG_CONFIG variable in configure script.

20111203
	+ modify configure-check for etip.h dependencies, supplying a temporary
	  copy of ncurses_dll.h since it is a generated file (prompted by
	  Debian #646977).
	+ modify CF_CPP_PARAM_INIT "main" function to work with current C++.

20111126
	+ correct database iterator's check for duplicate entries
	  (cf: 20111001).
	+ modify database iterator to ignore $TERMCAP when it is not an
	  absolute pathname.
	+ add -D option to tic, to show the database locations that it could
	  use.
	+ improve description of database locations in tic manpage.
	+ modify the configure script to generate a list of the ".pc" files to
	  generate, rather than deriving the list from the libraries which have
	  been built (patch by Mike Frysinger).
	+ use AC_CHECK_TOOLS in preference to AC_PATH_PROGS when searching for
	  ncurses*-config, e.g., in Ada95/configure and test/configure (adapted
	  from patch by Mike Frysinger).

20111119
	+ remove obsolete/conflicting fallback definition for _POSIX_SOURCE
	  from curses.priv.h, fixing a regression with IRIX64 and Tru64
	  (cf: 20110416)
	+ modify _nc_tic_dir() to ensure that its return-value is nonnull,
	  i.e., the database iterator was not initialized.  This case is needed
	  to when tic is translating to termcap, rather than loading the
	  database (cf:  20111001).

20111112
	+ add pccon entries for OpenBSD console (Alexei Malinin).
	+ build-fix for OpenBSD 4.9 with gcc 4.2.1, setting _XOPEN_SOURCE to
	  600 to work around inconsistent ifdef'ing of wcstof between C and
	  C++ header files.
	+ modify capconvert script to accept more than exact match on "xterm",
	  e.g., the "xterm-*" variants, to exclude from the conversion (patch
	  by Robert Millan).
	+ add -lc_r as alternative for -lpthread, allows build of threaded code
	  in older FreeBSD machines.
	+ build-fix for MirBSD, which fails when either _XOPEN_SOURCE or
	  _POSIX_SOURCE are defined.
	+ fix a typo misc/Makefile.in, used in uninstalling pc-files.

20111030
	+ modify make_db_path() to allow creating "terminfo.db" in the same
	  directory as an existing "terminfo" directory.  This fixes a case
	  where switching between hashed/filesystem databases would cause the
	  new hashed database to be installed in the next best location -
	  root's home directory.
	+ add variable cf_cv_prog_gnat_correct to those passed to
	  config.status, fixing a problem with Ada95 builds (cf: 20111022).
	+ change feature test from _XPG5 to _XOPEN_SOURCE in two places, to
	  accommodate broken implementations for _XPG6.
	+ eliminate usage of NULL symbol from etip.h, to reduce header
	  interdependencies.
	+ add configure check to decide when to add _XOPEN_SOURCE define to
	  compiler options, i.e., for Solaris 10 and later (cf: 20100403).
	  This is a workaround for gcc 4.6, which fails to build the c++
	  binding if that symbol is defined by the application, due to
	  incorrectly combining the corresponding feature test macros
	  (report by Peter Kruse).

20111022
	+ correct logic for discarding mouse events, retaining the partial
	  events used to build up click, double-click, etc, until needed
	  (cf: 20110917).
	+ fix configure script to avoid creating unused Ada95 makefile when
	  gnat does not work.
	+ cleanup width-related gcc 3.4.3 warnings for 64-bit platform, for the
	  internal functions of libncurses.  The external interface of courses
	  uses bool, which still produces these warnings.

20111015
	+ improve description of --disable-tic-depends option to make it
	  clear that it may be useful whether or not the --with-termlib
	  option is also given (report by Sven Joachim).
	+ amend termcap equivalent for set_pglen_inch to use the X/Open
	  "YI" rather than the obsolete Solaris 2.5 "sL" (cf: 990109).
	+ improve manpage for tgetent differences from termcap library.

20111008
	+ moved static data from db_iterator.c to lib_data.c
	+ modify db_iterator.c for memory-leak checking, fix one leak.
	+ modify misc/gen-pkgconfig.in to use Requires.private for the parts
	  of ncurses rather than Requires, as well as Libs.private for the
	  other library dependencies (prompted by Debian #644728).

20111001
	+ modify tic "-K" option to only set the strict-flag rather than force
	  source-output.  That allows the same flag to control the parser for
	  input and output of termcap source.
	+ modify _nc_getent() to ignore backslash at the end of a comment line,
	  making it consistent with ncurses' parser.
	+ restore a special-case check for directory needed to make termcap
	  text files load as if they were databases (cf: 20110924).
	+ modify tic's resolution/collision checking to attempt to remove the
	  conflicting alias from the second entry in the pair, which is
	  normally following in the source file.  Also improved the warning
	  message to make it simpler to see which alias is the problem.
	+ improve performance of the database iterator by caching search-list.

20110925
	+ add a missing "else" in changes to _nc_read_tic_entry().

20110924
	+ modify _nc_read_tic_entry() so that hashed-database is checked before
	  filesystem.
	+ updated CF_CURSES_LIBS check in test/configure script.
	+ modify configure script and makefiles to split TIC_ARGS and
	  TINFO_ARGS into pieces corresponding to LDFLAGS and LIBS variables,
	  to help separate searches for tic- and tinfo-libraries (patch by Nick
	  Alcock aka "Nix").
	+ build-fix for lib_mouse.c changes (cf: 20110917).

20110917
	+ fix compiler warning for clang 2.9
	+ improve merging of mouse events (integrated patch by Damien
	  Guibouret).
	+ correct mask-check used in lib_mouse for wheel mouse buttons 4/5
	  (patch by Damien Guibouret).

20110910
	+ modify misc/gen_edit.sh to select a "linux" entry which works with
	  the current kernel rather than assuming it is always "linux3.0"
	  (cf: 20110716).
	+ revert a change to getmouse() which had the undesirable side-effect
	  of suppressing button-release events (report by Damien Guibouret,
	  cf: 20100102).
	+ add xterm+kbs fragment from xterm #272 -TD
	+ add configure option --with-pkg-config-libdir to provide control over
	  the actual directory into which pc-files are installed, do not use
	  the pkg-config environment variables (discussion with Frederic L W
	  Meunier).
	+ add link to mailing-list archive in announce.html.in, as done in
	  FAQ (prompted by question by Andrius Bentkus).
	+ improve manpage install by adjusting the "#include" examples to
	  show the ncurses-subdirectory used when --disable-overwrite option
	  is used.
	+ install an alias for "curses" to the ncurses manpage, tied to the
	  --with-curses-h configure option (suggested by Reuben Thomas).

20110903
	+ propagate error-returns from wresize, i.e., the internal
	  increase_size and decrease_size functions through resize_term (report
	  by Tim van der Molen, cf:  20020713).
	+ fix typo in tset manpage (patch by Sven Joachim).

20110820
	+ add a check to ensure that termcap files which might have "^?" do
	  not use the terminfo interpretation as "\177".
	+ minor cleanup of X-terminal emulator section of terminfo.src -TD
	+ add terminator entry -TD
	+ add simpleterm entry -TD
	+ improve wattr_get macros by ensuring that if the window pointer is
	  null, then the attribute and color values returned will be zero
	  (cf: 20110528).

20110813
	+ add substitution for $RPATH_LIST to misc/ncurses-config.in
	+ improve performance of tic with hashed-database by caching the
	  database connection, using atexit() to cleanup.
	+ modify treatment of 2-character aliases at the beginning of termcap
	  entries so they are not counted in use-resolution, since these are
	  guaranteed to be unique.  Also ignore these aliases when reporting
	  the primary name of the entry (cf: 20040501)
	+ double-check gn (generic) flag in terminal descriptions to
	  accommodate old/buggy termcap databases which misused that feature.
	+ minor fixes to _nc_tgetent(), ensure buffer is initialized even on
	  error-return.

20110807
	+ improve rpath fix from 20110730 by ensuring that the new $RPATH_LIST
	  variable is defined in the makefiles which use it.
	+ build-fix for DragonFlyBSD's pkgsrc in test/configure script.
	+ build-fixes for NetBSD 5.1 with termcap support enabled.
	+ corrected k9 in dg460-ansi, add other features based on manuals -TD
	+ improve trimming of whitespace at the end of terminfo/termcap output
	  from tic/infocmp.
	+ when writing termcap source, ensure that colons in the description
	  field are translated to a non-delimiter, i.e., "=".
	+ add "-0" option to tic/infocmp, to make the termcap/terminfo source
	  use a single line.
	+ add a null-pointer check when handling the $CC variable.

20110730
	+ modify configure script and makefiles in c++ and progs to allow the
	  directory used for rpath option to be overridden, e.g., to work
	  around updates to the variables used by tic during an install.
	+ add -K option to tic/infocmp, to provide stricter BSD-compatibility
	  for termcap output.
	+ add _nc_strict_bsd variable in tic library which controls the
	  "strict" BSD termcap compatibility from 20110723, plus these
	  features:
	  + allow escapes such as "\8" and "\9" when reading termcap
	  + disallow "\a", "\e", "\l", "\s" and "\:" escapes when reading
	    termcap files, passing through "a", "e", etc.
	  + expand "\:" as "\072" on output.
	+ modify _nc_get_token() to reset the token's string value in case
	  there is a string-typed token lacking the "=" marker.
	+ fix a few memory leaks in _nc_tgetent.
	+ fix a few places where reading from a termcap file could refer to
	  freed memory.
	+ add an overflow check when converting terminfo/termcap numeric
	  values, since terminfo stores those in a short, and they must be
	  positive.
	+ correct internal variables used for translating to termcap "%>"
	  feature, and translating from termcap %B to terminfo, needed by
	  tctest (cf: 19991211).
	+ amend a minor fix to acsc when loading a termcap file to separate it
	  from warnings needed for tic (cf: 20040710)
	+ modify logic in _nc_read_entry() and _nc_read_tic_entry() to allow
	  a termcap file to be handled via TERMINFO_DIRS.
	+ modify _nc_infotocap() to include non-mandatory padding when
	  translating to termcap.
	+ modify _nc_read_termcap_entry(), passing a flag in the case where
	  getcap is used, to reduce interactive warning messages.

20110723
	+ add a check in start_color() to limit color-pairs to 256 when
	  extended colors are not supported (patch by David Benjamin).
	+ modify setcchar to omit no-longer-needed OR'ing of color pair in
	  the SetAttr() macro (patch by David Benjamin).
	+ add kich1 to sun terminfo entry (Yuri Pankov)
	+ use bold rather than reverse for smso in sun-color terminfo entry
	  (Yuri Pankov).
	+ improve generation of termcap using tic/infocmp -C option, e.g.,
	  to correspond with 4.2BSD (prompted by discussion with Yuri Pankov
	  regarding Schilling's test program):
	  + translate %02 and %03 to %2 and %3 respectively.
	  + suppress string capabilities which use %s, not supported by tgoto
	  + use \040 rather than \s
	  + expand null characters as \200 rather than \0
	+ modify configure script to support shared libraries for DragonFlyBSD.

20110716
	+ replace an assert() in _nc_Free_Argument() with a regular null
	  pointer check (report/analysis by Franjo Ivancic).
	+ modify configure --enable-pc-files option to take into account the
	  PKG_CONFIG_PATH variable (report by Frederic L W Meunier).
	+ add/use xterm+tmux chunk from xterm #271 -TD
	+ resync xterm-new entry from xterm #271 -TD
	+ add E3 extended capability to linux-basic (Miroslav Lichvar)
	+ add linux2.2, linux2.6, linux3.0 entries to give context for E3 -TD
	+ add SI/SO change to linux2.6 entry (Debian #515609) -TD
	+ fix inconsistent tabset path in pcmw (Todd C. Miller).
	+ remove a backslash which continued comment, obscuring altos3
	  definition with OpenBSD toolset (Nicholas Marriott).

20110702
	+ add workaround from xterm #271 changes to ensure that compiler flags
	  are not used in the $CC variable.
	+ improve support for shared libraries, tested with AIX 5.3, 6.1 and
	  7.1 with both gcc 4.2.4 and cc.
	+ modify configure checks for AIX to include release 7.x
	+ add loader flags/libraries to libtool options so that dynamic loading
	  works properly, adapted from ncurses-5.7-ldflags-with-libtool.patch
	  at gentoo prefix repository (patch by Michael Haubenwallner).

20110626
	+ move include of nc_termios.h out of term_entry.h, since the latter
	  is installed, e.g., for tack while the former is not (report by
	  Sven Joachim).

20110625
	+ improve cleanup() function in lib_tstp.c, using _exit() rather than
	  exit() and checking for SIGTERM rather than SIGQUIT (prompted by
	  comments forwarded by Nicholas Marriott).
	+ reduce name pollution from term.h, moving fallback #define's for
	  tcgetattr(), etc., to new private header nc_termios.h (report by
	  Sergio NNX).
	+ two minor fixes for tracing (patch by Vassili Courzakis).
	+ improve trace initialization by starting it in use_env() and
	  ripoffline().
	+ review old email, add details for some changelog entries.

20110611
	+ update minix entry to minix 3.2 (Thomas Cort).
	+ fix a strict compiler warning in change to wattr_get (cf: 20110528).

20110604
	+ fixes for MirBSD port:
	  + set default prefix to /usr.
	  + add support for shared libraries in configure script.
	  + use S_ISREG and S_ISDIR consistently, with fallback definitions.
	+ add a few more checks based on ncurses/link_test.
	+ modify MKlib_gen.sh to handle sp-funcs renaming of NCURSES_OUTC type.

20110528
	+ add case to CF_SHARED_OPTS for Interix (patch by Markus Duft).
	+ used ncurses/link_test to check for behavior when the terminal has
	  not been initialized and when an application passes null pointers
	  to the library.  Added checks to cover this (prompted by Redhat
	  #707344).
	+ modify MKlib_gen.sh to make its main() function call each function
	  with zero parameters, to help find inconsistent checking for null
	  pointers, etc.

20110521
	+ fix warnings from clang 2.7 "--analyze"

20110514
	+ compiler-warning fixes in panel and progs.
	+ modify CF_PKG_CONFIG macro, from changes to tin -TD
	+ modify CF_CURSES_FUNCS configure macro, used in test directory
	  configure script:
	  + work around (non-optimizer) bug in gcc 4.2.1 which caused
	    test-expression to be omitted from executable.
	  + force the linker to see a link-time expression of a symbol, to
	    help work around weak-symbol issues.

20110507
	+ update discussion of MKfallback.sh script in INSTALL; normally the
	  script is used automatically via the configured makefiles.  However
	  there are still occasions when it might be used directly by packagers
	  (report by Gunter Schaffler).
	+ modify misc/ncurses-config.in to omit the "-L" option from the
	  "--libs" output if the library directory is /usr/lib.
	+ change order of tests for curses.h versus ncurses.h headers in the
	  configure scripts for Ada95 and test-directories, to look for
	  ncurses.h, from fixes to tin -TD
	+ modify ncurses/tinfo/access.c to account for Tandem's root uid
	  (report by Joachim Schmitz).

20110430
	+ modify rules in Ada95/src/Makefile.in to ensure that the PIC option
	  is not used when building a static library (report by Nicolas
	  Boulenguez):
	+ Ada95 build-fix for big-endian architectures such as sparc.  This
	  undoes one of the fixes from 20110319, which added an "Unused" member
	  to representation clauses, replacing that with pragmas to suppress
	  warnings about unused bits (patch by Nicolas Boulenguez).

20110423
	+ add check in test/configure for use_window, use_screen.
	+ add configure-checks for getopt's variables, which may be declared
	  as different types on some Unix systems.
	+ add check in test/configure for some legacy curses types of the
	  function pointer passed to tputs().
	+ modify init_pair() to accept -1's for color value after
	  assume_default_colors() has been called (Debian #337095).
	+ modify test/background.c, adding command-line options to demonstrate
	  assume_default_colors() and use_default_colors().

20110416
	+ modify configure script/source-code to only define _POSIX_SOURCE if
	  the checks for sigaction and/or termios fail, and if _POSIX_C_SOURCE
	  and _XOPEN_SOURCE are undefined (report by Valentin Ochs).
	+ update config.guess, config.sub

20110409
	+ fixes to build c++ binding with clang 3.0 (patch by Alexander
	  Kolesen).
	+ add check for unctrl.h in test/configure, to work around breakage in
	  some ncurses packages.
	+ add "--disable-widec" option to test/configure script.
	+ add "--with-curses-colr" and "--with-curses-5lib" options to the
	  test/configure script to address testing with very old machines.

20110404 5.9 release for upload to ftp.gnu.org

20110402
	+ various build-fixes for the rpm/dpkg scripts.
	+ add "--enable-rpath-link" option to Ada95/configure, to allow
	  packages to suppress the rpath feature which is normally used for
	  the in-tree build of sample programs.
	+ corrected definition of libdir variable in Ada95/src/Makefile.in,
	  needed for rpm script.
	+ add "--with-shared" option to Ada95/configure script, to allow
	  making the C-language parts of the binding use appropriate compiler
	  options if building a shared library with gnat.

20110329
	> portability fixes for Ada95 binding:
	+ add configure check to ensure that SIGINT works with gnat.  This is
	  needed for the "rain" sample program.  If SIGINT does not work, omit
	  that sample program.
	+ correct typo in check of $PKG_CONFIG variable in Ada95/configure
	+ add ncurses_compat.c, to supply functions used in the Ada95 binding
	  which were added in 5.7 and later.
	+ modify sed expression in CF_NCURSES_ADDON to eliminate a dependency
	  upon GNU sed.

20110326
	+ add special check in Ada95/configure script for ncurses6 reentrant
	  code.
	+ regen Ada html documentation.
	+ build-fix for Ada shared libraries versus the varargs workaround.
	+ add rpm and dpkg scripts for Ada95 and test directories, for test
	  builds.
	+ update test/configure macros CF_CURSES_LIBS, CF_XOPEN_SOURCE and
	  CF_X_ATHENA_LIBS.
	+ add configure check to determine if gnat's project feature supports
	  libraries, i.e., collections of .ali files.
	+ make all dereferences in Ada95 samples explicit.
	+ fix typo in comment in lib_add_wch.c (patch by Petr Pavlu).
	+ add configure check for, ifdef's for math.h which is in a separate
	  package on Solaris and potentially not installed (report by Petr
	  Pavlu).
	> fixes for Ada95 binding (Nicolas Boulenguez):
	+ improve type-checking in Ada95 by eliminating a few warning-suppress
	  pragmas.
	+ suppress unreferenced warnings.
	+ make all dereferences in binding explicit.

20110319
	+ regen Ada html documentation.
	+ change order of -I options from ncurses*-config script when the
	  --disable-overwrite option was used, so that the subdirectory include
	  is listed first.
	+ modify the make-tar.sh scripts to add a MANIFEST and NEWS file.
	+ modify configure script to provide value for HTML_DIR in
	  Ada95/gen/Makefile.in, which depends on whether the Ada95 binding is
	  distributed separately (report by Nicolas Boulenguez).
	+ modify configure script to add "-g" and/or "-O3" to ADAFLAGS if the
	  CFLAGS for the build has these options.
	+ amend change from 20070324, to not add 1 to the result of getmaxx
	  and getmaxy in the Ada binding (report by Nicolas Boulenguez for
	  thread in comp.lang.ada).
	+ build-fix Ada95/samples for gnat 4.5
	+ spelling fixes for Ada95/samples/explain.txt
	> fixes for Ada95 binding (Nicolas Boulenguez):
	+ add item in Trace_Attribute_Set corresponding to TRACE_ATTRS.
	+ add workaround for binding to set_field_type(), which uses varargs.
	  The original binding from 990220 relied on the prevalent
	  implementation of varargs which did not support or need va_copy().
	+ add dependency on gen/Makefile.in needed for *-panels.ads
	+ add Library_Options to library.gpr
	+ add Languages to library.gpr, for gprbuild

20110307
	+ revert changes to limit-checks from 20110122 (Debian #616711).
	> minor type-cleanup of Ada95 binding (Nicolas Boulenguez):
	+ corrected a minor sign error in a field of Low_Level_Field_Type, to
	  conform to form.h.
	+ replaced C_Int by Curses_Bool as return type for some callbacks, see
	  fieldtype(3FORM).
	+ modify samples/sample-explain.adb to provide explicit message when
	  explain.txt is not found.

20110305
	+ improve makefiles for Ada95 tree (patch by Nicolas Boulenguez).
	+ fix an off-by-one error in _nc_slk_initialize() from 20100605 fixes
	  for compiler warnings (report by Nicolas Boulenguez).
	+ modify Ada95/gen/gen.c to declare unused bits in generated layouts,
	  needed to compile when chtype is 64-bits using gnat 4.4.5

20110226 5.8 release for upload to ftp.gnu.org

20110226
	+ update release notes, for 5.8.
	+ regenerated html manpages.
	+ change open() in _nc_read_file_entry() to fopen() for consistency
	  with write_file().
	+ modify misc/run_tic.in to create parent directory, in case this is
	  a new install of hashed database.
	+ fix typo in Ada95/mk-1st.awk which causes error with original awk.

20110220
	+ configure script rpath fixes from xterm #269.
	+ workaround for cygwin's non-functional features.h, to force ncurses'
	  configure script to define _XOPEN_SOURCE_EXTENDED when building
	  wide-character configuration.
	+ build-fix in run_tic.sh for OS/2 EMX install
	+ add cons25-debian entry (patch by Brian M Carlson, Debian #607662).

20110212
	+ regenerated html manpages.
	+ use _tracef() in show_where() function of tic, to work correctly with
	  special case of trace configuration.

20110205
	+ add xterm-utf8 entry as a demo of the U8 feature -TD
	+ add U8 feature to denote entries for terminal emulators which do not
	  support VT100 SI/SO when processing UTF-8 encoding -TD
	+ improve the NCURSES_NO_UTF8_ACS feature by adding a check for an
	  extended terminfo capability U8 (prompted by mailing list
	  discussion).

20110122
	+ start documenting interface changes for upcoming 5.8 release.
	+ correct limit-checks in derwin().
	+ correct limit-checks in newwin(), to ensure that windows have nonzero
	  size (report by Garrett Cooper).
	+ fix a missing "weak" declaration for pthread_kill (patch by Nicholas
	  Alcock).
	+ improve documentation of KEY_ENTER in curs_getch.3x manpage (prompted
	  by discussion with Kevin Martin).

20110115
	+ modify Ada95/configure script to make the --with-curses-dir option
	  work without requiring the --with-ncurses option.
	+ modify test programs to allow them to be built with NetBSD curses.
	+ document thick- and double-line symbols in curs_add_wch.3x manpage.
	+ document WACS_xxx constants in curs_add_wch.3x manpage.
	+ fix some warnings for clang 2.6 "--analyze"
	+ modify Ada95 makefiles to make html-documentation with the project
	  file configuration if that is used.
	+ update config.guess, config.sub

20110108
	+ regenerated html manpages.
	+ minor fixes to enable lint when trace is not enabled, e.g., with
	  clang --analyze.
	+ fix typo in man/default_colors.3x (patch by Tim van der Molen).
	+ update ncurses/llib-lncurses*

20110101
	+ fix remaining strict compiler warnings in ncurses library ABI=5,
	  except those dealing with function pointers, etc.

20101225
	+ modify nc_tparm.h, adding guards against repeated inclusion, and
	  allowing TPARM_ARG to be overridden.
	+ fix some strict compiler warnings in ncurses library.

20101211
	+ suppress ncv in screen entry, allowing underline (patch by Alejandro
	  R Sedeno).
	+ also suppress ncv in konsole-base -TD
	+ fixes in wins_nwstr() and related functions to ensure that special
	  characters, i.e., control characters are handled properly with the
	  wide-character configuration.
	+ correct a comparison in wins_nwstr() (Redhat #661506).
	+ correct help-messages in some of the test-programs, which still
	  referred to quitting with 'q'.

20101204
	+ add special case to _nc_infotocap() to recognize the setaf/setab
	  strings from xterm+256color and xterm+88color, and provide a reduced
	  version which works with termcap.
	+ remove obsolete emacs "Local Variables" section from documentation
	  (request by Sven Joachim).
	+ update doc/html/index.html to include NCURSES-Programming-HOWTO.html
	  (report by Sven Joachim).

20101128
	+ modify test/configure and test/Makefile.in to handle this special
	  case of building within a build-tree (Debian #34182):
		mkdir -p build && cd build && ../test/configure && make

20101127
	+ miscellaneous build-fixes for Ada95 and test-directories when built
	  out-of-tree.
	+ use VPATH in makefiles to simplify out-of-tree builds (Debian #34182).
	+ fix typo in rmso for tek4106 entry -Goran Weinholt

20101120
	+ improve checks in test/configure for X libraries, from xterm #267
	  changes.
	+ modify test/configure to allow it to use the build-tree's libraries
	  e.g., when using that to configure the test-programs without the
	  rpath feature (request by Sven Joachim).
	+ repurpose "gnome" terminfo entries as "vte", retaining "gnome" items
	  for compatibility, but generally deprecating those since the VTE
	  library is what actually defines the behavior of "gnome", etc.,
	  since 2003 -TD

20101113
	+ compiler warning fixes for test programs.
	+ various build-fixes for test-programs with pdcurses.
	+ updated configure checks for X packages in test/configure from xterm
	  #267 changes.
	+ add configure check to gnatmake, to accommodate cygwin.

20101106
	+ correct list of sub-directories needed in Ada95 tree for building as
	  a separate package.
	+ modify scripts in test-directory to improve builds as a separate
	  package.

20101023
	+ correct parsing of relative tab-stops in tabs program (report by
	  Philip Ganchev).
	+ adjust configure script so that "t" is not added to library suffix
	  when weak-symbols are used, allowing the pthread configuration to
	  more closely match the non-thread naming (report by Werner Fink).
	+ modify configure check for tic program, used for fallbacks, to a
	  warning if not found.  This makes it simpler to use additional
	  scripts to bootstrap the fallbacks code using tic from the build
	  tree (report by Werner Fink).
	+ fix several places in configure script using ${variable-value} form.
	+ modify configure macro CF_LDFLAGS_STATIC to accommodate some loaders
	  which do not support selectively linking against static libraries
	  (report by John P. Hartmann)
	+ fix an unescaped dash in man/tset.1 (report by Sven Joachim).

20101009
	+ correct comparison used for setting 16-colors in linux-16color
	  entry (Novell #644831) -TD
	+ improve linux-16color entry, using "dim" for color-8 which makes it
	  gray rather than black like color-0 -TD
	+ drop misc/ncu-indent and misc/jpf-indent; they are provided by an
	  external package "cindent".

20101002
	+ improve linkages in html manpages, adding references to the newer
	  pages, e.g., *_variables, curs_sp_funcs, curs_threads.
	+ add checks in tic for inconsistent cursor-movement controls, and for
	  inconsistent printer-controls.
	+ fill in no-parameter forms of cursor-movement where a parameterized
	  form is available -TD
	+ fill in missing cursor controls where the form of the controls is
	  ANSI -TD
	+ fix inconsistent punctuation in form_variables manpage (patch by
	  Sven Joachim).
	+ add parameterized cursor-controls to linux-basic (report by Dae) -TD
	> patch by Juergen Pfeifer:
	+ document how to build 32-bit libraries in README.MinGW
	+ fixes to filename computation in mk-dlls.sh.in
	+ use POSIX locale in mk-dlls.sh.in rather than en_US (report by Sven
	  Joachim).
	+ add a check in mk-dlls.sh.in to obtain the size of a pointer to
	  distinguish between 32-bit and 64-bit hosts.  The result is stored
	  in mingw_arch

20100925
	+ add "XT" capability to entries for terminals that support both
	  xterm-style mouse- and title-controls, for "screen" which
	  special-cases TERM beginning with "xterm" or "rxvt" -TD
	> patch by Juergen Pfeifer:
	+ use 64-Bit MinGW toolchain (recommended package from TDM, see
	  README.MinGW).
	+ support pthreads when using the TDM MinGW toolchain

20100918
	+ regenerated html manpages.
	+ minor fixes for symlinks to curs_legacy.3x and curs_slk.3x manpages.
	+ add manpage for sp-funcs.
	+ add sp-funcs to test/listused.sh, for documentation aids.

20100911
	+ add manpages for summarizing public variables of curses-, terminfo-
	  and form-libraries.
	+ minor fixes to manpages for consistency (patch by Jason McIntyre).
	+ modify tic's -I/-C dump to reformat acsc strings into canonical form
	  (sorted, unique mapping) (cf: 971004).
	+ add configure check for pthread_kill(), needed for some old
	  platforms.

20100904
	+ add configure option --without-tests, to suppress building test
	  programs (request by Frederic L W Meunier).

20100828
	+ modify nsterm, xnuppc and tek4115 to make sgr/sgr0 consistent -TD
	+ add check in terminfo source-reader to provide more informative
	  message when someone attempts to run tic on a compiled terminal
	  description (prompted by Debian #593920).
	+ note in infotocap and captoinfo manpages that they read terminal
	  descriptions from text-files (Debian #593920).
	+ improve acsc string for vt52, show arrow keys (patch by Benjamin
	  Sittler).

20100814
	+ document in manpages that "mv" functions first use wmove() to check
	  the window pointer and whether the position lies within the window
	  (suggested by Poul-Henning Kamp).
	+ fixes to curs_color.3x, curs_kernel.3x and wresize.3x manpages (patch
	  by Tim van der Molen).
	+ modify configure script to transform library names for tic- and
	  tinfo-libraries so that those build properly with Mac OS X shared
	  library configuration.
	+ modify configure script to ensure that it removes conftest.dSYM
	  directory leftover on checks with Mac OS X.
	+ modify configure script to cleanup after check for symbolic links.

20100807
	+ correct a typo in mk-1st.awk (patch by Gabriele Balducci)
	  (cf: 20100724)
	+ improve configure checks for location of tic and infocmp programs
	  used for installing database and for generating fallback data,
	  e.g., for cross-compiling.
	+ add Markus Kuhn's wcwidth function for compiling MinGW
	+ add special case to CF_REGEX for cross-compiling to MinGW target.

20100731
	+ modify initialization check for win32con driver to eliminate need for
	  special case for TERM "unknown", using terminal database if available
	  (prompted by discussion with Roumen Petrov).
	+ for MinGW port, ensure that terminal driver is setup if tgetent()
	  is called (patch by Roumen Petrov).
	+ document tabs "-0" and "-8" options in manpage.
	+ fix Debian "lintian" issues with manpages reported in
	  http://lintian.debian.org/full/csmall@debian.org.html#ncurses

20100724
	+ add a check in tic for missing set_tab if clear_all_tabs given.
	+ improve use of symbolic links in makefiles by using "-f" option if
	  it is supported, to eliminate temporary removal of the target
	  (prompted by http://www.t2-project.org/packages/ncurses.html)
	+ minor improvement to test/ncurses.c, reset color pairs in 'd' test
	  after exit from 'm' main-menu command.
	+ improved ncu-indent, from mawk changes, allows more than one of
	  GCC_NORETURN, GCC_PRINTFLIKE and GCC_SCANFLIKE on a single line.

20100717
	+ add hard-reset for rs2 to wsvt25 to help ensure that reset ends
	  the alternate character set (patch by Nicholas Marriott)
	+ remove tar-copy.sh and related configure/Makefile chunks, since the
	  Ada95 binding is now installed using rules in Ada95/src.

20100703
	+ continue integrating changes to use gnatmake project files in Ada95
	  + add/use configure check to turn on project rules for Ada95/src.
	+ revert the vfork change from 20100130, since it does not work.

20100626
	+ continue integrating changes to use gnatmake project files in Ada95
	  + old gnatmake (3.15) does not produce libraries using project-file;
	    work around by adding script to generate alternate makefile.

20100619
	+ continue integrating changes to use gnatmake project files in Ada95
	  + add configure --with-ada-sharedlib option, for the test_make rule.
	  + move Ada95-related logic into aclocal.m4, since additional checks
	    will be needed to distinguish old/new implementations of gnat.

20100612
	+ start integrating changes to use gnatmake project files in Ada95 tree
	  + add test_make / test_clean / test_install rules in Ada95/src
	  + change install-path for adainclude directory to /usr/share/ada (was
	    /usr/lib/ada).
	+ update Ada95/configure.
	+ add mlterm+256color entry, for mlterm 3.0.0 -TD
	+ modify test/configure to use macros to ensure consistent order
	  of updating LIBS variable.

20100605
	+ change search order of options for Solaris in CF_SHARED_OPTS, to
	  work with 64-bit compiles.
	+ correct quoting of assignment in CF_SHARED_OPTS case for aix
	  (cf: 20081227)

20100529
	+ regenerated html documentation.
	+ modify test/configure to support pkg-config for checking X libraries
	  used by PDCurses.
	+ add/use configure macro CF_ADD_LIB to force consistency of
	  assignments to $LIBS, etc.
	+ fix configure script for combining --with-pthread
	  and --enable-weak-symbols options.

20100522
	+ correct cross-compiling configure check for CF_MKSTEMP macro, by
	  adding a check cache variable set by AC_CHECK_FUNC (report by
	  Pierre Labastie).
	+ simplify include-dependencies of make_hash and make_keys, to reduce
	  the need for setting BUILD_CPPFLAGS in cross-compiling when the
	  build- and target-machines differ.
	+ repair broken-linker configuration by restoring a definition of SP
	  variable to curses.priv.h, and adjusting for cases where sp-funcs
	  are used.
	+ improve configure macro CF_AR_FLAGS, allowing ARFLAGS environment
	  variable to override (prompted by report by Pablo Cazallas).

20100515
	+ add configure option --enable-pthreads-eintr to control whether the
	  new EINTR feature is enabled.
	+ modify logic in pthread configuration to allow EINTR to interrupt
	  a read operation in wgetch() (Novell #540571, patch by Werner Fink).
	+ drop mkdirs.sh, use "mkdir -p".
	+ add configure option --disable-libtool-version, to use the
	  "-version-number" feature which was added in libtool 1.5 (report by
	  Peter Haering).  The default value for the option uses the newer
	  feature, which makes libraries generated using libtool compatible
	  with the standard builds of ncurses.
	+ updated test/configure to match configure script macros.
	+ fixes for configure script from lynx changes:
	  + improve CF_FIND_LINKAGE logic for the case where a function is
	    found in predefined libraries.
	  + revert part of change to CF_HEADER (cf: 20100424)

20100501
	+ correct limit-check in wredrawln, accounting for begy/begx values
	  (patch by David Benjamin).
	+ fix most compiler warnings from clang.
	+ amend build-fix for OpenSolaris, to ensure that a system header is
	  included in curses.h before testing feature symbols, since they
	  may be defined by that route.

20100424
	+ fix some strict compiler warnings in ncurses library.
	+ modify configure macro CF_HEADER_PATH to not look for variations in
	  the predefined include directories.
	+ improve configure macros CF_GCC_VERSION and CF_GCC_WARNINGS to work
	  with gcc 4.x's c89 alias, which gives warning messages for cases
	  where older versions would produce an error.

20100417
	+ modify _nc_capcmp() to work with cancelled strings.
	+ correct translation of "^" in _nc_infotocap(), used to transform
	  terminfo to termcap strings
	+ add configure --disable-rpath-hack, to allow disabling the feature
	  which adds rpath options for libraries in unusual places.
	+ improve CF_RPATH_HACK_2 by checking if the rpath option for a given
	  directory was already added.
	+ improve CF_RPATH_HACK_2 by using ldd to provide a standard list of
	  directories (which will be ignored).

20100410
	+ improve win_driver.c handling of mouse:
	  + discard motion events
	  + avoid calling _nc_timed_wait when there is a mouse event
	  + handle 4th and "rightmost" buttons.
	+ quote substitutions in CF_RPATH_HACK_2 configure macro, needed for
	  cases where there are embedded blanks in the rpath option.

20100403
	+ add configure check for exctags vs ctags, to work around pkgsrc.
	+ simplify logic in _nc_get_screensize() to make it easier to see how
	  environment variables may override system- and terminfo-values
	  (prompted by discussion with Igor Bujna).
	+ make debug-traces for COLOR_PAIR and PAIR_NUMBER less verbose.
	+ improve handling of color-pairs embedded in attributes for the
	  extended-colors configuration.
	+ modify MKlib_gen.sh to build link_test with sp-funcs.
	+ build-fixes for OpenSolaris aka Solaris 11, for wide-character
	  configuration as well as for rpath feature in *-config scripts.

20100327
	+ refactor CF_SHARED_OPTS configure macro, making CF_RPATH_HACK more
	  reusable.
	+ improve configure CF_REGEX, similar fixes.
	+ improve configure CF_FIND_LINKAGE, adding add check between system
	  (default) and explicit paths, where we can find the entrypoint in the
	  given library.
	+ add check if Gpm_Open() returns a -2, e.g., for "xterm".  This is
	  normally suppressed but can be overridden using $NCURSES_GPM_TERMS.
	  Ensure that Gpm_Close() is called in this case.

20100320
	+ rename atari and st52 terminfo entries to atari-old, st52-old, use
	  newer entries from FreeMiNT by Guido Flohr (from patch/report by Alan
	  Hourihane).

20100313
	+ modify install-rule for manpages so that *-config manpages will
	  install when building with --srcdir (report by Sven Joachim).
	+ modify CF_DISABLE_LEAKS configure macro so that the --enable-leaks
	  option is not the same as --disable-leaks (GenToo #305889).
	+ modify #define's for build-compiler to suppress cchar_t symbol from
	  compile of make_hash and make_keys, improving cross-compilation of
	  ncursesw (report by Bernhard Rosenkraenzer).
	+ modify CF_MAN_PAGES configure macro to replace all occurrences of
	  TPUT in tput.1's manpage (Debian #573597, report/analysis by Anders
	  Kaseorg).

20100306
	+ generate manpages for the *-config scripts, adapted from help2man
	  (suggested by Sven Joachim).
	+ use va_copy() in _nc_printf_string() to avoid conflicting use of
	  va_list value in _nc_printf_length() (report by Wim Lewis).

20100227
	+ add Ada95/configure script, to use in tar-file created by
	  Ada95/make-tar.sh
	+ fix typo in wresize.3x (patch by Tim van der Molen).
	+ modify screen-bce.XXX entries to exclude ech, since screen's color
	  model does not clear with color for that feature -TD

20100220
	+ add make-tar.sh scripts to Ada95 and test subdirectories to help with
	  making those separately distributable.
	+ build-fix for static libraries without dlsym (Debian #556378).
	+ fix a syntax error in man/form_field_opts.3x (patch by Ingo
	  Schwarze).

20100213
	+ add several screen-bce.XXX entries -TD

20100206
	+ update mrxvt terminfo entry -TD
	+ modify win_driver.c to support mouse single-clicks.
	+ correct name for termlib in ncurses*-config, e.g., if it is renamed
	  to provide a single file for ncurses/ncursesw libraries (patch by
	  Miroslav Lichvar).

20100130
	+ use vfork in test/ditto.c if available (request by Mike Frysinger).
	+ miscellaneous cleanup of manpages.
	+ fix typo in curs_bkgd.3x (patch by Tim van der Molen).
	+ build-fix for --srcdir (patch by Miroslav Lichvar).

20100123
	+ for term-driver configuration, ensure that the driver pointer is
	  initialized in setupterm so that terminfo/termcap programs work.
	+ amend fix for Debian #542031 to ensure that wattrset() returns only
	  OK or ERR, rather than the attribute value (report by Miroslav
	  Lichvar).
	+ reorder WINDOWLIST to put WINDOW data after SCREEN pointer, making
	  _nc_screen_of() compatible between normal/wide libraries again (patch
	  by Miroslav Lichvar)
	+ review/fix include-dependencies in modules files (report by Miroslav
	  Lichvar).

20100116
	+ modify win_driver.c to initialize acs_map for win32 console, so
	  that line-drawing works.
	+ modify win_driver.c to initialize TERMINAL struct so that programs
	  such as test/lrtest.c and test/ncurses.c which test string
	  capabilities can run.
	+ modify term-driver modules to eliminate forward-reference
	  declarations.

20100109
	+ modify configure macro CF_XOPEN_SOURCE, etc., to use CF_ADD_CFLAGS
	  consistently to add new -D's while removing duplicates.
	+ modify a few configure macros to consistently put new options
	  before older in the list.
	+ add tiparm(), based on review of X/Open Curses Issue 7.
	+ minor documentation cleanup.
	+ update config.guess, config.sub from
		http://savannah.gnu.org/projects/config
	  (caveat - its maintainer put 2010 copyright date on files dated 2009)

20100102
	+ minor improvement to tic's checking of similar SGR's to allow for the
	  most common case of SGR 0.
	+ modify getmouse() to act as its documentation implied, returning on
	  each call the preceding event until none are left.  When no more
	  events remain, it will return ERR.

20091227
	+ change order of lookup in progs/tput.c, looking for terminfo data
	  first.  This fixes a confusion between termcap "sg" and terminfo
	  "sgr" or "sgr0", originally from 990123 changes, but exposed by
	  20091114 fixes for hashing.  With this change, only "dl" and "ed" are
	  ambiguous (Mandriva #56272).

20091226
	+ add bterm terminfo entry, based on bogl 0.1.18 -TD
	+ minor fix to rxvt+pcfkeys terminfo entry -TD
	+ build-fixes for Ada95 tree for gnat 4.4 "style".

20091219
	+ remove old check in mvderwin() which prevented moving a derived
	  window whose origin happened to coincide with its parent's origin
	  (report by Katarina Machalkova).
	+ improve test/ncurses.c to put mouse droppings in the proper window.
	+ update minix terminfo entry -TD
	+ add bw (auto-left-margin) to nsterm* entries (Benjamin Sittler)

20091212
	+ correct transfer of multicolumn characters in multirow
	  field_buffer(), which stopped at the end of the first row due to
	  filling of unused entries in a cchar_t array with nulls.
	+ updated nsterm* entries (Benjamin Sittler, Emanuele Giaquinta)
	+ modify _nc_viscbuf2() and _tracecchar_t2() to show wide-character
	  nulls.
	+ use strdup() in set_menu_mark(), restore .marklen struct member on
	  failure.
	+ eliminate clause 3 from the UCB copyrights in read_termcap.c and
	  tset.c per
		ftp://ftp.cs.berkeley.edu/pub/4bsd/README.Impt.License.Change
	  (patch by Nicholas Marriott).
	+ replace a malloc in tic.c with strdup, checking for failure (patch by
	  Nicholas Marriott).
	+ update config.guess, config.sub from
		http://savannah.gnu.org/projects/config

20091205
	+ correct layout of working window used to extract data in
	  wide-character configured by set_field_buffer (patch by Rafael
	  Garrido Fernandez)
	+ improve some limit-checks related to filename length in reading and
	  writing terminfo entries.
	+ ensure that filename is always filled in when attempting to read
	  a terminfo entry, so that infocmp can report the filename (patch
	  by Nicholas Marriott).

20091128
	+ modify mk-1st.awk to allow tinfo library to be built when term-driver
	  is enabled.
	+ add error-check to configure script to ensure that sp-funcs is
	  enabled if term-driver is, since some internal interfaces rely upon
	  this.

20091121
	+ fix case where progs/tput is used while sp-funcs is configure; this
	  requires save/restore of out-character function from _nc_prescreen
	  rather than the SCREEN structure (report by Charles Wilson).
	+ fix typo in man/curs_trace.3x which caused incorrect symbolic links
	+ improved configure macros CF_GCC_ATTRIBUTES, CF_PROG_LINT.

20091114
	+ updated man/curs_trace.3x
	+ limit hashing for termcap-names to 2-characters (Ubuntu #481740).
	+ change a variable name in lib_newwin.c to make it clearer which
	  value is being freed on error (patch by Nicholas Marriott).

20091107
	+ improve test/ncurses.c color-cycling test by reusing attribute-
	  and color-cycling logic from the video-attributes screen.
	+ add ifdef'd with NCURSES_INTEROP_FUNCS experimental bindings in form
	  library which help make it compatible with interop applications
	  (patch by Juergen Pfeifer).
	+ add configure option --enable-interop, for integrating changes
	  for generic/interop support to form-library by Juergen Pfeifer

20091031
	+ modify use of $CC environment variable which is defined by X/Open
	  as a curses feature, to ignore it if it is not a single character
	  (prompted by discussion with Benjamin C W Sittler).
	+ add START_TRACE in slk_init
	+ fix a regression in _nc_ripoffline which made test/ncurses.c not show
	  soft-keys, broken in 20090927 merging.
	+ change initialization of "hidden" flag for soft-keys from true to
	  false, broken in 20090704 merging (Ubuntu #464274).
	+ update nsterm entries (patch by Benjamin C W Sittler, prompted by
	  discussion with Fabian Groffen in GenToo #206201).
	+ add test/xterm-256color.dat

20091024
	+ quiet some pedantic gcc warnings.
	+ modify _nc_wgetch() to check for a -1 in the fifo, e.g., after a
	  SIGWINCH, and discard that value, to avoid confusing application
	  (patch by Eygene Ryabinkin, FreeBSD #136223).

20091017
	+ modify handling of $PKG_CONFIG_LIBDIR to use only the first item in
	  a possibly colon-separated list (Debian #550716).

20091010
	+ supply a null-terminator to buffer in _nc_viswibuf().
	+ fix a sign-extension bug in unget_wch() (report by Mike Gran).
	+ minor fixes to error-returns in default function for tputs, as well
	  as in lib_screen.c

20091003
	+ add WACS_xxx definitions to wide-character configuration for thick-
	  and double-lines (discussion with Slava Zanko).
	+ remove unnecessary kcan assignment to ^C from putty (Sven Joachim)
	+ add ccc and initc capabilities to xterm-16color -TD
	> patch by Benjamin C W Sittler:
	+ add linux-16color
	+ correct initc capability of linux-c-nc end-of-range
	+ similar change for dg+ccc and dgunix+ccc

20090927
	+ move leak-checking for comp_captab.c into _nc_leaks_tinfo() since
	  that module since 20090711 is in libtinfo.
	+ add configure option --enable-term-driver, to allow compiling with
	  terminal-driver.  That is used in MinGW port, and (being somewhat
	  more complicated) is an experimental alternative to the conventional
	  termlib internals.  Currently, it requires the sp-funcs feature to
	  be enabled.
	+ completed integrating "sp-funcs" by Juergen Pfeifer in ncurses
	  library (some work remains for forms library).

20090919
	+ document return code from define_key (report by Mike Gran).
	+ make some symbolic links in the terminfo directory-tree shorter
	  (patch by Daniel Jacobowitz, forwarded by Sven Joachim).).
	+ fix some groff warnings in terminfo.5, etc., from recent Debian
	  changes.
	+ change ncv and op capabilities in sun-color terminfo entry to match
	  Sun's entry for this (report by Laszlo Peter).
	+ improve interix smso terminfo capability by using reverse rather than
	  bold (report by Kristof Zelechovski).

20090912
	+ add some test programs (and make these use the same special keys
	  by sharing linedata.h functions):
	  test/test_addstr.c
	  test/test_addwstr.c
	  test/test_addchstr.c
	  test/test_add_wchstr.c
	+ correct internal _nc_insert_ch() to use _nc_insert_wch() when
	  inserting wide characters, since the wins_wch() function that it used
	  did not update the cursor position (report by Ciprian Craciun).

20090906
	+ fix typo s/is_timeout/is_notimeout/ which made "man is_notimeout" not
	  work.
	+ add null-pointer checks to other opaque-functions.
	+ add is_pad() and is_subwin() functions for opaque access to WINDOW
	  (discussion with Mark Dickinson).
	+ correct merge to lib_newterm.c, which broke when sp-funcs was
	  enabled.

20090905
	+ build-fix for building outside source-tree (report by Sven Joachim).
	+ fix Debian lintian warning for man/tabs.1 by making section number
	  agree with file-suffix (report by Sven Joachim).
	+ continue integrating "sp-funcs" by Juergen Pfeifer (incomplete).

20090829
	+ workaround for bug in g++ 4.1-4.4 warnings for wattrset() macro on
	  amd64 (Debian #542031).
	+ fix typo in curs_mouse.3x (Debian #429198).

20090822
	+ continue integrating "sp-funcs" by Juergen Pfeifer (incomplete).

20090815
	+ correct use of terminfo capabilities for initializing soft-keys,
	  broken in 20090510 merging.
	+ modify wgetch() to ensure it checks SIGWINCH when it gets an error
	  in non-blocking mode (patch by Clemens Ladisch).
	+ use PATH_SEPARATOR symbol when substituting into run_tic.sh, to
	  help with builds on non-Unix platforms such as OS/2 EMX.
	+ modify scripting for misc/run_tic.sh to test configure script's
	  $cross_compiling variable directly rather than comparing host/build
	  compiler names (prompted by comment in GenToo #249363).
	+ fix configure script option --with-database, which was coded as an
	  enable-type switch.
	+ build-fixes for --srcdir (report by Frederic L W Meunier).

20090808
	+ separate _nc_find_entry() and _nc_find_type_entry() from
	  implementation details of hash function.

20090803
	+ add tabs.1 to man/man_db.renames
	+ modify lib_addch.c to compensate for removal of wide-character test
	  from unctrl() in 20090704 (Debian #539735).

20090801
	+ improve discussion in INSTALL for use of system's tic/infocmp for
	  cross-compiling and building fallbacks.
	+ modify test/demo_termcap.c to correspond better to options in
	  test/demo_terminfo.c
	+ continue integrating "sp-funcs" by Juergen Pfeifer (incomplete).
	+ fix logic for 'V' in test/ncurses.c tests f/F.

20090728
	+ correct logic in tigetnum(), which caused tput program to treat all
	  string capabilities as numeric (report by Rajeev V Pillai,
	  cf: 20090711).

20090725
	+ continue integrating "sp-funcs" by Juergen Pfeifer (incomplete).

20090718
	+ fix a null-pointer check in _nc_format_slks() in lib_slk.c, from
	  20090704 changes.
	+ modify _nc_find_type_entry() to use hashing.
	+ make CCHARW_MAX value configurable, noting that changing this would
	  change the size of cchar_t, and would be ABI-incompatible.
	+ modify test-programs, e.g,.  test/view.c, to address subtle
	  differences between Tru64/Solaris and HPUX/AIX getcchar() return
	  values.
	+ modify length returned by getcchar() to count the trailing null
	  which is documented in X/Open (cf: 20020427).
	+ fixes for test programs to build/work on HPUX and AIX, etc.

20090711
	+ improve performance of tigetstr, etc., by using hashing code from tic.
	+ minor fixes for memory-leak checking.
	+ add test/demo_terminfo, for comparison with demo_termcap

20090704
	+ remove wide-character checks from unctrl() (patch by Clemens Ladisch).
	+ revise wadd_wch() and wecho_wchar() to eliminate dependency on
	  unctrl().
	+ continue integrating "sp-funcs" by Juergen Pfeifer (incomplete).

20090627
	+ update llib-lncurses[wt] to use sp-funcs.
	+ various code-fixes to build/work with --disable-macros configure
	  option.
	+ add several new files from Juergen Pfeifer which will be used when
	  integration of "sp-funcs" is complete.  This includes a port to
	  MinGW.

20090613
	+ move definition for NCURSES_WRAPPED_VAR back to ncurses_dll.h, to
	  make includes of term.h without curses.h work (report by "Nix").
	+ continue integrating "sp-funcs" by Juergen Pfeifer (incomplete).

20090607
	+ fix a regression in lib_tputs.c, from ongoing merges.

20090606
	+ continue integrating "sp-funcs" by Juergen Pfeifer (incomplete).

20090530
	+ fix an infinite recursion when adding a legacy-coding 8-bit value
	  using insch() (report by Clemens Ladisch).
	+ free home-terminfo string in del_curterm() (patch by Dan Weber).
	+ continue integrating "sp-funcs" by Juergen Pfeifer (incomplete).

20090523
	+ continue integrating "sp-funcs" by Juergen Pfeifer (incomplete).

20090516
	+ work around antique BSD game's manipulation of stdscr, etc., versus
	  SCREEN's copy of the pointer (Debian #528411).
	+ add a cast to wattrset macro to avoid compiler warning when comparing
	  its result against ERR (adapted from patch by Matt Kraii, Debian
	  #528374).

20090510
	+ continue integrating "sp-funcs" by Juergen Pfeifer (incomplete).

20090502
	+ continue integrating "sp-funcs" by Juergen Pfeifer (incomplete).
	+ add vwmterm terminfo entry (patch by Bryan Christ).

20090425
	+ continue integrating "sp-funcs" by Juergen Pfeifer (incomplete).

20090419
	+ build fix for _nc_free_and_exit() change in 20090418 (report by
	  Christian Ebert).

20090418
	+ continue integrating "sp-funcs" by Juergen Pfeifer (incomplete).

20090411
	+ continue integrating "sp-funcs" by Juergen Pfeifer (incomplete).
	  This change finishes merging for menu and panel libraries, does
	  part of the form library.

20090404
	+ suppress configure check for static/dynamic linker flags for gcc on
	  Darwin (report by Nelson Beebe).

20090328
	+ extend ansi.sys pfkey capability from kf1-kf10 to kf1-kf48, moving
	  function key definitions from emx-base for consistency -TD
	+ correct missing final 'p' in pfkey capability of ansi.sys-old (report
	  by Kalle Olavi Niemitalo).
	+ improve test/ncurses.c 'F' test, show combining characters in color.
	+ quiet a false report by cppcheck in c++/cursesw.cc by eliminating
	  a temporary variable.
	+ use _nc_doalloc() rather than realloc() in a few places in ncurses
	  library to avoid leak in out-of-memory condition (reports by William
	  Egert and Martin Ettl based on cppcheck tool).
	+ add --with-ncurses-wrap-prefix option to test/configure (discussion
	  with Charles Wilson).
	+ use ncurses*-config scripts if available for test/configure.
	+ update test/aclocal.m4 and test/configure
	> patches by Charles Wilson:
	+ modify CF_WITH_LIBTOOL configure check to allow unreleased libtool
	  version numbers (e.g.  which include alphabetic chars, as well as
	  digits, after the final '.').
	+ improve use of -no-undefined option for libtool by setting an
	  intermediate variable LT_UNDEF in the configure script, and then
	  using that in the libtool link-commands.
	+ fix an missing use of NCURSES_PUBLIC_VAR() in tinfo/MKcodes.awk
	  from 20090321 changes.
	+ improve mk-1st.awk script by writing separate cases for the
	  LIBTOOL_LINK command, depending on which library (ncurses, ticlib,
	  termlib) is to be linked.
	+ modify configure.in to allow broken-linker configurations, not just
	  enable-reentrant, to set public wrap prefix.

20090321
	+ add TICS_LIST and SHLIB_LIST to allow libtool 2.2.6 on Cygwin to
	  build with tic and term libraries (patch by Charles Wilson).
	+ add -no-undefined option to libtool for Cygwin, MinGW, U/Win and AIX
	  (report by Charles Wilson).
	+ fix definition for c++/Makefile.in's SHLIB_LIST, which did not list
	  the form, menu or panel libraries (patch by Charles Wilson).
	+ add configure option --with-wrap-prefix to allow setting the prefix
	  for functions used to wrap global variables to something other than
	  "_nc_" (discussion with Charles Wilson).

20090314
	+ modify scripts to generate ncurses*-config and pc-files to add
	  dependency for tinfo library (patch by Charles Wilson).
	+ improve comparison of program-names when checking for linked flavors
	  such as "reset" by ignoring the executable suffix (reports by Charles
	  Wilson, Samuel Thibault and Cedric Bretaudeau on Cygwin mailing
	  list).
	+ suppress configure check for static/dynamic linker flags for gcc on
	  Solaris 10, since gcc is confused by absence of static libc, and
	  does not switch back to dynamic mode before finishing the libraries
	  (reports by Joel Bertrand, Alan Pae).
	+ minor fixes to Intel compiler warning checks in configure script.
	+ modify _nc_leaks_tinfo() so leak-checking in test/railroad.c works.
	+ modify set_curterm() to make broken-linker configuration work with
	  changes from 20090228 (report by Charles Wilson).

20090228
	+ continue integrating "sp-funcs" by Juergen Pfeifer (incomplete).
	+ modify declaration of cur_term when broken-linker is used, but
	  enable-reentrant is not, to match pre-5.7 (report by Charles Wilson).

20090221
	+ continue integrating "sp-funcs" by Juergen Pfeifer (incomplete).

20090214
	+ add configure script --enable-sp-funcs to enable the new set of
	  extended functions.
	+ start integrating patches by Juergen Pfeifer:
	  + add extended functions which specify the SCREEN pointer for several
	    curses functions which use the global SP (these are incomplete;
	    some internals work is needed to complete these).
	  + add special cases to configure script for MinGW port.

20090207
	+ update several configure macros from lynx changes
	  + append (not prepend) to CFLAGS/CPPFLAGS
	  + change variable from PATHSEP to PATH_SEPARATOR
	+ improve install-rules for pc-files (patch by Miroslav Lichvar).
	  + make it work with $DESTDIR
	  + create the pkg-config library directory if needed.

20090124
	+ modify init_pair() to allow caller to create extra color pairs beyond
	  the color_pairs limit, which use default colors (request by Emanuele
	  Giaquinta).
	+ add misc/terminfo.tmp and misc/*.pc to "sources" rule.
	+ fix typo "==" where "=" is needed in ncurses-config.in and
	  gen-pkgconfig.in files (Debian #512161).

20090117
	+ add -shared option to MK_SHARED_LIB when -Bsharable is used, for
	  *BSD's, without which "main" might be one of the shared library's
	  dependencies (report/analysis by Ken Dickey).
	+ modify waddch_literal(), updating line-pointer after a multicolumn
	  character is found to not fit on the current row, and wrapping is
	  done.  Since the line-pointer was not updated, the wrapped
	  multicolumn character was written to the beginning of the current row
	  (cf: 20041023, reported by "Nick" regarding problem with ncmpc
	  http://musicpd.org/mantis/bug_view_page.php?bug_id=1930).

20090110
	+ add screen.Eterm terminfo entry (GenToo #124887) -TD
	+ modify adacurses-config to look for ".ali" files in the adalib
	  directory.
	+ correct install for Ada95, which omitted libAdaCurses.a used in
	  adacurses-config
	+ change install for adacurses-config to provide additional flavors
	  such as adacursesw-config, for ncursesw (GenToo #167849).

20090105
	+ remove undeveloped feature in ncurses-config.in for setting
	  prefix variable.
	+ recent change to ncurses-config.in did not take into account the
	  --disable-overwrite option, which sets $includedir to the
	  subdirectory and using just that for a -I option does not work - fix
	  (report by Frederic L W Meunier).

20090104
	+ modify gen-pkgconfig.in to eliminate a dependency on rpath when
	  deciding whether to add $LIBS to --libs output; that should be shown
	  for the ncurses and tinfo libraries without taking rpath into
	  account.
	+ fix an overlooked change from $AR_OPTS to $ARFLAGS in mk-1st.awk,
	  used in static libraries (report by Marty Jack).

20090103
	+ add a configure-time check to pick a suitable value for
	  CC_SHARED_OPTS for Solaris (report by Dagobert Michelsen).
	+ add configure --with-pkg-config and --enable-pc-files options, along
	  with misc/gen-pkgconfig.in which can be used to generate ".pc" files
	  for pkg-config (request by Jan Engelhardt).
	+ use $includedir symbol in misc/ncurses-config.in, add --includedir
	  option.
	+ change makefiles to use $ARFLAGS rather than $AR_OPTS, provide a
	  configure check to detect whether a "-" is needed before "ar"
	  options.
	+ update config.guess, config.sub from
		http://savannah.gnu.org/projects/config

20081227
	+ modify mk-1st.awk to work with extra categories for tinfo library.
	+ modify configure script to allow building shared libraries with gcc
	  on AIX 5 or 6 (adapted from patch by Lital Natan).

20081220
	+ modify to omit the opaque-functions from lib_gen.o when
	  --disable-ext-funcs is used.
	+ add test/clip_printw.c to illustrate how to use printw without
	  wrapping.
	+ modify ncurses 'F' test to demo wborder_set() with colored lines.
	+ modify ncurses 'f' test to demo wborder() with colored lines.

20081213
